2019-01-18 19:24:50 +0200 ronys 

	* Bump version to 3.48.1 (HEAD -> master)

2019-01-13 20:31:39 +0200 ronys 

	* Fix UNKNOWN_XML_TIME_STR (origin/master, origin/HEAD)

2019-01-13 19:58:23 +0200 ronys 

	* Merge branch 'mr519'

2019-01-13 15:47:36 +0100 Akos Somfai 

	* Making dragbar tooltips translatable

2019-01-12 16:52:43 +0100 Akos Somfai 

	* Adding new/updated Hungarian translations

2019-01-08 21:35:44 +0200 ronys 

	* I18N: Swedish translation updates from Bjorne

2019-01-07 22:12:25 +0100 Akos Somfai 

	* Adding a set of missing Hungarian translations.

2017-10-08 20:54:39 +0300 ronys 

	* added libcurl3 package dep for Ubuntu

2019-01-06 21:12:53 +0200 ronys 

	* Merge branch 'mr516'

2019-01-06 21:04:02 +0200 ronys 

	* Merge branch 'labelalignment' of git://github.com/rafaelx/pwsafe into mr516

2019-01-06 21:01:29 +0200 ronys 

	* [wx] Debian: Added dep on libcurl3 package, bump to 1.07.1

2019-01-06 20:12:09 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2019-01-05 22:49:20 +0200 ronys 

	* Fix package for Linux Mint 19

2019-01-05 16:34:06 +0100 rafaelx 

	* [wx] Right align labels of Properties and Add-Edit dialog

2019-01-03 22:01:56 +0200 ronys 

	* Update copyright notice to 2019

2019-01-02 19:27:17 +0200 ronys 

	* Merge branch 'mr515'

2019-01-02 19:26:45 +0200 ronys 

	* Moved cmake_uninstall.cmake.in to install directory

2019-01-01 17:28:58 +0100 Akos Somfai 

	* Adding uninstall CMake target

2018-12-30 14:55:13 +0200 ronys 

	* wx: Password font applies to special symbols field in policy (tag: 1.07BETA)

2018-12-30 10:56:28 +0200 ronys 

	* mark wx version 1.07

2018-12-29 13:26:36 -0500 Dmitry Erastov 

	* Make OK button default in safe unlock dialog

2018-12-27 10:44:31 +0200 ronys 

	* i18n: French translations from Francois

2018-12-23 22:03:44 +0200 ronys 

	* 3.48pre -> 3.48 (tag: 3.48.0, sf/master)

2018-12-20 00:02:46 +0530 sauravg 

	* OSX: Remove redundant Xcode scheme 'pwsafe-debug'

2018-12-18 11:53:07 +0530 sauravg 

	* cli: Improve usage text

2018-12-18 17:33:17 +0530 sauravg 

	* Fix non-cmake builds on OSX/Linux

2018-12-16 18:02:44 +0100 rafaelx 

	* [wx] No button behavior of hyperlinks on mouse hover at About dialog

2018-12-15 22:35:03 +0100 rafaelx 

	* [wx] Cosmetic changes at About dialog

2018-12-15 21:57:22 +0100 rafaelx 

	* [wx] Minor improvements to Version Check fix

2018-12-11 23:37:53 +0100 rafaelx 

	* [wx|win] Update German Translation

2018-12-13 08:28:19 +0200 ronys 

	* Merge branch 'mr507'

2018-12-13 08:27:23 +0200 ronys 

	* tweak comment

2018-12-13 08:24:08 +0200 ronys 

	* Add build and link dependencies for libcurl and libssl

2018-12-11 23:00:53 +0100 rafaelx 

	* [wx] Fix Version Check

2018-12-10 19:07:14 +0200 ronys 

	* Typo caught by Rafaelx

2018-12-10 19:04:26 +0200 ronys 

	* Typo caught by Rafaelx

2018-12-08 19:52:40 +0300 Andrey Kuznetsov 

	* XSLT template for translation KeepassX v0.4.3 XML export to pwsafe-compatible XML as usual - only supported autotype template placeholders are translated to pwsafe's autotype (unknown copied to autoutype string as is), also original autotype string stored at Notes, - binary attachements are ignored (but it's description copied to Notes)

2018-12-08 15:53:31 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian .po (WX)

2018-12-08 15:17:44 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian .po (MFC) and help images

2018-11-28 23:22:46 +0200 ronys 

	* 3.48.0pre pos updates

2018-11-26 21:36:32 +0100 rafaelx 

	* [wx] Enable/Disable controls on policy selection of CPasswordPolicy (tag: 3.48.0pre)

2018-11-26 20:47:10 +0100 rafaelx 

	* [wx] Rename OnAtLeastChars and update its documentation

2018-11-24 16:14:44 +0100 rafaelx 

	* [wx] Unification of password rules dialogs

2018-11-24 18:58:26 +0200 ronys 

	* [BR1481] - Collect subgroups correctly for export

2018-11-23 23:40:12 +0100 rafaelx 

	* [wx] Default Expiration interval is now user-configurable

2018-11-21 22:17:38 +0100 rafaelx 

	* [wx] Close application on ESC key event

2018-11-16 23:12:50 +0200 ronys 

	* [BR1480] Typo in dragbar tooltip text

2018-11-16 23:05:10 +0200 ronys 

	* Default Expiration interval is now user-configurable

2018-11-14 23:01:51 +0100 rafaelx 

	* [wx] Minor code cleanup at PasswordSafeFrame

2018-11-11 21:52:25 +0100 rafaelx 

	* [wx] Add exit button to CSafeCombinationPrompt dialog

2018-11-16 19:39:38 +0200 ronys 

	* German text correction from Michael Z.

2018-11-10 02:22:35 +0100 rafaelx 

	* [wx] Rename id's of Edit/View controls

2018-11-04 02:38:25 +0100 rafaelx 

	* [wx] Make Edit/View dialog not editable if DB is read-only

2018-11-04 19:22:01 +0100 rafaelx 

	* [wx] Close application properly on receipt of SIGHUP

2018-10-27 17:44:12 +0200 rafaelx 

	* [wx] Restrict policy validation and update to policy tab in Edit/View dialog

2018-10-25 22:48:47 +0200 rafaelx 

	* [wx] Apply configured password font in Edit/View dialog

2018-10-13 07:17:16 +0300 ronys 

	* BR1475: Tweak RNG initialization

2018-09-28 16:20:34 +0300 ronys 

	* [BR1473] - don't create startup shortcut upon upgrade

2018-09-28 16:13:23 +0300 ronys 

	* Bump version to 3.48pre, note fix of BR1243

2018-09-28 14:46:23 +0300 ronys 

	* I18N: Italian po updates from Roberto

2018-09-24 01:03:27 +0200 rafaelx 

	* [wx] Let the wx framework crop text at properties dialog

2018-09-23 21:10:06 +0300 ronys 

	* Tweak opening dialogs

2018-09-22 22:48:29 +0300 Andrey Kuznetsov 

	* [installer] Few updates for windows installer: * When uninstalling: remove help files for all languages, also remove chw, corrected extension for Readme * Preselect language, that was selected as installer language * Create start menu shortcuts for all installed help files

2018-09-22 22:35:23 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian installer texts

2018-09-22 22:33:15 +0300 Andrey Kuznetsov 

	* [i18n] Minor updates in Russian .po (MFC) + images

2018-09-16 13:32:16 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian .po (WX)

2018-09-16 13:16:39 +0300 Andrey Kuznetsov 

	* [i18n] Fixed image link in Russian help

2018-09-23 20:06:18 +0300 ronys 

	* Revert "Cleanup help/default/pwsafe.hhk"

2018-09-23 00:37:24 +0200 rafaelx 

	* [wx] Move member Truncate from CProperties to wxutils.h

2018-09-22 15:10:10 +0200 rafaelx 

	* Limit DB name and DB description on UI

2018-09-16 20:35:17 +0200 rafaelx 

	* [wx] Introduce editing of DB name and description

2018-09-15 12:54:33 +0300 ronys 

	* Added i18n help and unistall texts for nsis

2018-09-13 22:39:12 +0200 rafaelx 

	* Enable Find menu item in R/O mode

2018-09-06 21:03:10 +0300 ronys 

	* Document fix 1468 - revert timed clipboard clear (tag: 3.47.2)

2018-09-06 19:21:43 +0300 ronys 

	* revert clipboard timer

2018-09-05 19:57:00 +0300 ronys 

	* neutralize problematic clipboard timer

2018-09-03 19:35:06 +0300 ronys 

	* tweak nsis texts per Roberto's suggestions

2018-09-03 19:32:40 +0300 ronys 

	* Update Italian nsis text, from Roberto

2018-09-03 19:31:50 +0300 ronys 

	* fix relnotes

2018-09-02 14:15:15 +0200 rafaelx 

	* [wx] Add new DB property to XSD and fix history import from XML

2018-08-28 20:19:53 +0200 rafaelx 

	* [wx] Consider also symbolic links on Mac

2018-08-26 21:34:25 +0200 rafaelx 

	* [wx] Consider symbolic links

2018-08-27 19:08:15 +0300 ronys 

	* Clipboard timeout 10->30 (tag: 3.47.1)

2018-08-24 08:50:52 +0300 ronys 

	* Apply IsDbOpen() to Windows UI - take 2

2018-08-23 05:56:00 +0300 ronys 

	* Revert "Apply IsDbOpen() to Windows UI"

2018-08-21 19:29:33 +0300 ronys 

	* Merge branch 'mr482'

2018-08-21 19:29:02 +0300 ronys 

	* Apply IsDbOpen() to Windows UI

2018-08-19 01:11:00 +0200 rafaelx 

	* [wx] Introduce IsDbOpen() to the core

2018-08-18 18:14:28 +0200 rafaelx 

	* [wx] Show more properties at properties dialog

2018-08-18 00:56:14 +0200 rafaelx 

	* [wx] Correct enabling/disabling of Options dialog controls

2018-08-17 07:29:31 +0300 ronys 

	* Slovenian po file ready for production

2018-08-16 19:45:04 +0300 ronys 

	* Cleanup help/default/pwsafe.hhk

2018-08-16 19:32:01 +0300 ronys 

	* Work on Slovenian po file from Jadran

2018-08-15 23:37:07 +0300 ronys 

	* More work on Slovenian texts

2018-08-13 21:54:37 +0300 ronys 

	* First attempt at Slovenian po file for Windows

2018-08-12 21:20:20 +0300 ronys 

	* Tweaks to Slovenian installer texts

2018-08-11 22:23:56 +0300 ronys 

	* Add Slovenian installer support, thanks to Jadran

2018-08-15 23:22:55 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2018-08-15 23:21:59 +0300 ronys 

	* [GH474] Resized Properties dialog for non-English texts

2018-08-15 05:15:40 -0400 William Blough 

	* Fix non-cmake-based build

2018-08-14 12:35:17 +0200 Rafael 

	* Remove declaration of event handler OnPWHistRB

2018-08-13 23:18:44 +0200 rafaelx 

	* [wx] Disable controls of options dialog in R-O mode

2018-08-15 21:02:19 +0300 ronys 

	*  Change clipboard clearing delay from 3 to 10 seconds

2018-08-15 20:56:01 +0300 ronys 

	* [1466] Disable Undo/Redo toolbar buttons when opening database

2018-08-11 23:42:49 +0200 rafaelx 

	* [win] Improve German translation

2018-08-11 10:54:05 +0300 ronys 

	* update version.wx to 1.06 (tag: 1.06BETA)

2018-08-10 13:27:27 +0300 ronys 

	* [1448] Less confusing behavior when the current safe can't be found upon restore. (tag: 3.47.0)

2018-08-10 12:23:18 +0300 ronys 

	* [1465] Removed possibility of not setting Yubikey in changed passphrase by mistake.

2018-08-10 11:19:09 +0300 ronys 

	* Prep for 3.47 formal release

2018-08-05 11:45:07 +0200 rafaelx 

	* [wx] Introduce password generator dialog

2018-07-23 17:31:56 +0200 rafaelx 

	* Make members representing wx controls of CPasswordPolicy private.

2018-08-05 14:26:54 +0200 rafaelx 

	* [win] Update German translation

2018-08-04 19:53:26 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian .po (WX)

2018-08-04 18:00:17 +0300 Andrey Kuznetsov 

	* [i18n] Image updates for Russian help

2018-08-04 17:59:09 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian .po (MFC)

2018-08-04 12:03:09 +0300 ronys 

	* 3.47pre translation update (tag: 3.47.0pre)

2018-08-01 21:02:19 +0300 ronys 

	* [BR1453] - Fixed regression in tooltip fix of BR1449

2018-07-29 22:20:10 +0300 ronys 

	* nit

2018-07-14 11:18:13 +0300 ronys 

	* First hack at BR1641 and 1642

2018-06-29 16:21:59 +0530 saurav 

	* cli: Ignore empty policies in side-by-side diffs also

2018-06-29 16:06:20 +0530 saurav 

	* cli: Only print fields that were compared

2018-06-29 16:05:27 +0530 saurav 

	* cli: Print password policies in diffs

2018-06-29 15:01:09 +0530 saurav 

	* cli: print separators between items in unified diff

2018-06-29 15:00:21 +0530 saurav 

	* cli: convert for_each to range-based for loops

2018-06-29 14:34:12 +0530 saurav 

	* cli: heed cppcheck's suggestions

2018-06-28 16:43:04 +0530 saurav 

	* cli: Indent multiline values in all diff formats

2018-06-28 15:05:25 +0530 saurav 

	* cli: Separate the resizing & indenting operations

2018-06-22 15:33:19 +0530 saurav 

	* cli: show human-readable password history diff

2018-06-21 15:19:27 +0530 saurav 

	* Print Double-click actions in human-readable format

2018-06-19 11:47:24 +0530 saurav 

	* cli: switch wstring/stream => StringX/Stream

2018-06-19 11:37:28 +0530 saurav 

	* cli: improve side-by-side diffs further

2018-06-18 17:58:33 +0530 saurav 

	* cli: fix command-line help text

2018-06-18 17:56:48 +0530 saurav 

	* cli: retain adjustment printing multiline values

2018-07-02 23:14:11 -0400 William Blough 

	* Don't hardcode pkg-config in Makefile

2018-07-01 18:51:56 +0300 Andrey Kuznetsov 

	* [MFC] Don't crash on clipboard cleanup if someone put empty data to clipboard, or global memory was freed

2018-06-12 19:25:38 +0300 Andrey Kuznetsov 

	* [MFC] Fixed call style (cdecl->stdcall) for timer callback

2018-06-30 13:20:26 +0300 ronys 

	* tweak cli code - warnings

2018-06-30 12:34:27 +0300 ronys 

	* Last commit for short dbox too

2018-06-29 10:12:41 +0300 ronys 

	* Rephrase per Rafael's suggestion

2018-06-29 09:58:17 +0300 ronys 

	* Rafael's suggested string changes

2018-06-22 19:32:38 +0300 ronys 

	* version bump to 3.47pre

2018-06-22 19:29:03 +0300 ronys 

	* FR862 - track time of master password change

2018-06-13 20:38:39 +0300 ronys 

	* Update README.LINUX.DEVELOPERS.md

2018-06-13 11:07:16 +0200 Rafael 

	* Update README.LINUX.DEVELOPERS.md

2018-06-12 17:20:42 +0300 Andrey Kuznetsov 

	* [wx] Fixed compilation issues (gcc-7.3.0) - wxString => StringX using plain string representation - include path for core header

2018-06-12 17:23:36 +0300 Andrey Kuznetsov 

	* [wx] C::B project update - few options moved to root config - added new files

2018-06-12 19:19:03 +0300 Andrey Kuznetsov 

	* Windows can't load grayscale bitmap, converted to truecolor

2018-06-12 19:17:41 +0300 Andrey Kuznetsov 

	* [i18n] Minor updates in Russian .po (MFC)

2018-06-12 17:16:17 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian .po (WX)

2018-06-12 20:13:01 +0300 ronys 

	* Debian: recommend xvkbd package in deb

2018-06-09 18:09:33 +0200 Rafael 

	* Prevent lock/unlock if no safe is open

2018-06-09 17:34:44 +0200 Rafael 

	* Initialize member to show correctly initial menu item state regarding unsaved items

2018-06-09 17:16:10 +0200 Rafael 

	* Harmonize enabling/disabling of Wx menu items with Windows version

2018-06-12 00:00:09 +0200 rafaelx 

	* Add check for virtual keyboard (xvkbd)

2018-06-01 23:55:51 +0200 Rafael 

	* Harmonize lock/unlock functionality of Wx version with Windows version

2018-05-31 22:03:29 +0200 Rafael 

	* Minor correction of German translation

2018-06-02 21:01:39 +0200 Rafael 

	* Minor corrections of German translation for Windows version

2018-06-02 15:11:05 +0200 Rafael 

	* Improve and update German translation of Windows version

2018-06-02 10:32:44 +0300 ronys 

	* Better lock toolbar bitmap for Windows from RafaelX

2018-05-29 22:01:24 +0300 ronys 

	* Enhance clipboard security

2018-05-28 20:52:31 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2018-05-28 20:52:20 +0300 ronys 

	* minor C++ modernization

2018-05-20 15:38:32 +0200 Rafael 

	* Add 'HasMaxPolicies' to 'PolicyManager'.

2018-05-20 15:16:49 +0200 Rafael 

	* Implement showing of policy related entries

2018-05-18 13:01:39 +0300 ronys 

	* Update wx translations

2018-05-13 22:06:06 +0200 Rafael 

	* Layoutimprovements of safecombinationsetup dialog

2018-05-13 21:18:45 +0200 Rafael 

	* Update state (enabled/disabled) of menu items after language switch

2018-05-13 17:30:42 +0200 Rafael 

	* Add menu items for lock/unlock of DB

2018-05-13 21:37:50 +0300 ronys 

	* Get Default Policy name to work again under I18N

2018-05-12 13:37:31 +0300 ronys 

	* Merge branch 'mr448' - Policy Management undo/redo support by Rafaelx

2018-05-12 13:10:00 +0300 ronys 

	* Minor simplifications to PolicyManager (origin/mr448, mr448)

2018-05-12 12:54:28 +0300 ronys 

	* Compile PolicyManager under Visual Studio

2018-05-12 03:08:36 +0200 Rafael 

	* - Added 'PolicyManager::IsDefaultPolicy' - Removed unused methods 'PolicyManager::AddPolicy' and 'PolicyManager::RemovePolicy' - Changed 'PolicyManager::DEFAULT_POLICYNAME' from type StringX to stringT

2018-05-10 16:46:44 +0200 Rafael 

	* Rename Collector classes

2018-05-09 01:03:02 +0200 Rafael 

	* Implement management of password policies

2018-05-05 13:43:06 +0300 ronys 

	* [455] tweak package dep on ubuntu

2018-04-26 21:41:53 -0400 William Blough 

	* Fix mixed release/debug autotools builds

2018-04-07 19:59:20 +0300 Andrey Kuznetsov 

	* Few adjustments in SlackBuild: * fixed typo in `if` condition * fixed build from path with spaces * move man and docs into /usr instead of /usr/share

2018-04-11 21:44:45 +0300 ronys 

	* mark wx version 1.05 (tag: 1.05BETA)

2018-04-11 20:53:08 +0300 ronys 

	* trim relnotes

2018-04-11 20:50:39 +0300 ronys 

	* 4got to remove "pre" from relnotes

2018-04-10 19:47:14 +0300 ronys 

	* Lazy fix of English typo in po files (tag: 3.46.0)

2018-04-09 21:54:50 +0300 ronys 

	* v3.46pre -> v3.46

2018-04-09 21:51:56 +0300 ronys 

	* tweak

2018-04-09 21:42:25 +0300 ronys 

	* [BR1460] - Crash under drag&drop

2018-04-05 17:44:18 +0200 Rafael 

	* Rename of typedef's according to review proposal

2018-04-05 17:35:15 +0200 Rafael 

	* Make the title column as the default sort column for all platforms

2018-04-04 14:26:45 +0200 Rafael 

	* Move SetSortingColumn outside of if statement according to review proposal

2018-04-03 20:22:28 +0200 Rafael 

	* Make sort setting of table view persistent

2018-04-05 18:32:21 +0300 ronys 

	* [GH438] Fix broken MacOSX build

2018-04-03 17:51:26 +0300 ronys 

	* Merge branch 'mr436'

2018-04-03 17:50:26 +0300 ronys 

	* [1454, G411] No longer thinks security preference has changed when it hasn't. (mr436)

2018-04-03 17:35:45 +0300 ronys 

	* Merge branch 'hashiter' of https://github.com/pm-kan/pwsafe into mr436

2018-04-03 17:27:06 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2018-04-01 12:25:52 +0300 Andrey Kuznetsov 

	* [i18n] Minor updates in Russian .po (WX)

2018-03-31 23:48:37 +0300 Andrey Kuznetsov 

	* [i18n] Image updates for Russian help

2018-03-31 23:39:49 +0300 Andrey Kuznetsov 

	* Extend field width for "minutes idle"

2018-03-31 23:39:12 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian .po (MFC)

2018-04-03 17:20:05 +0300 ronys 

	* Merge branch 'mr434'

2018-04-03 17:19:46 +0300 ronys 

	* implement review comment

2018-04-03 17:13:00 +0300 ronys 

	* Merge branch 'wxtray' of https://github.com/pm-kan/pwsafe into mr434

2018-04-01 12:27:26 +0300 Andrey Kuznetsov 

	* C::B project updates

2018-04-01 13:00:03 +0300 Andrey Kuznetsov 

	* [wx] Use IsTaskBarIconAvailable override only on wxWidgets before 3.0.4/3.1.1

2018-04-01 00:20:52 +0300 Andrey Kuznetsov 

	* Update m_hashIter on slider set and before check for changes

2018-03-30 17:53:48 +0300 ronys 

	* 3.46pre po updates

2018-03-30 13:17:50 +0300 ronys 

	* v3.46pre (tag: 3.46.0pre)

2018-03-29 19:24:46 +0300 ronys 

	* [1455] Ctrl+Enter shortcut now works correctly in read-only mode.

2018-03-28 20:31:38 +0200 Rafael 

	* Make table view sortable by individual columns

2018-03-25 19:50:12 +0300 ronys 

	* Continue last commit (cleanup)

2018-03-24 22:17:19 +0300 ronys 

	* Minor cleanup of menu intialization handling

2018-03-17 13:59:46 +0200 ronys 

	* [1456] Shortcut entries no longer use default username

2018-03-14 23:54:37 +0100 Rafael 

	* Minor layout improvements on policies dialog

2018-03-14 21:09:11 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2018-03-13 22:24:12 +0200 ronys 

	* [1458] non-ASCII compatability issue fixed

2018-03-13 22:23:38 +0200 ronys 

	* Actual fix to 1457...

2018-03-12 21:23:30 +0200 ronys 

	* [1457] Protect Entry / Group now works when language isn't English.

2018-02-24 20:33:57 +0100 Rafael 

	* Prevent adding an additional slash to users preferences directory

2018-03-12 18:18:57 +0200 ronys 

	* enum -> enum class tweak

2018-03-12 05:52:36 +0200 ronys 

	* Merge branch 'convert-cleanup'

2018-03-11 21:18:18 +0200 ronys 

	* MB/WC cleanup - ugly off-by-one hack (nanas/convert-cleanup)

2018-03-11 20:46:54 +0200 ronys 

	* MB/WC cleanup ready for merge into master

2018-03-11 20:22:28 +0200 ronys 

	* More work on MB/WC cleanup

2018-03-09 09:33:08 +0200 ronys 

	* Start work on MB/WC cleanup

2018-03-09 11:27:47 +0200 ronys 

	* Change st_PSWDPolicyChange.flags to mode

2018-03-09 09:54:24 +0200 ronys 

	* Commit 29846fd75 now builds under Windows

2018-03-04 17:57:18 +0100 Rafael 

	* Change unscoped enum type to scoped enum type for more type safety for core/PWPolicy

2018-03-04 15:23:08 +0100 Rafael 

	* Resize grid columns correctly also if dialog gets maximized and restored to its origin size

2018-03-04 14:22:54 +0100 Rafael 

	* Resize grid columns correctly

2018-03-04 01:26:44 +0100 Rafael 

	* Prevent to add unnecessary rows to table showing policy details

2018-02-27 22:31:26 +0200 ronys 

	* Change unscoped enum type to scoped enum type for more type safety for core/TwoFish

2018-02-27 22:20:41 +0200 ronys 

	* WZFinish.cpp: NULL -> nullptr

2018-02-27 22:15:39 +0200 ronys 

	* Windows Export wizard: hide report button unless we've something to report

2018-02-27 07:56:25 +0200 ronys 

	* No more need for enum hack - SHA1, SHA256 (core-enum-cleanup)

2018-02-27 07:52:16 +0200 ronys 

	* No more need for enum hack - TwoFish

2018-02-26 23:13:49 +0200 ronys 

	* Change unscoped enum type to scoped enum type for more type safety for core/CheckVersion (nanas/core-enum-cleanup)

2018-02-26 23:03:52 +0200 ronys 

	* No more need for enum hack

2018-02-26 22:54:09 +0200 ronys 

	* Change unscoped enum type to scoped enum type for more type safety for core/AES.*

2018-02-26 18:55:33 +0200 ronys 

	* Change unscoped enum type to scoped enum type for more type safety for os library (nanas/os-class-enum)

2018-02-24 16:11:06 +0100 Rafael 

	* Change unscoped enum type to scoped enum type for more type safety for 'TrayStatus'

2018-02-24 15:53:09 +0100 Rafael 

	* Change unscoped enum type to scoped enum type for more type safety for 'ItemState'

2018-02-24 15:43:13 +0100 Rafael 

	* Change unscoped enum type to scoped enum type for more type safety for 'PageDirection'

2018-02-24 15:22:22 +0100 Rafael 

	* Change unscoped enum type to scoped enum type for more type safety for 'SaveType'

2018-02-22 23:27:21 +0100 Rafael 

	* Change unscoped enum type to scoped enum type for more type safety for 'ItemType'

2018-02-22 23:03:22 +0100 Rafael 

	* Change unscoped enum type to scoped enum type for more type safety for 'SheetType'

2018-02-24 12:53:58 +0200 ronys 

	* Merge branch 'mr423'

2018-02-24 12:46:58 +0200 ronys 

	* Replace NULL in comments with neutral phrasing

2018-02-24 12:08:53 +0200 ronys 

	* Merge branch 'nullptr' of git://github.com/rafaelx/pwsafe into mr423

2018-02-24 12:07:02 +0200 ronys 

	* Update registry.cpp

2018-02-20 22:54:21 +0100 Rafael 

	* Call within PWSdirs::GetHelpDir() the function pws_os::gethelpdir(), instead of GetOurExecDir()

2018-02-20 22:49:43 +0100 Rafael 

	* Add help folder from build directory to search path for debug build also on FreeBSD

2018-02-20 00:28:23 +0100 Rafael 

	* Add help folder from build directory to search path for debug build

2018-02-20 23:54:22 +0100 Rafael 

	* Change occurences of NULL macro to typesafe pointer literal nullptr for all os/unix related files

2018-02-20 23:32:12 +0100 Rafael 

	* Change occurences of NULL macro to typesafe pointer literal nullptr for all core related files

2018-02-17 16:16:54 +0300 Andrey Kuznetsov 

	* [linux] Path correction in SlackBuild

2018-02-18 20:14:00 +0300 Andrey Kuznetsov 

	* [i18n] Russian help: chm dislike &roarr; so, changed to &rarr;, also popup.js recoded

2018-02-17 17:16:56 +0300 Andrey Kuznetsov 

	* [i18n] Converted Russian help to cp1251 (also related script updates)

2018-02-18 20:37:38 +0200 ronys 

	* Merge branch 'mr419'

2018-02-18 20:25:37 +0200 ronys 

	* Merge branch 'master' into nullptr

2018-02-18 20:12:48 +0200 ronys 

	* Merge branch 'mr415'

2018-02-17 20:05:27 +0100 Rafael 

	* Implement save and restore of tree state

2018-02-16 11:55:33 +0100 Rafael 

	* Change collecting group state according to review proposal.

2018-02-15 00:13:41 +0100 Rafael 

	* Implement save and restore of tree state

2018-02-18 16:21:49 +0100 Rafael 

	* Change occurences of NULL macro to typesafe pointer literal nullptr

2018-02-18 01:21:21 +0100 Rafael 

	* Add some space around the button at backup tab of options dialog

2018-02-18 00:12:05 +0100 Rafael 

	* Prevent creation of status bar on language switch

2018-02-17 19:25:18 +0100 KaiZin2018 

	* Update pwsafe_de.po

2018-02-17 11:55:02 +0200 ronys 

	* Wizard propsheet cleanup - move to C++11

2018-02-13 19:41:02 +0200 ronys 

	* Wx minor ui corrections from Kai Z.

2018-02-13 19:20:47 +0200 ronys 

	* Rephrase Security tab texts

2018-02-11 19:47:39 +0200 ronys 

	* I18N: Dutch corrections from Bert

2018-02-07 14:25:59 +0100 rfmae 

	* Update CMakeLists.txt

2018-02-08 19:04:52 +0200 ronys 

	* Merge pull request #4 from bblough/debian-fhs-patch

2018-02-07 14:31:03 -0500 William Blough 

	* Merge branch 'master' into debian-fhs-patch

2018-02-07 20:59:39 +0200 ronys 

	* Merge branch 'mr410'

2018-02-03 19:17:43 -0500 William Blough 

	* Replace c-style cast with c++-style cast

2018-01-31 21:22:19 -0500 William Blough 

	* Fix 64-bit/32-bit Time Conversion on Big-Endian Systems

2018-01-31 03:31:28 -0500 William Blough 

	* Fix ItemData Deserialization on Big-Endian Systems

2018-01-31 03:22:39 -0500 William Blough 

	* Fix BlowFish Compatibility on Big-Endian Systems

2018-01-31 02:46:30 -0500 William Blough 

	* Fix False-Positive Endianness Warnings

2018-01-31 02:30:17 -0500 William Blough 

	* Fix Cast-related Issues for Big-Endian Systems

2018-01-31 02:20:23 -0500 William Blough 

	* Fix Numeric Getters for Big-Endian systems

2018-01-20 20:58:42 +0200 ronys 

	* Merge pull request #401 from rafaelx/Issue398

2018-01-20 20:48:11 +0200 ronys 

	* Merge pull request #407 from rafaelx/SfIssue1426

2018-01-20 17:16:13 +0100 Rafael 

	* Fix #1426 "Linux, Tree View: Arrow key Behavior Not as Expected"

2018-01-14 19:12:24 +0100 Rafael 

	* Fix #398

2018-01-09 21:20:35 +0200 ronys 

	* I18N: Dutch translation for 3.45 from Bert

2017-12-22 07:34:29 +0200 ronys 

	* backslash -> slash in hhc/k/p files (tag: 1.04BETA)

2018-01-19 13:52:39 +0200 ronys 

	* 3.45pre -> 3.45.0 (tag: 3.45.0)

2018-01-19 10:19:00 +0200 ronys 

	* Shutup some gtest compile warnings

2018-01-19 10:15:26 +0200 ronys 

	* Merge branch 'mr405'

2018-01-19 10:09:43 +0200 ronys 

	* Merge branch 'wcstombs' of git://github.com/rafaelx/pwsafe into mr405

2018-01-19 10:03:24 +0200 ronys 

	* Merge pull request #404 from pm-kan/i18n-upd

2018-01-19 01:39:02 +0100 Rafael 

	* Prevent implicit type conversion of strings

2018-01-19 01:32:37 +0100 Rafael 

	* Get locale environment variable LC_CTYPE

2018-01-18 20:54:43 +0300 Andrey Kuznetsov 

	* Quick fixes in Russian translations for errors found by dskrvk

2018-01-17 21:23:55 +0200 ronys 

	* Merge pull request #403 from pm-kan/slack-upd2

2018-01-17 21:20:01 +0200 ronys 

	* Merge pull request #402 from pm-kan/i18n

2018-01-17 21:11:27 +0200 ronys 

	* [BR1450] Can now generate passwords longer than 94 characters

2018-01-14 17:20:07 +0300 Andrey Kuznetsov 

	* [wx] Fix relative path in help project for non-win wx builds

2017-11-19 20:55:17 +0300 Andrey Kuznetsov 

	* [wx] Slackbuild now uses cmake

2017-11-19 20:36:59 +0300 Andrey Kuznetsov 

	* Don't install help/CMakeFiles dir

2018-01-14 15:13:17 +0300 Andrey Kuznetsov 

	* Merge branch 'master' into i18n

2018-01-14 15:10:00 +0300 Andrey Kuznetsov 

	* [i18n] Updates in Russian Help

2018-01-14 15:01:27 +0300 Andrey Kuznetsov 

	* [i18n] New script for HHK processing

2018-01-14 14:58:54 +0300 Andrey Kuznetsov 

	* Help: removed wrong tag

2018-01-08 18:19:20 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX)

2018-01-08 16:34:15 +0300 Andrey Kuznetsov 

	* Merge branch 'i18n' of github.com:pm-kan/pwsafe into i18n

2018-01-08 16:33:04 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2017-11-11 19:42:48 +0300 Andrey Kuznetsov 

	* Fixed translation for Russian Help index

2017-11-11 19:16:36 +0300 Andrey Kuznetsov 

	* Updates in Russian Help

2018-01-06 20:43:55 +0200 ronys 

	* 3.44.1 -> 3.45pre in relnotes (tag: 3.45.0pre)

2018-01-06 10:23:41 +0200 ronys 

	* Merge pull request #399 from rafaelx/wxOptionsDialog

2018-01-06 10:21:01 +0200 ronys 

	* Update pos for 3.45pre

2018-01-06 07:31:05 +0200 ronys 

	* BR1192 - Don't revert to r-o upon lock if editing

2018-01-06 02:53:57 +0100 Rafael 

	* Enable translation for comboboxes and improve layout of options dialog

2018-01-05 14:17:46 +0200 ronys 

	* Mark 3.45pre, wx1.04

2018-01-05 08:58:15 +0200 ronys 

	* Update Copyright notices to 2018

2018-01-04 21:00:29 +0200 ronys 

	* Merge pull request #397 from rafaelx/PasswordPolicyHelp

2018-01-04 20:57:18 +0200 ronys 

	* Cli flag support mostly working

2018-01-04 18:33:18 +0100 Rafael 

	* Add mapping to named password policies help file

2018-01-02 22:22:23 +0200 ronys 

	* Merge pull request #396 from rafaelx/wxHelpSystem

2018-01-02 07:28:20 +0200 ronys 

	* Windows cli flags

2018-01-01 19:37:22 +0200 ronys 

	* Work on -s mess

2017-12-29 11:42:05 +0100 Rafael 

	* Reset path to help file on new activation of help system

2017-12-29 08:51:19 +0200 ronys 

	* Merge branch 'mr395'

2017-12-28 18:58:55 +0100 Rafael 

	* Remove not needed include header

2017-12-28 18:45:43 +0100 Rafael 

	* Fix help system of wx based variant of PWSafe

2017-12-27 21:49:42 -0500 Dmitry Erastov 

	* Use character-argument string find operations

2017-12-27 21:45:09 -0500 Dmitry Erastov 

	* Refactoring for brevity

2017-12-27 21:44:00 -0500 Dmitry Erastov 

	* Simplify regex for kbshortcutType XSD type

2017-12-27 21:30:26 -0500 Dmitry Erastov 

	* PWSfileV4::CKeyBlocks::operator= should return reference

2017-12-27 21:25:26 -0500 Dmitry Erastov 

	* Mark methods in Item virtual to properly work in subclasses

2017-12-26 20:22:06 +0200 ronys 

	* I18N: Dutch updates from Bert

2017-12-26 20:17:24 +0200 ronys 

	* Merge branch 'mr394'

2017-12-26 20:16:00 +0200 ronys 

	* Merge branch 'wxSafeCombinationEntryLayout' of git://github.com/rafaelx/pwsafe into mr394

2017-12-26 20:12:57 +0200 ronys 

	* Fixed old --setup handling bug

2017-12-26 13:54:57 +0100 Rafael 

	* Improve layout of wx based SafeCombinationEntry dialog

2017-12-26 06:14:35 +0200 ronys 

	* Refactor --setup handling

2017-12-25 21:32:19 +0200 ronys 

	* Minor ui/Windows cleanup

2017-12-24 07:03:02 +0200 ronys 

	* Merge pull request #393 from rafaelx/Issue148

2017-12-24 03:37:56 +0100 Rafael 

	* Show default user name from preferences

2017-12-23 23:11:25 +0200 ronys 

	* Merge pull request #392 from rafaelx/wxOptionsDialogLayout

2017-12-23 01:31:27 +0100 Rafael 

	* Improve wx based options dialog

2017-12-22 13:24:20 +0200 ronys 

	* Merge pull request #389 from rafaelx/wxPwdPoliciesLayout

2017-12-22 13:02:00 +0200 ronys 

	* Merge branch 'rafaelx'

2017-12-22 12:59:47 +0200 ronys 

	* Merge branch 'wxPropertySheetLayout' of git://github.com/rafaelx/pwsafe into rafaelx

2017-12-21 23:45:44 +0100 Rafael 

	* Make tables of wx based ManagePasswordPoliciesDialog expandable.

2017-12-22 12:57:34 +0200 ronys 

	* wx: Dragbar resizes correctly under Fedora

2017-12-22 12:41:32 +0200 ronys 

	* wx: Fix Taskbar support detection hack

2017-12-22 11:00:44 +0200 ronys 

	* Merge pull request #391 from rafaelx/wxTranslationUpdate

2017-12-21 23:45:44 +0100 Rafael 

	* Make tables of wx based ManagePasswordPoliciesDialog expandable.

2017-12-22 01:43:35 +0100 Rafael 

	* Add layout improvements to wx based AddEditPropertiesSheet dialog.

2017-12-21 06:55:54 +0200 ronys 

	* Tweak gtest config in cmake

2018-01-08 21:36:30 +0200 ronys 

	* Merge pull request #400 from rafaelx/Issue365

2018-01-07 02:32:17 +0100 Rafael 

	* Fix #365

2017-12-20 15:39:04 +0100 Rafael 

	* Update German translation

2017-12-19 20:38:52 +0200 ronys 

	* Merge branch 'mr388'

2017-12-19 20:37:27 +0200 ronys 

	* Merge branch 'wxPropertySheetLayout' of git://github.com/rafaelx/pwsafe into mr388

2017-12-19 20:28:24 +0200 ronys 

	* Merge pull request #387 from rafaelx/wxTranslationUpdate

2017-12-19 19:14:36 +0100 Rafael 

	* Improve German translation

2017-12-19 16:20:02 +0100 Rafael 

	* Make text entry fields of properties sheet expandable

2017-12-18 22:29:31 +0200 ronys 

	* wx: Fixed Cmake build of .po files

2017-12-18 20:43:49 +0200 ronys 

	* wx: typos caugt by Rafael

2017-12-18 06:34:48 +0200 ronys 

	* Merge pull request #383 from rafaelx/master

2017-12-17 20:26:04 +0100 Rafael 

	* Update of German translation.

2017-12-16 22:35:20 +0200 ronys 

	* Merge pull request #382 from SeeK-ntr0py/master

2017-12-16 09:59:31 -0800 SeeK 

	* Merge pull request #1 from SeeK-ntr0py/IPO-build-fix

2017-12-16 09:58:25 -0800 SeeK 

	* Update CMakeLists.txt

2017-12-10 19:36:46 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-12-10 19:36:20 +0200 ronys 

	* added .gitignores for Windows git statusN Tools

2017-12-10 19:33:16 +0200 ronys 

	* Travis tweaks - remove broken osx build (Travis env issue) - Try to get gcc and clang working

2017-12-09 13:15:25 +0200 ronys 

	* wx: Implicitly close Search toolbar upon database close [G375]

2017-12-05 22:13:53 +0200 ronys 

	* GH381: fix broken wx build

2017-11-29 19:24:58 +0200 ronys 

	* [1449] Cleanup statusbar tooltip text - add relnotes.txt

2017-11-29 19:12:47 +0200 ronys 

	* [1449] Cleanup statusbar tooltip text

2017-11-21 10:25:08 +0200 ronys 

	* Travis-ci: try gcc and clang under Linux

2017-11-21 09:45:34 +0200 ronys 

	* Travis-ci: Try to workaround brew breakage

2017-11-20 20:57:52 +0200 ronys 

	* Travis: try cmake under Linux build

2017-11-19 19:14:07 +0200 ronys 

	* travis-ci: add libqrencode-dev

2017-11-19 19:01:09 +0200 ronys 

	* Travis contiuous integration - first hack

2017-11-20 19:59:01 +0200 ronys 

	* Merge pull request #379 from Sp1l/patch-2

2017-11-20 19:55:13 +0200 ronys 

	* Merge pull request #377 from Sp1l/patch-1

2017-11-20 11:45:14 +0100 Bernard Spil 

	* Fix build failures with wxgtk 3.0.3.1

2017-11-19 20:53:11 +0100 Bernard Spil 

	* Unbreak build on FreeBSD

2017-11-12 21:04:38 +0200 ronys 

	* Merge pull request #376 from hdfssk/fix,dragbar

2017-11-11 23:00:11 -0500 Honore Doktorr 

	* Expand and shrink dragbar with the main frame

2017-11-11 19:42:48 +0300 Andrey Kuznetsov 

	* Fixed translation for Russian Help index

2017-11-11 19:16:36 +0300 Andrey Kuznetsov 

	* Updates in Russian Help

2017-11-06 21:13:46 +0200 ronys 

	* [1444] Fixed crash in display of Password Policies in Czech

2017-11-05 22:02:29 +0200 ronys 

	* [1445] Fixed crash on autotype with malformed text.

2017-11-03 10:37:02 +0200 ronys 

	* Merge pull request #373 from sauravg/mac-qrencode

2017-11-03 12:20:44 +0530 saurav 

	* Add QRcode files to CodeLite workspace

2017-11-03 11:38:16 +0530 saurav 

	* Remove platform names from filenames pwsqrencode*.{mm,cpp}

2017-11-03 07:35:07 +0200 ronys 

	* Document fix to G357

2017-11-01 17:09:43 +0530 saurav 

	* wx Makefile: fix for Linux build

2017-11-01 16:09:40 +0530 saurav 

	* wx Makefile: include correct QRcode sources

2017-10-30 20:11:37 +0200 ronys 

	* Merge pull request #372 from pm-kan/ru-cp-fix

2017-10-30 20:35:28 +0300 Andrey Kuznetsov 

	* Fixed NSIS compilation for pwsafe_tr.lng

2017-10-30 20:33:44 +0300 Andrey Kuznetsov 

	* Converted pwsafe_ru.lng to UTF8 with BOM

2017-10-30 19:20:14 +0300 Andrey Kuznetsov 

	* Fixed encoding for Russian HtmlHelp index

2017-10-30 13:09:25 +0530 saurav 

	* Fix CMake build on OSX

2017-10-30 11:47:22 +0530 saurav 

	* Add QR code sources based on platform

2017-10-30 10:50:35 +0530 saurav 

	* Fix Linux build with regular Makefile

2017-10-30 07:12:43 +0200 ronys 

	* bump version to 3.44.1

2017-10-29 20:11:20 +0200 ronys 

	* Clarify autotype usage for newbies

2017-10-28 23:28:32 +0530 saurav 

	* Don't interpolate QR code while scaling to not blur it

2017-10-28 19:49:05 +0300 ronys 

	* Murphy (origin/integrated-gtest)

2017-10-28 19:42:03 +0300 ronys 

	* Setup gtest to build directly under our build

2017-10-27 20:47:13 +0530 saurav 

	* qrtestdlg: Fix compilation of test dialog on osx

2017-10-27 17:57:47 +0530 saurav 

	* Don't define BOOL. Use bool instead

2017-10-27 17:56:02 +0530 saurav 

	* Add mac-specific QR code generation

2017-10-27 17:53:34 +0530 saurav 

	* Extract QR code generation code to separate files

2017-10-27 11:10:47 +0300 ronys 

	* Fixed cmake build on older cmakes

2017-10-27 09:39:33 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-10-27 09:33:37 +0300 ronys 

	* wx: fix compilation warnings

2017-10-27 08:45:54 +0300 ronys 

	* update CMakeLists.txt

2017-10-26 22:57:06 +0300 ronys 

	* Merge pull request #371 from sauravg/master

2017-10-26 17:12:49 +0530 saurav 

	* Define NO_QR in Xcode project, for now

2017-10-25 21:54:03 +0300 ronys 

	* Merge pull request #370 from bblough/update_password_command_test_fix

2017-10-25 04:29:12 -0400 William Blough 

	* Fix UpdatePasswordCommand test to use correct units

2017-10-25 06:49:50 +0300 ronys 

	* Tweak mbstowcs usage for windows compatibility

2017-10-24 23:03:46 +0300 ronys 

	* Merge branch 'g369'

2017-10-24 23:01:58 +0300 ronys 

	* Fix semantics of Windows version of pws_os::mbstowcs

2017-10-24 22:31:12 +0300 ronys 

	* Merge branch 'issue_367' of https://github.com/bblough/pwsafe into g369

2017-10-24 22:22:31 +0300 ronys 

	* Update header info when upgrading db format

2017-10-24 06:26:57 +0300 ronys 

	* Merge pull request #368 from bblough/add_include

2017-10-23 18:17:10 -0400 William Blough 

	* Add missing include for wx build

2017-10-23 18:12:17 -0400 William Blough 

	* Fix mbstowcs-related heap overflow

2017-10-23 22:18:59 +0300 ronys 

	* Cleanup commit 072604c55

2017-10-19 22:26:52 +0300 ronys 

	* tweak commit 072604c55

2017-10-19 22:01:53 +0300 ronys 

	* Refactor  pw history action constants

2017-10-19 20:59:31 +0300 ronys 

	* Merge pull request #364 from grinapo/master

2017-10-19 14:19:57 +0200 grin 

	* Help: update security+settings with information about the specific key stretching. This should be updated when V4 [and PBKDF2; or maybe Argon2 :)] comes.

2017-10-19 06:53:58 +0300 ronys 

	* Merge pull request #361 from bblough/passhist

2017-10-18 21:41:50 -0400 William Blough 

	* Update Windows ui to use pw history action constants

2017-10-18 21:37:35 -0400 William Blough 

	* Update PWScore to use pw history action constants

2017-10-18 21:30:24 -0400 William Blough 

	* Move history action logic to support in-panel apply

2017-10-18 20:40:07 -0400 William Blough 

	* Define constants for password history update actions

2017-10-18 22:57:09 +0300 ronys 

	* [1442] Fixed regression: -s flag (silent opening) works again.

2017-10-17 22:32:40 -0400 William Blough 

	* Add "Apply to protected entries" functionality

2017-10-17 22:21:57 +0300 ronys 

	* Remove spurious warning re EN dll

2017-10-17 21:12:35 +0300 ronys 

	* Refactor StartClosed -> StartNoDB (clearer)

2017-10-16 19:55:07 -0400 William Blough 

	* [wx] Implement Password History Options

2017-10-16 23:13:27 +0300 ronys 

	* Removed empty UpdateSystemMenu()

2017-10-16 23:02:59 +0300 ronys 

	* document how SetStartSilent should work with UpdateSystemMenu

2017-10-16 22:38:47 +0300 ronys 

	* Cleanup s/m/c command line argument processing

2017-10-16 21:40:44 +0300 ronys 

	* [G360] Systray icon fixes

2017-10-15 22:10:00 +0300 ronys 

	* cleanup some lgtm warnings + use c++17 = delete

2017-10-12 09:56:49 +0300 ronys 

	* minor wx cleanup from last commit

2017-10-12 09:49:11 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-10-11 23:46:35 +0300 ronys 

	* [BR1441] Handle hashiters under commands execute/undo paradigm

2017-10-11 20:45:05 +0300 ronys 

	* Remove old-sln

2017-10-09 19:33:41 +0300 ronys 

	* CPACK_RPM_PACKAGE_REQUIRES qrencode-lib -> qrencode-libs

2017-10-08 12:59:35 +0300 ronys 

	* murphy

2017-10-07 20:53:15 +0300 ronys 

	* 3.44pre -> 3.44 (tag: 3.44.0, tag: 1.03BETA, nanas/master)

2017-10-07 20:51:49 +0300 ronys 

	* [BR1438] - document previous commit in relnotes.txt

2017-10-07 20:48:40 +0300 ronys 

	* [BR1438] - document previous commit in relnotes

2017-10-06 10:19:51 +0300 ronys 

	* Escape \\ correctly in run command

2017-10-05 13:57:49 +0300 ronys 

	* wx: Added GTU uniqueness checks under add/edit

2017-10-05 13:32:40 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-10-05 13:30:59 +0300 ronys 

	* small refactor

2017-10-05 11:18:29 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-10-05 11:16:26 +0300 ronys 

	* Tweak relnotes for 3.44

2017-10-02 20:15:58 +0300 ronys 

	* Fixed broken Windows build

2017-10-02 06:51:19 +0300 ronys 

	* Yuvikey -> Yubikey typo in DE

2017-10-01 20:02:56 +0300 ronys 

	* Merge pull request #354 from pm-kan/wx-fix

2017-10-01 19:57:02 +0300 ronys 

	* Merge pull request #353 from pm-kan/ro-fix

2017-10-01 19:56:02 +0300 ronys 

	* Merge pull request #352 from pm-kan/i18n-09

2017-10-01 19:54:18 +0300 ronys 

	* Merge pull request #351 from pm-kan/att-fix

2017-10-01 01:19:33 +0300 Andrey Kuznetsov 

	* [wx] use plain fread to load lockFile info (wifstream convert each byte to wchar)

2017-10-01 01:16:07 +0300 Andrey Kuznetsov 

	* [wx] create lockFile only when opening in r/w mode, using SafeUnlockCurFile to prevent deleting other's lock

2017-10-01 01:07:14 +0300 Andrey Kuznetsov 

	* [wx] partial fix for wrong add/edit dialog width: call layout after filling group list, but we also need additional processing when concatenated group name is too large (add scroller or limit combobox width)

2017-09-30 20:25:37 +0300 Andrey Kuznetsov 

	* Merge branch 'master' of github.com:pm-kan/pwsafe

2017-09-30 20:24:06 +0300 Andrey Kuznetsov 

	* Forgot to add updated tmx files for Russian help

2017-09-30 20:17:50 +0300 Andrey Kuznetsov 

	* Updates in Russian help

2017-09-30 20:17:01 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX)

2017-09-30 18:58:40 +0300 ronys 

	* Move LINUX README files to markdown

2017-09-30 18:43:51 +0300 ronys 

	* Update Linux and Linux-dev README files

2017-09-30 12:39:31 +0300 Andrey Kuznetsov 

	* Clear initiallyRO flag on db close

2017-09-30 12:07:24 +0300 Andrey Kuznetsov 

	* Use translation for "unknown" MIME-type on property page

2017-09-30 12:05:30 +0300 Andrey Kuznetsov 

	* Check that extension is non-empty before skipping dot

2017-09-30 12:03:09 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2017-09-30 11:40:32 +0300 Andrey Kuznetsov 

	* Updated image for Russian help

2017-09-30 11:39:37 +0300 Andrey Kuznetsov 

	* Extend label width

2017-09-29 21:14:21 +0300 Andrey Kuznetsov 

	* Merge remote-tracking branch 'upstream/master'

2017-09-26 21:50:41 +0300 ronys 

	* Fixed DBID functionality [FR832]

2017-09-26 21:12:32 +0300 ronys 

	* Tweak fix for FR841

2017-09-26 20:15:44 +0300 ronys 

	* Update relnotes re last commit

2017-09-25 21:01:48 +0300 ronys 

	* 10pt Segoe UI Symbol Regular -> 10pt Segoe UI Regular

2017-09-24 17:18:22 +0300 Andrey Kuznetsov 

	* Merge remote-tracking branch 'upstream/master'

2017-09-24 05:27:41 +0300 ronys 

	* wx: bump version to 1.03

2017-09-23 10:50:39 +0300 ronys 

	* shutup compiler warnings under Debian 9

2017-09-22 21:30:31 +0300 ronys 

	* wx: updated pos

2017-09-21 21:54:07 +0300 ronys 

	* Updated pos for 3.44pre (tag: 3.44.0pre)

2017-09-21 17:16:05 +0300 ronys 

	* NSIS tweaks for new version

2017-09-21 11:05:25 +0300 ronys 

	* local build env updates

2017-09-20 11:52:48 +0300 ronys 

	* Bump 3.33.1 -> 3.34.0pre

2017-09-08 12:04:22 +0300 ronys 

	* [BR1435] Avoid crash in edit under compare

2017-09-06 22:14:21 +0300 ronys 

	* Gtest is now optional under cnmake

2017-08-16 03:06:22 +0100 c-273 

	* [FR843 & FR844] New default fonts for Windows version

2017-08-16 02:51:34 +0100 c-273 

	* Update Help for BR1432

2017-08-15 09:05:03 +0100 c-273 

	* Update Help for new, deleted & changed (3.43) preferences

2017-08-25 11:12:33 +0300 ronys 

	* Tweak dragbar fixes

2017-08-25 10:44:37 +0300 ronys 

	* Merge branch 'pm-kan-wx2'

2017-08-15 18:21:02 +0300 Andrey Kuznetsov 

	* [wx] DCA combo box was empty for default action

2017-08-15 17:56:17 +0300 Andrey Kuznetsov 

	* [wx] fixed some paths in SlackBuild

2017-08-15 17:08:28 +0300 Andrey Kuznetsov 

	* [wx] fix opening site from About dialog ("check version" still not working, because wx can't use https)

2017-08-15 16:36:39 +0300 Andrey Kuznetsov 

	* [wx] fixed help link

2017-08-15 16:20:14 +0300 Andrey Kuznetsov 

	* SlackBuild: get version info from version.wx

2017-08-15 16:05:46 +0300 Andrey Kuznetsov 

	* C::B use version from version.wx

2017-08-15 15:48:08 +0300 Andrey Kuznetsov 

	* [wx] minor change in pseudo-path for cpane.xpm

2017-08-25 06:39:50 +0300 ronys 

	* Amend last commit: Added file that broke Linux build

2017-08-24 06:58:13 +0300 ronys 

	* Fix broken Linux compile + remove unused files

2017-08-14 15:54:53 +0100 c-273 

	* [BR1432] Perform autotype of correct entry

2017-08-14 15:44:26 +0100 c-273 

	* [BR1428] Remember Find toolbar state when restoring from minimized.

2017-08-14 14:36:59 +0100 c-273 

	* [FR841] Close/exit is now allowed via System Tray icon

2017-08-14 12:08:19 +0100 c-273 

	* Fix VS2017 build

2017-08-14 12:01:02 +0100 c-273 

	* Fix wxWidgets spelling nit

2017-08-14 10:07:22 +0100 c-273 

	* [BR1420] Make virtual keyboard font size setting persistent.

2017-08-14 08:50:31 +0100 c-273 

	* Define unique Yubikey Timer

2017-08-14 08:33:36 +0100 c-273 

	* [FR828] User can set partial transparency

2017-08-21 18:57:33 +0300 ronys 

	* [BR1430] Fix handling of edits to expired entries

2017-08-14 15:59:20 +0100 c-273 

	* Remove initial system tray icon preference

2017-08-20 20:25:35 +0300 c-273 

	* Enhance export reporting

2017-08-19 23:06:37 +0300 c-273 

	* [BR1398] Remember if PasswordSafe was maximized when exited.

2017-05-02 17:25:59 +0100 c-273 

	* Fix comparison of 2 entries in List View

2017-08-19 21:31:54 +0300 c-273 

	* Tweak font usage

2017-08-19 21:02:12 +0300 c-273 

	* [FR839] Indicate protected entries in expired list

2017-08-18 09:35:00 +0300 c-273 

	* Refactor: Move new protect & attachment symbols

2017-08-16 21:32:39 +0300 c-273 

	* Fix BR1431, implement FR842

2017-08-16 20:29:59 +0300 c-273 

	* [wx Windows] Builds again w/QR code

2017-08-15 22:12:48 +0300 c-273 

	* Continue replace hardcoded values with Prefs

2017-08-15 22:06:17 +0300 c-273 

	* [BR1429] Keep focus when creating a shortcut entry

2017-08-15 22:02:49 +0300 c-273 

	* Use entry font in password policy lists

2017-08-15 21:21:52 +0300 c-273 

	* Textual cleanups

2017-08-15 14:08:44 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX)

2017-08-15 14:07:38 +0300 Andrey Kuznetsov 

	* Updates in Russian help

2017-08-15 12:48:29 +0300 Andrey Kuznetsov 

	* Image updates for Russian help

2017-07-23 22:13:38 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2017-08-15 20:31:45 +0300 Andrey Kuznetsov 

	* Don't disable cancel button in RO mode to allow close dialog with [x]

2017-08-15 22:31:43 -0400 Honore Doktorr 

	* Expand and shrink dragbar with the main frame

2017-08-15 16:14:03 -0400 Honore Doktorr 

	* Explicitly redraw dragbar bg on paint, as wxGTK3 does not automatically

2017-08-25 06:39:50 +0300 ronys 

	* Amend last commit: Added file that broke Linux build

2017-08-24 06:58:13 +0300 ronys 

	* Fix broken Linux compile + remove unused files

2017-08-22 22:20:54 +0300 ronys 

	* Merge branch 'dk-08-17'

2017-08-14 15:54:53 +0100 c-273 

	* [BR1432] Perform autotype of correct entry

2017-08-14 15:44:26 +0100 c-273 

	* [BR1428] Remember Find toolbar state when restoring from minimized.

2017-08-14 14:36:59 +0100 c-273 

	* [FR841] Close/exit is now allowed via System Tray icon

2017-08-14 12:08:19 +0100 c-273 

	* Fix VS2017 build

2017-08-14 12:01:02 +0100 c-273 

	* Fix wxWidgets spelling nit

2017-08-14 10:07:22 +0100 c-273 

	* [BR1420] Make virtual keyboard font size setting persistent.

2017-08-14 08:50:31 +0100 c-273 

	* Define unique Yubikey Timer

2017-08-14 08:33:36 +0100 c-273 

	* [FR828] User can set partial transparency

2017-08-21 18:57:33 +0300 ronys 

	* [BR1430] Fix handling of edits to expired entries

2017-08-14 15:59:20 +0100 c-273 

	* Remove initial system tray icon preference

2017-08-20 20:25:35 +0300 c-273 

	* Enhance export reporting

2017-08-19 23:06:37 +0300 c-273 

	* [BR1398] Remember if PasswordSafe was maximized when exited.

2017-05-02 17:25:59 +0100 c-273 

	* Fix comparison of 2 entries in List View

2017-08-19 21:31:54 +0300 c-273 

	* Tweak font usage

2017-08-19 21:02:12 +0300 c-273 

	* [FR839] Indicate protected entries in expired list

2017-08-18 09:35:00 +0300 c-273 

	* Refactor: Move new protect & attachment symbols

2017-08-16 21:32:39 +0300 c-273 

	* Fix BR1431, implement FR842

2017-08-16 20:29:59 +0300 c-273 

	* [wx Windows] Builds again w/QR code

2017-08-16 20:09:41 +0300 ronys 

	* Merge pull request #344 from hdfssk/fix,dragbarbg

2017-08-15 22:59:39 -0400 Honore Doktorr 

	* Merge branch 'master' into fix,dragbarbg

2017-08-15 22:31:43 -0400 Honore Doktorr 

	* Expand and shrink dragbar with the main frame

2017-08-15 16:14:03 -0400 Honore Doktorr 

	* Explicitly redraw dragbar bg on paint, as wxGTK3 does not automatically

2017-08-15 22:27:32 +0300 ronys 

	* Merge pull request #342 from pm-kan/i18n

2017-08-15 22:25:18 +0300 ronys 

	* Merge pull request #341 from pm-kan/mfc2

2017-08-15 22:12:48 +0300 c-273 

	* Continue replace hardcoded values with Prefs

2017-08-15 22:06:17 +0300 c-273 

	* [BR1429] Keep focus when creating a shortcut entry

2017-08-15 22:02:49 +0300 c-273 

	* Use entry font in password policy lists

2017-08-15 21:21:52 +0300 c-273 

	* Textual cleanups

2017-08-15 14:16:48 +0300 Andrey Kuznetsov 

	* C::B update

2017-08-15 20:31:45 +0300 Andrey Kuznetsov 

	* Don't disable cancel button in RO mode to allow close dialog with [x]

2017-08-15 20:29:30 +0300 Andrey Kuznetsov 

	* Merge remote-tracking branch 'upstream/master'

2017-08-15 14:10:28 +0300 Andrey Kuznetsov 

	* Merge remote-tracking branch 'upstream/master'

2017-08-15 14:08:44 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX)

2017-08-15 14:07:38 +0300 Andrey Kuznetsov 

	* Updates in Russian help

2017-08-15 12:48:29 +0300 Andrey Kuznetsov 

	* Image updates for Russian help

2017-08-15 12:48:29 +0300 Andrey Kuznetsov 

	* Image updates for Russian help

2017-08-14 18:57:32 +0300 ronys 

	* Wrokaround wx bug

2017-08-14 18:55:51 +0300 ronys 

	* Fix ASAN detected memory issue

2017-08-14 18:08:59 +0300 Andrey Kuznetsov 

	* Merge remote-tracking branch 'origin/master' into i18n

2017-08-11 19:03:08 +0300 ronys 

	* Merge branch 'qrencode' into master

2017-08-11 19:02:03 +0300 ronys 

	* Added qrencode-libs to RPM package deps. (origin/qrencode)

2017-08-11 17:55:19 +0300 ronys 

	* qrencode builds under Fedora

2017-08-07 21:09:37 +0300 ronys 

	* Make wx QR feature conditionally compilable

2017-08-02 13:44:30 +0530 saurav 

	* qrencode: don't link in qrcode dialog symbols

2017-08-01 12:10:53 +0530 saurav 

	* Make QR code dialog linux-only, for now

2017-07-14 12:08:04 +0530 saurav 

	* Fix coding nits

2017-07-14 12:07:10 +0530 saurav 

	* qrencode: Autoclose QR code window after 15s

2017-07-13 16:32:47 +0530 saurav 

	* Remove irrelevant comment

2017-07-13 16:31:55 +0530 saurav 

	* Fix compiler warnings about (un)signed comparison

2017-07-13 16:31:33 +0530 saurav 

	* qrencode: integrate with pwsafe gui

2017-07-12 17:02:40 +0530 saurav 

	* qrencode: Minimize vector reallocations

2017-07-12 16:57:49 +0530 saurav 

	* qrencode: Use simplest params for QR code generation

2017-07-12 15:10:27 +0530 saurav 

	* qrencode: bail quickly if qrcode generation fails

2017-07-12 14:48:43 +0530 saurav 

	* qrencode: Add side margins to dialog

2017-07-12 14:28:03 +0530 saurav 

	* qrencode: Use built-in facilities for dialog buttons

2017-07-12 13:16:39 +0530 saurav 

	* Clean up the QR code => xbm conversion

2017-07-11 18:00:52 +0530 saurav 

	* qrcode: WIP: can show a clipped QR code for now

2017-07-10 18:05:21 +0530 saurav 

	* qrcode: WIP - integrate with libqrencode

2017-07-07 17:00:54 +0530 saurav 

	* Dialog to show QR code

2017-07-23 22:13:38 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2017-07-10 22:28:01 +0300 ronys 

	* Update README.txt -> README.md in all references

2017-07-09 22:42:41 +0300 ronys 

	* README.txt -> README.md + updates

2017-07-09 20:31:40 +0300 ronys 

	* Update README.txt

2017-07-09 06:20:32 +0300 ronys 

	* FR809: Forgot to fix pwsafe.xsd

2017-07-05 09:02:43 +0100 c-273 

	* More using integer preference maxima/minima

2017-07-06 21:17:13 +0300 ronys 

	* bump version to 3.43.1

2017-07-04 22:59:40 +0300 ronys 

	* Bump version to 3.43.0 (tag: 3.43.0)

2017-07-03 22:24:53 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-07-03 22:24:22 +0300 ronys 

	* Run command should not copy password to clipboard

2017-07-02 22:42:30 +0300 ronys 

	* Apply last patch to wx (w/o po files)

2017-07-02 22:16:33 +0300 ronys 

	* Merge branch 'FR809-2'

2017-07-02 16:09:32 +0100 c-273 

	* Make sure text numerical entries are validated when property page loses focus Update incremental backup range text (missed in earlier commit).

2017-07-02 16:31:06 +0100 c-273 

	* Do update to idle time in a generic manner with a new variable to to remember to change Use a generic approach so that thenUI messages and spin controls are automatically updated when an integer preference's minima and/or maxima are changed

2017-07-01 11:59:27 +0300 ronys 

	* BR1421: Tweak RUE help text

2017-06-29 07:26:47 +0300 ronys 

	* [FR809] Maximum configurable idle timeout increased to 10 hours.

2017-06-26 20:33:08 +0300 ronys 

	* tweak test/Makefile

2017-06-26 20:11:12 +0300 ronys 

	* I18N: German updates for 3.43 from Karlo

2017-06-25 22:38:25 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-06-25 22:37:19 +0300 ronys 

	* I18N: Swedish updates for 3.43 from Bjorne

2017-06-25 22:34:54 +0300 ronys 

	* Merge pull request #337 from bblough/missing_libs

2017-06-25 03:32:24 -0400 William Blough 

	* Fix LDFLAGS to honor flags passed in

2017-06-24 22:35:56 -0400 William Blough 

	* Add missing libs to test Makefile

2017-06-24 22:33:30 -0400 William Blough 

	* Merge branch 'master' into debian-fhs-patch

2017-06-23 19:26:16 +0300 ronys 

	* typos

2017-06-21 22:25:09 +0300 ronys 

	* Removed duplicate trim*() functions from ui/cli

2017-06-22 22:45:00 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe (tag: 3.43.0pre)

2017-06-22 22:28:14 +0300 ronys 

	* 3.43pre, incl. po updates

2017-06-20 22:45:08 +0300 ronys 

	* Use std::endl, not CRLF const

2017-06-20 22:43:54 +0300 ronys 

	* Fixed crash when exporting with no reporter

2017-06-20 21:17:13 +0300 ronys 

	* Merge pull request #336 from sauravg/master

2017-06-04 21:23:47 +0530 saurav 

	* Add os/unix/cleanup.cpp to OSX build

2017-06-04 20:53:15 +0530 saurav 

	* Fix Makefile builds of pwsafe on OSX

2017-06-04 20:51:43 +0530 saurav 

	* Fix target membership of impexp.cpp

2017-06-12 21:50:11 +0300 ronys 

	* [br1401] Don't forget '-r' flag when database not found

2017-06-12 21:36:50 +0300 ronys 

	* Don't crash if file disappears unexpectedly

2017-06-10 20:09:58 +0300 ronys 

	* Merge branch 'mr334'

2017-06-10 20:08:11 +0300 ronys 

	* Fix cmake files per mr334

2017-06-08 18:14:24 +0530 saurav 

	* Don't link pwsafe-cli with X libraries

2017-06-08 16:32:59 +0530 saurav 

	* Update CodeLite projects with new files

2017-06-06 22:11:20 +0300 ronys 

	* Merge branch 'mr333'

2017-06-06 22:10:17 +0300 ronys 

	* Reference to gist documenting cli

2017-06-06 21:08:30 +0300 ronys 

	* Added standard copyright notice to Saurav's cli files

2017-06-05 21:53:33 +0300 ronys 

	* Get pwsafe-cli to link correctly under Linux, including cmake.

2017-06-04 20:41:04 +0530 saurav 

	* Fix compilation errors in PR# 333

2017-06-04 14:56:42 +0530 saurav 

	* Fix Makefile-based compilation on OSX

2017-06-04 14:55:20 +0530 saurav 

	* Use renamed functions in core

2017-06-04 12:01:27 +0530 saurav 

	* Allow title to be empty while printing

2016-08-19 16:43:29 +0530 Saurav Ghosh 

	* Match struct/class in forward decls with actuals

2016-08-19 16:40:03 +0530 saurav 

	* Consider an entry's pwpolicy{,name} before safe's

2016-08-19 15:36:40 +0530 saurav 

	* Add "Change Password" search action

2016-08-19 12:19:06 +0530 saurav 

	* Add "clear fields" action for search

2016-08-10 15:46:46 +0530 Saurav Ghosh 

	* class => struct UserArgs, to fix Xcode warning

2016-08-10 15:30:38 +0530 saurav 

	* Add basic tests for search actions

2016-08-10 15:27:43 +0530 saurav 

	* Add missing files to projects

2016-08-01 11:31:38 +0530 saurav 

	* Fix "make test" on linux by building gtest for ourselves

2016-07-31 19:11:18 +0530 Saurav Ghosh 

	* Add tests for parsing subsets

2016-07-31 19:07:35 +0530 Saurav Ghosh 

	* Fix testcase names

2016-07-31 18:57:21 +0530 Saurav Ghosh 

	* Use non-greedy regex to extract name from name=value

2016-07-31 18:55:27 +0530 Saurav Ghosh 

	* Trim fieldname strings before converting to enums

2016-07-31 18:49:26 +0530 Saurav Ghosh 

	* Add function to trim strings of whitespaces

2016-07-30 21:22:42 +0530 Saurav Ghosh 

	* Test basic field=value parsing

2016-07-30 20:46:02 +0530 Saurav Ghosh 

	* More tests for AddNewEntry

2016-07-30 13:21:56 +0530 Saurav Ghosh 

	* Test adding entries without title

2016-07-30 12:41:29 +0530 Saurav Ghosh 

	* Add "make test" target for pwsafe-cli

2016-07-30 12:39:45 +0530 Saurav Ghosh 

	* Fix warnings/errors on osx

2016-07-29 17:16:30 +0530 saurav 

	* Add tests for AddEntry

2016-07-29 16:58:05 +0530 saurav 

	* Further refactor safeutils code for testing

2016-07-29 16:40:25 +0530 saurav 

	* Move AddEntry to safeutils.h/cpp for testing

2016-07-29 16:32:15 +0530 saurav 

	* Refactor AddEntry code slightly for testing

2016-07-29 16:24:22 +0530 saurav 

	* Title must be specified for new entries

2016-07-29 14:59:44 +0530 saurav 

	* Saving and Adding new entry are separate operations

2016-07-29 14:51:52 +0530 saurav 

	* Fix tests to reflect new semantics for Split()

2016-07-29 14:50:48 +0530 saurav 

	* New dependencies for building tests

2016-07-29 14:48:48 +0530 saurav 

	* Use new names to test renamed functions

2016-07-27 12:35:30 +0530 saurav 

	* typeof => decltype

2016-07-23 22:49:13 +0530 Saurav Ghosh 

	* Decide at compile-time whether to confirm search actions

2016-07-23 22:47:42 +0530 Saurav Ghosh 

	* Minor change in search confirmation prompt help

2016-07-23 22:46:38 +0530 Saurav Ghosh 

	* Use --delete instead of --remove

2016-07-23 11:11:03 +0530 Saurav Ghosh 

	* Remove unnecessary function param

2016-07-23 10:34:39 +0530 Saurav Ghosh 

	* Name functions better

2016-07-22 15:24:54 +0530 saurav 

	* Space user input from prompt text a bit

2016-07-22 15:24:23 +0530 saurav 

	* Print item header before confirmation

2016-07-22 15:22:45 +0530 saurav 

	* Fix bug with accepting valid choices for search actions

2016-07-22 15:21:50 +0530 saurav 

	* Print doesn't require confirmation

2016-07-22 15:02:09 +0530 saurav 

	* Confirm search actions unless --yes is passed

2016-07-22 14:58:50 +0530 saurav 

	* Track confirmation in base SearchAction class

2016-07-21 23:26:44 +0530 Saurav Ghosh 

	* Fix Xcode warnings and a typo

2016-07-21 18:12:38 +0530 saurav 

	* Remove redundancy in handling search results

2016-07-21 18:02:40 +0530 saurav 

	* Move SearchAction declaration to searchaction.h

2016-07-21 17:59:28 +0530 saurav 

	* Move search functions to search.{h,cpp}

2016-07-20 21:03:34 +0530 Saurav Ghosh 

	* Fix OSX build

2016-07-20 17:37:31 +0530 saurav 

	* Move import/export code to its own file

2016-07-20 14:07:32 +0530 saurav 

	* Add back code mistakenly removed earlier

2016-07-20 13:45:29 +0530 saurav 

	* Generate password for new entries unless user specified one

2016-07-20 13:44:38 +0530 saurav 

	* Remove unused local var

2016-07-20 00:27:25 +0530 Saurav Ghosh 

	* Parse args to --add & --update while parsing args

2016-07-19 23:26:47 +0530 Saurav Ghosh 

	* Use wide version of cerr consistently

2016-07-19 22:11:50 +0530 Saurav Ghosh 

	* Split shouldn't return empty tokens

2016-07-19 21:49:26 +0530 saurav 

	* Search & Print takes the fields to print as arg

2016-07-19 17:30:39 +0530 saurav 

	* Fix usage strings

2016-07-19 17:30:17 +0530 saurav 

	* Format GTU consistently for all diff types

2016-07-18 17:51:21 +0530 saurav 

	* Fix usage information output

2016-07-18 16:44:59 +0530 saurav 

	* Streamline item header's timestamp printing code

2016-07-18 15:29:45 +0530 saurav 

	* Consolidate context & unified diff code even further

2016-07-18 13:08:36 +0530 saurav 

	* Refactor code for printing conflicting items

2016-07-18 12:18:34 +0530 saurav 

	* Refactor unique item printing code between unified & context diffs

2016-07-18 12:03:06 +0530 saurav 

	* Print fields of unique items in unified diff

2016-07-18 11:54:17 +0530 saurav 

	* Only print path & modtime in side-by-side safe hdr

2016-07-18 11:51:57 +0530 saurav 

	* Remove temp hack to not print GTU

2016-07-18 11:50:27 +0530 saurav 

	* Refactor header printing code

2016-07-18 11:30:43 +0530 saurav 

	* Name all context & unified diff functions consistently

2016-07-18 11:27:14 +0530 saurav 

	* Ignore differences in GTU for unified diff

2016-07-18 11:26:50 +0530 saurav 

	* Name unified diff functions better

2016-07-18 11:17:35 +0530 saurav 

	* Refactor code that prints field: value

2016-07-18 11:07:46 +0530 saurav 

	* Rearrange code by the diff type they are used for

2016-07-18 10:58:36 +0530 saurav 

	* Print unified diff output one field/line

2016-07-15 18:16:02 +0530 saurav 

	* Refactor & simplify side-by-side diff implementation

2016-07-15 12:25:52 +0530 saurav 

	* Print headers & separators only when required

2016-07-15 12:06:14 +0530 saurav 

	* Rename a variable to something more appropriate

2016-07-15 11:57:07 +0530 saurav 

	* Get col width for side-by-side from command-line

2016-07-15 10:43:04 +0530 saurav 

	* Check for duplicate short options at compile-time

2016-07-13 16:43:28 +0530 saurav 

	* Use wide chars consitently, even for tabs

2016-07-13 16:42:42 +0530 saurav 

	* Remove redundant manipulators

2016-07-13 16:38:42 +0530 saurav 

	* Add comments

2016-07-13 16:36:19 +0530 saurav 

	* Name functions more consistently

2016-07-13 16:32:06 +0530 saurav 

	* Send passphrase prompt to stderr

2016-07-13 15:47:43 +0530 saurav 

	* Actually print the field values in side-by-side diff

2016-07-13 15:47:30 +0530 saurav 

	* Clear some redundant iomanips

2016-07-13 14:37:25 +0530 saurav 

	* Implement side-by-side diff (-k | --sidebyside)

2016-07-13 14:36:35 +0530 saurav 

	* Fix context diff tags

2016-07-13 14:35:23 +0530 saurav 

	* Use a safe set of fields for diff'ing/printing

2016-07-12 15:08:35 +0530 saurav 

	* Implement context diff printing functionality

2016-07-12 12:32:31 +0530 saurav 

	* Refactor some of the unified diff printing code

2016-07-12 12:26:19 +0530 saurav 

	* Add merge option with -m | --merge

2016-07-12 12:13:28 +0530 saurav 

	* Refactor command-line parsing for main operation

2016-07-12 11:49:18 +0530 saurav 

	* Add sync method, with -z or --sync[hronize]

2016-07-11 15:55:12 +0530 saurav 

	* Don't save safe file if it was a dry-run

2016-07-11 15:53:23 +0530 saurav 

	* Add new files to CodeLite project

2016-07-11 15:52:06 +0530 saurav 

	* Initilize UserArgs members in-class wherever possible

2016-07-11 15:51:43 +0530 saurav 

	* Use -n for --dry-run

2016-07-11 15:50:00 +0530 saurav 

	* Add equivalent alternative long options

2016-07-11 15:48:34 +0530 saurav 

	* Match short options with their general usage/meaning

2016-07-11 15:43:46 +0530 saurav 

	* Restore code removed while copy/paste for 31fbdca

2016-07-11 14:50:31 +0530 saurav 

	* Fix Makefile based linux build

2016-07-09 23:53:52 +0530 Saurav Ghosh 

	* Show the safe while asking for passphrase

2016-07-09 23:48:28 +0530 Saurav Ghosh 

	* Improve the date printing format

2016-07-09 23:20:24 +0530 Saurav Ghosh 

	* Always init field arg to include all fields

2016-07-09 23:17:46 +0530 Saurav Ghosh 

	* Improve/fix unified diff output

2016-07-09 23:16:18 +0530 Saurav Ghosh 

	* Base diff return status on opening the other safe

2016-07-09 23:14:35 +0530 Saurav Ghosh 

	* Compare only text fields, not every possible one

2016-07-09 23:12:55 +0530 Saurav Ghosh 

	* Unlock other safe after diff'ing

2016-07-09 19:18:20 +0530 Saurav Ghosh 

	* Implement unified diff output

2016-07-09 19:14:12 +0530 Saurav Ghosh 

	* Format long_options initializers for readability

2016-07-09 12:15:47 +0530 Saurav Ghosh 

	* Don't accept more args than we could actually process

2016-07-09 11:24:41 +0530 Saurav Ghosh 

	* Fix OSX build

2016-07-08 13:52:15 +0530 saurav 

	* Refactor code for implementing diff

2016-07-08 12:42:44 +0530 saurav 

	* Rename UserArgs struct fields common to search & diff

2016-07-07 16:05:07 +0530 saurav 

	* Simplify methdo dispatch for main operation

2016-06-20 18:16:23 +0530 saurav 

	* Add some gtest-based tests

2016-06-20 17:54:29 +0530 saurav 

	* Make public some function linkages to test them

2016-06-20 16:29:36 +0530 saurav 

	* Remove redundant error checking

2016-06-20 14:54:35 +0530 saurav 

	* Move Split() to strutils.h

2016-06-20 14:53:49 +0530 saurav 

	* Add new files to CodeLite project

2016-06-20 10:12:24 +0530 saurav 

	* Fix warnings about mbr initialization order

2016-06-20 10:11:46 +0530 saurav 

	* pwsafe-cli: Add new files to linux build

2016-06-19 23:58:55 +0530 Saurav Ghosh 

	* Refactor lot of code into logically-separate modules

2016-06-19 13:36:00 +0530 Saurav Ghosh 

	* Handle exceptions so the safe is always unlocked

2016-06-19 13:32:38 +0530 Saurav Ghosh 

	* Add print, delete & update as search subactions

2016-06-19 13:30:14 +0530 Saurav Ghosh 

	* Throw up if any field string can't be parsed

2016-06-19 13:28:44 +0530 Saurav Ghosh 

	* Fix regex for parsing search subgroup

2016-06-18 13:16:15 +0530 Saurav Ghosh 

	* Vacate -u update and use -b for search subset

2016-06-14 00:03:06 +0530 Saurav Ghosh 

	* Copy pwsafe-cli to pwsafe.app bundle

2016-06-13 17:22:34 +0530 saurav 

	* Gracefully fail if user-specified search fields are not found

2016-06-13 12:34:30 +0530 saurav 

	* Ensure the file lock is always released

2016-06-13 12:34:02 +0530 saurav 

	* Fix header path to avoid adding another dir to

2016-06-13 12:18:58 +0530 saurav 

	* CodeLite: Fix deps and build flags for pwsafe-cli

2016-06-13 11:11:26 +0530 saurav 

	* Add pwsafe-cli to CodeLite workspace

2016-06-12 14:45:56 +0530 Saurav Ghosh 

	* Add support for creating new entries in a safe

2016-06-12 14:45:27 +0530 Saurav Ghosh 

	* Fix weird crash in regex_token_iterator usage

2016-06-12 14:43:10 +0530 Saurav Ghosh 

	* Refactor code to split comma-separated strings

2016-06-12 14:39:29 +0530 Saurav Ghosh 

	* Use a generic var to store arg value of main operation

2016-06-11 13:42:14 +0530 Saurav Ghosh 

	* Add short form command-line args for new operations

2016-06-11 13:41:24 +0530 Saurav Ghosh 

	* Add usage info for 'search' and 'new' operations

2016-06-11 11:52:28 +0530 Saurav Ghosh 

	* Search all fields if none are specified

2016-06-11 11:51:39 +0530 Saurav Ghosh 

	* Fix handling of core opening return status

2016-06-11 11:50:09 +0530 Saurav Ghosh 

	* Fix command-line parsing for search

2016-06-11 11:22:05 +0530 Saurav Ghosh 

	* Use wcout for wide char strings

2016-06-10 00:13:20 +0530 Saurav Ghosh 

	* Parse and convert subgroup objects for search

2016-06-08 23:20:54 +0530 Saurav Ghosh 

	* Get search case-sensitivity from command-line

2016-06-08 20:38:28 +0530 Saurav Ghosh 

	* Partial implementation of search command

2016-06-08 20:31:16 +0530 Saurav Ghosh 

	* Extract search code into a reusable global function

2016-06-08 20:28:41 +0530 Saurav Ghosh 

	* Extract core opening into a reusable function

2016-06-05 00:14:04 +0530 Saurav Ghosh 

	* Make UserArgs more generic

2016-06-04 23:52:12 +0530 Saurav Ghosh 

	* Create new safe with --new

2016-06-04 23:50:21 +0530 Saurav Ghosh 

	* Refactor passphrase reader

2016-06-04 20:34:22 +0530 Saurav Ghosh 

	* Refactor filename encoding conversion

2016-06-04 20:32:45 +0530 Saurav Ghosh 

	* Fix paths for pwsafe-cli group and its files

2016-06-04 13:08:37 +0530 Saurav Ghosh 

	* Renamed cli binary to pwsafe-cli

2016-06-04 13:07:50 +0530 Saurav Ghosh 

	* Added pwsafe-cli to Xcode project

2017-06-03 19:59:37 +0300 ronys 

	* Cleanup file lock/unlock semantics

2017-06-02 22:09:15 +0300 ronys 

	* Implemented bugfix br1418 + more (origin/br1418)

2017-06-01 23:31:08 +0300 ronys 

	* Refactor Unlocking in prep for br1418 on Linux

2017-06-01 22:22:35 +0300 ronys 

	* refactor PWSFaultHandler in prep for br1418 on Linux

2017-05-17 22:09:39 +0300 ronys 

	* Merge branch 'mr325'

2017-05-17 22:08:22 +0300 ronys 

	* tweak helpfile for db id

2017-05-17 13:41:24 +0100 c-273 

	* Nit in naming

2017-05-17 12:30:42 +0100 c-273 

	* Change DB Index to DB ID and rename source code files appropriately Ensure can't be assigned if no database is open Update Help

2017-05-16 14:02:16 +0100 c-273 

	* Update Help after moving Set DBIndex Fix Help file index

2017-05-16 13:06:37 +0100 c-273 

	* Move Set DBIndex to System Tray context menu

2017-05-16 11:11:04 +0100 c-273 

	* Fix error introduced by splitting changes into multiple MRs

2017-05-09 21:10:58 +0300 ronys 

	* Merge branch 'master' into 3422-16

2017-05-07 21:59:15 +0300 ronys 

	* Merge branch 'mr324'

2017-05-07 21:58:15 +0300 ronys 

	* Fix tab order + consistency

2017-05-07 21:05:25 +0300 ronys 

	* Merge branch '3422-15' of https://github.com/c-273/pwsafe into mr324

2017-05-07 20:47:12 +0300 ronys 

	* Merge branch 'mr322'

2017-05-07 20:19:28 +0300 ronys 

	* Merge branch '3422-13' of https://github.com/c-273/pwsafe into mr322

2017-05-06 22:33:37 +0300 ronys 

	* Merge pull request #326 from c-273/3422-17

2017-05-06 19:38:41 +0300 ronys 

	* Merge pull request #328 from c-273/3422-6

2017-05-05 22:18:50 +0300 ronys 

	* Merge branch 'mr320'

2017-05-05 21:48:59 +0300 ronys 

	* Merge branch 'master' into 3422-11

2017-05-05 17:57:56 +0100 c-273 

	* Fix 64-bit warnings

2017-05-05 16:10:33 +0300 ronys 

	* typo

2017-05-05 10:44:26 +0100 c-273 

	* Change order in external editor command line to be: program parameters filename. Update comments and Help re: external editor parameters.

2017-05-04 22:12:04 +0300 ronys 

	* tweak online conflict resolution

2017-05-04 21:50:55 +0300 ronys 

	* Merge pull request #319 from c-273/3422-10

2017-05-04 21:46:35 +0300 ronys 

	* Merge branch 'master' into 3422-10

2017-05-04 21:29:37 +0300 ronys 

	* Merge pull request #318 from c-273/3422-9

2017-05-04 19:15:13 +0300 ronys 

	* Corrected IDSC_IMPORTBADFORMAT text

2017-05-01 20:21:39 +0300 ronys 

	* Merge branch 'mr317'

2017-04-30 23:03:06 +0300 ronys 

	* Merge branch '3422-8' of https://github.com/c-273/pwsafe into mr317

2017-04-30 22:44:18 +0300 ronys 

	* Update preferences.html

2017-04-30 21:02:33 +0300 ronys 

	* Merge pull request #316 from c-273/3422-7

2017-04-30 20:58:48 +0300 ronys 

	* Merge branch 'mr315'

2017-04-30 20:58:05 +0300 ronys 

	* typos

2017-04-30 20:29:03 +0300 ronys 

	* Merge branch '3422-6' of https://github.com/c-273/pwsafe into mr315

2017-04-30 20:13:28 +0300 ronys 

	* Merge pull request #314 from c-273/3422-5

2017-04-30 20:13:17 +0300 ronys 

	* Merge branch 'master' into 3422-5

2017-04-30 19:57:15 +0300 ronys 

	* Merge pull request #313 from c-273/3422-4

2017-04-30 19:57:01 +0300 ronys 

	* Merge branch 'master' into 3422-4

2017-04-30 19:24:25 +0300 ronys 

	* Merge pull request #312 from c-273/3422-3

2017-04-30 19:24:07 +0300 ronys 

	* Merge branch 'master' into 3422-3

2017-04-30 18:58:32 +0300 ronys 

	* Merge pull request #311 from c-273/3422-2

2017-04-30 18:57:57 +0300 ronys 

	* Merge branch 'master' into 3422-2

2017-04-28 12:06:16 +0100 c-273 

	* On Add entry, Ensure new entry is selected after added

2017-04-28 09:09:18 +0100 c-273 

	* Fix BR1401

2017-04-27 20:50:13 +0100 c-273 

	* Fix MR split issues

2017-04-23 10:57:36 +0100 c-273 

	* Give user choice of DB index colour as notification window colour may make it difficult to read

2017-04-22 12:06:20 +0100 c-273 

	* Fix typo

2017-04-22 13:18:04 +0100 c-273 

	* Disable set DB index if System Tray not in use

2017-04-22 12:46:12 +0100 c-273 

	* Move System Tray ownership/creation to DboxMain. Current position is before main dialog window is created and so created using a NULL HWND, which causes issues getting icon rectangle in notification window. Also means that there is only one definition of DB state rather than both DboxMain & ThisMfcApp

2017-04-16 22:37:15 +0100 c-273 

	* Implement FR832

2017-04-27 21:59:58 +0300 ronys 

	* Merge pull request #310 from c-273/3422-1

2017-04-25 12:27:16 +0100 c-273 

	* Prevent paste into PasswordSubset edit field

2017-04-27 21:53:58 +0300 ronys 

	* Merge branch 'mr309'

2017-04-27 19:37:50 +0100 c-273 

	* Implement FR834

2017-04-10 11:59:04 +0100 c-273 

	* Implement FR833

2017-04-27 15:25:19 +0100 c-273 

	* Implement additional command line parameters to the external editor used to edit the Notes field from the Add/Edit Basic dialog.

2017-04-10 12:10:25 +0100 c-273 

	* Ensure import of plain text works correctly

2017-03-29 12:11:29 +0100 c-273 

	* Implement exporting of the current results of a filter to a DB

2017-04-07 09:10:52 +0100 c-273 

	* Update YubiKey help and make progress bar smooth

2017-04-27 14:36:23 +0100 c-273 

	* Prevent user going to an entry's base entry if a filter is active and the base is not in the views

2017-03-30 07:32:29 +0100 c-273 

	* Update HotKey preference Help

2017-03-29 20:21:07 +0100 c-273 

	* Rationalise HotKey modifiers ALWAYS use PWS values and: Convert to/from MFC CHotKeyCtrl values before/after calling SetHotKey/GetHotKey Convert to Windows values before calling Windows RegisterHotKey Use new XML attributes in HotKey XML preference for these and retain old values for prior versions

2017-04-10 11:57:00 +0100 c-273 

	* When exporting a group to XML, don't write out XML empty groups if there aren't any!

2017-04-07 10:36:55 +0100 c-273 

	* Fix unusual scroll issue with Notes

2017-03-28 12:53:03 +0100 c-273 

	* Make export report more readable

2017-04-24 11:57:53 +0100 c-273 

	* Fix BR1409

2017-04-27 12:31:33 +0100 c-273 

	* Fix BR1403

2017-03-28 16:35:45 +0100 c-273 

	* Fix BR1402

2017-04-27 16:06:08 +0100 c-273 

	* Fix BR1400

2017-03-28 12:15:14 +0100 c-273 

	* Fix BR1399

2017-04-27 15:56:24 +0100 c-273 

	* Fix ReleaseNotes.txt

2017-03-28 12:51:00 +0100 c-273 

	* Minor formatting changes

2017-03-29 21:29:10 +0100 c-273 

	* Tidy up virtual definitions and protected calls/variables

2017-03-28 13:44:46 +0100 c-273 

	* Remove unnecessary definition of CWZPropertyPage::OnInitDialog

2017-03-28 11:35:29 +0100 c-273 

	* Ensure OnInitDialog uses the correct return code if setting focus to the non-default control. Ensure OnInitDialog uses the correct return code when setting focus to the default control. Update the return with appropriate comment so that developers know the correct return code. If returning FALSE, use GotoDlgCtrl(ID) rather than GetDlgItem(ID)->SetFocus to ensure that the Dialog Manager is in sync.

2017-04-07 09:02:56 +0100 c-273 

	* Bump to 3.42.2

2017-04-02 20:48:25 +0300 ronys 

	* wx: integrate NAR's Hungarian translations into program + CMakeLists.txt (tag: 1.02BETA)

2017-04-02 20:29:39 +0300 ronys 

	* Merge branch 'master' of https://github.com/NAR/pwsafe into mr304

2017-04-01 20:30:27 +0300 ronys 

	* Merge pull request #307 from c-273/master (tag: 3.42.1)

2017-04-01 18:22:10 +0100 c-273 

	* Fix BR1266 for 64-bit builds

2017-04-01 19:32:27 +0300 ronys 

	* Merge branch 'mr306'

2017-04-01 18:36:33 +0300 ronys 

	* BR1404: 3.42.1Pre -> 3.42.1

2017-04-01 08:09:44 +0100 c-273 

	* Nit - remove unnecessary double menu separator

2017-03-31 20:05:57 +0100 c-273 

	* Fix BR1404

2017-03-31 19:51:53 +0100 c-273 

	* Bump to 3.42.1pre

2017-03-21 17:23:40 +0100 Attila Rajmund Nohl 

	* Add some Hungarian translations.

2017-03-31 11:35:44 +0300 ronys 

	* Bumped wx version to 1.02BETA

2017-03-30 22:07:50 +0300 ronys 

	* Fixed latest.xml generation and parsing (tag: 3.42.0)

2017-03-30 20:06:35 +0300 ronys 

	* Use new gpg key for signing

2017-03-30 19:57:55 +0300 ronys 

	* Fixed bin-release64 issue

2017-03-27 20:37:51 +0300 ronys 

	* Bump Windows version to 3.42(.0)

2017-03-27 06:17:06 +0300 ronys 

	* Merge pull request #303 from pm-kan/i18n

2017-03-26 22:31:01 +0300 Andrey Kuznetsov 

	* Forgot one image for Russian Help

2017-03-26 22:21:11 +0300 Andrey Kuznetsov 

	* Updates in Russian help

2017-03-26 19:13:13 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX)

2017-03-26 17:49:44 +0300 Andrey Kuznetsov 

	* Minor update in Russian .po (MFC)

2017-03-26 17:46:39 +0300 Andrey Kuznetsov 

	* Image updates for Russian help

2017-03-26 15:59:27 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2017-03-25 22:33:13 +0300 ronys 

	* Merge branch 'mr302'

2017-03-25 14:34:20 +0000 c-273 

	* Remove unnecessary code from CRichEditExtn used for Notes field in AddEdit_Basic

2017-03-25 09:43:08 +0300 ronys 

	* I18N: French po updates for 3.42 from Francois

2017-03-21 19:53:08 +0200 ronys 

	* Merge pull request #299 from c-273/master

2017-03-21 17:05:07 +0000 c-273 

	* Move PWS message to Windowdefs.h with all the rest.

2017-03-21 16:13:38 +0000 c-273 

	* Fix Notes field becoming invisible if Word Wrap set.

2017-03-21 13:34:24 +0000 c-273 

	* Remove potential Release build warnings No idea why they haven't appeared now.

2017-03-21 10:28:43 +0000 c-273 

	* Ensure that Virtual Keyboard is not hidden by main passphrase dialog

2017-03-21 10:21:13 +0000 c-273 

	* Add keyname attribute to shortcut XML in config file

2017-03-20 20:52:55 +0200 ronys 

	* wx: Disable ID_FILTERMENU and ID_CUSTOMIZETOOLBAR menu items as unimplemented

2017-03-20 20:24:05 +0200 ronys 

	* Improved addgroup toolbar bitmaps from MrMe

2017-03-19 21:34:59 +0200 ronys 

	* I18N: German translation updates from Karlo

2017-03-19 21:28:37 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-03-19 20:50:30 +0200 ronys 

	* wx: Delete group context menu now works

2017-03-19 20:21:41 +0200 ronys 

	* wx: DefaultOpenRO preference respected

2017-03-19 20:00:58 +0200 ronys 

	* wx: Properties->Last saved by app version fixed

2017-03-18 22:35:42 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-03-18 22:35:09 +0200 ronys 

	* I18N: Swedish translation updates from Bjorne

2017-03-18 11:16:26 +0200 ronys 

	* Merge pull request #298 from c-273/master

2017-03-17 14:42:29 +0000 c-273 

	* More efficient delete of all XML attributes Courtesy of pugixml author

2017-03-17 13:44:08 +0000 c-273 

	* Put full menu path in shortcut XML comment

2017-03-17 12:40:18 +0000 c-273 

	* Use same menu info at start-up and Manage->Options (Used in Shortcut XML comment)

2017-03-17 09:18:29 +0000 c-273 

	* Correct Shortcut XML attributes (Missing "Ext") Only write Shortcut XML attribute if non-zero Remove XML attributes before adding any new one (if required).

2017-03-17 08:24:58 +0000 c-273 

	* Remove HotKey XML attributes comment - will be added later as part of a HotKey rationalisation post 3.42.

2017-03-16 12:21:56 +0000 c-273 

	* pugi::xml_node is a pointer - no need for using by reference

2017-03-17 11:54:39 +0200 ronys 

	* Merge pull request #296 from dhocker/update-pos

2017-03-17 11:51:54 +0200 ronys 

	* Merge branch 'mr295'

2017-03-17 11:41:28 +0200 ronys 

	* Cleanup I18N-related build issues

2017-03-17 09:46:02 +0200 ronys 

	* Update toplevel Windows Makefile comments

2017-03-17 09:37:46 +0200 ronys 

	* fixed copy/paste error in batch file comment

2017-03-16 15:13:43 -0500 Dave Hocker 

	* Rework Update_POs.vbs to use the Translations.txt file. Move common VB script code use by Create_DLLs and Update_POs into Translations.vbs.

2017-03-15 20:35:53 -0500 Dave Hocker 

	* Merge branch 'master' into winmake-64

2017-03-15 22:44:35 +0200 ronys 

	* Workaround unfinished 64bit build support

2017-03-15 15:44:09 -0500 Dave Hocker 

	* Merge branch 'master' into winmake-64

2017-03-15 21:22:28 +0200 ronys 

	* 3.41.1 -> 3.42pre (tag: 3.42.0pre)

2017-03-15 22:05:27 +0200 ronys 

	* 3.42pre po files update

2017-03-15 21:52:25 +0200 ronys 

	* Belated update to I18N Tools build Makefile

2017-03-15 21:40:41 +0200 ronys 

	* Fixed release-build warning

2017-03-15 21:18:55 +0200 ronys 

	* Linux now build again

2017-03-14 15:50:11 -0500 Dave Hocker 

	* Merge branch 'master' into winmake-64

2017-03-14 20:45:20 +0200 ronys 

	* Fixed over-zealous edit

2017-03-14 20:30:56 +0200 ronys 

	* Merge branch 'mr294'

2017-03-14 20:24:17 +0200 ronys 

	* Remove Misc Xerces and gtest notes and zip files

2017-03-14 20:16:36 +0200 ronys 

	* tweak README.WINDOWS.DEVELOPERS.html

2017-03-14 20:02:24 +0200 ronys 

	* Tweak XMLprefs.cpp SortPreferences()

2017-03-14 14:24:11 +0000 c-273 

	* Updated lock New Toolbar images from MrMe

2017-03-13 15:39:45 -0500 Dave Hocker 

	* Merge branch 'master' into winmake-64

2017-03-13 15:37:15 -0500 Dave Hocker 

	* Add support for 64-bit version of pwsafe and tools into main Windows makefile. Add support for 64-bit language tools into makefile used to build language translation DLLs. Also, change the makefile to use Create_DLLs.vbs script for building language DLLs. Add -quite option to Create_DLLs script. Add missing languages to Translations.txt.

2017-03-12 16:00:20 +0000 c-273 

	* Fix VS2017 project files but there is still an issue re: extra build directory outside the solution directory.

2017-03-12 14:34:13 +0000 c-273 

	* Fix PWCharPool VS2017 warnings in x64 builds

2017-03-12 11:23:39 +0000 c-273 

	* Update Windows Developer's Readme

2017-03-10 22:42:25 +0000 c-273 

	* Fix wxWidgets warnings in x64 VS2017 build

2017-03-10 21:50:47 +0000 c-273 

	* Support VS2017

2017-03-10 09:56:04 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2017-03-09 22:51:54 +0200 ronys 

	* CPasswordCharPool::MakePassword() tweak

2017-03-09 17:54:17 +0000 c-273 

	* Add comments to HotKey and Shortcut preferences to help reading config file Tested on MFC & wx under Windows

2017-03-08 16:28:37 -0600 Dave Hocker 

	* Merge branch 'master' into winmake-64

2017-03-08 13:19:38 +0000 c-273 

	* Remove remnants of old project configurations DebugM & ReleaseM

2017-03-08 12:18:00 +0000 c-273 

	* Sort application preferences in configuration files when saving Helps find particular preference during debugging. Update help re: username/hostname in config file when using -u and -h command line parameters Ensure all uses of of "Effective user & host" conform to XML standards.

2017-03-08 18:43:19 +0200 ronys 

	* [G288] Changes to default password policy now persistent under V4 databases.

2017-03-07 22:36:27 +0200 ronys 

	* Fixed Windows/I18N/CMakeLists.txt

2017-03-07 14:31:11 -0600 Dave Hocker 

	* Merge branch 'master' into winmake-64

2017-03-07 21:03:17 +0200 ronys 

	* Merge branch 'mr289'

2017-03-07 21:02:38 +0200 ronys 

	* Merge branch 'restools-64' of https://github.com/dhocker/pwsafe into mr289

2017-03-03 13:20:15 -0600 Dave Hocker 

	* Update comments in script file to document why a 64-bit version of the Update_POs.vbs script is not required.

2017-03-02 18:19:51 -0600 Dave Hocker 

	* Remove Create_DLLs_64.vbs as it is no longer needed.

2017-03-02 18:16:23 -0600 Dave Hocker 

	* Rework Create_DLLs script so it can produce either 32 or 64 bit DLLs. Create a Readme file documenting how language translations work and how to use the Create_DLLs script and associated utilities. Create a new Translations.txt control file to define active language translations.

2017-02-24 14:26:52 -0600 Dave Hocker 

	* Improve language DLL handing. Load language DLLs as data files so that language DLLs will work across x86/x64 builds. Show an error message box with last error code when language DLLs fail to load.

2017-02-22 17:08:22 -0600 Dave Hocker 

	* Update installer scripts to get the language DLLs from the directory that corresponds to the target architecture (x86/x64) that the installer script is building.

2017-02-21 16:33:37 -0600 Dave Hocker 

	* Pick up files that should have been in the previous commit.

2017-02-21 16:25:48 -0600 Dave Hocker 

	* Create x64 build configurations for the ResText and ResPWSL tools. Fix x64 compiler warnings in ResPWSL (avoids runtime errors, too). Create new VB script for producing x64 versions of language DLLs.

2017-03-06 22:28:22 +0200 ronys 

	* Cleaned up warnings in Release build

2017-03-06 13:40:44 -0600 Dave Hocker 

	* Merge branch 'master' into winmake-64

2017-03-06 21:00:43 +0200 ronys 

	* Merge branch 'mr291'

2017-03-06 20:57:47 +0200 ronys 

	* Removed useless assert

2017-03-06 20:39:53 +0200 ronys 

	* Added GridListCtrl.{cpp,h} to /Windows/CMakeLists.txt

2017-03-06 20:38:16 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into mr291

2017-03-06 18:29:38 +0000 c-273 

	* Update recent help images using New Toolbar

2017-03-06 20:04:51 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into mr291

2017-03-06 17:54:56 +0000 c-273 

	* Update help images

2017-03-05 09:37:35 +0000 c-273 

	* Add ability to use a different grid line colour in CListCtrl as the default very light grey is difficult to see (currently only used in Options->Shortcuts)

2017-03-04 19:19:44 +0000 c-273 

	* Remove obsolete WINVER 0x0501 definitions

2017-03-04 19:07:49 +0000 c-273 

	* Move include of Windowsdefs.h into StdAfx.h and out of individual source members

2017-03-03 13:20:15 -0600 Dave Hocker 

	* Update comments in script file to document why a 64-bit version of the Update_POs.vbs script is not required.

2017-03-03 10:36:46 -0600 Dave Hocker 

	* Work on adding 64-bit builds. This commit mostly makes 64-bit installers.

2017-03-02 18:19:51 -0600 Dave Hocker 

	* Remove Create_DLLs_64.vbs as it is no longer needed.

2017-03-02 18:16:23 -0600 Dave Hocker 

	* Rework Create_DLLs script so it can produce either 32 or 64 bit DLLs. Create a Readme file documenting how language translations work and how to use the Create_DLLs script and associated utilities. Create a new Translations.txt control file to define active language translations.

2017-03-02 16:56:59 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-03-02 16:23:54 +0000 c-273 

	* Remove unnecessary code in derived class as in base class

2017-02-27 17:08:52 +0000 c-273 

	* Remove unused/undefined function declaration

2017-02-27 15:11:22 +0000 c-273 

	* Show all MFC warnings and fix the 3 detected

2017-02-26 16:14:22 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-02-26 16:07:49 +0000 c-273 

	* Fix BR1397

2017-02-25 22:23:35 +0200 ronys 

	* Merge pull request #290 from c-273/master

2017-02-25 12:55:43 +0000 c-273 

	* Attempt to standardise tab order for passkey entry

2017-02-24 14:26:52 -0600 Dave Hocker 

	* Improve language DLL handing. Load language DLLs as data files so that language DLLs will work across x86/x64 builds. Show an error message box with last error code when language DLLs fail to load.

2017-02-22 17:08:22 -0600 Dave Hocker 

	* Update installer scripts to get the language DLLs from the directory that corresponds to the target architecture (x86/x64) that the installer script is building.

2017-02-22 10:38:39 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-02-22 10:37:44 +0000 c-273 

	* Remove old comments

2017-02-22 10:35:54 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-02-22 10:34:59 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2017-02-21 17:00:46 -0600 Dave Hocker 

	* Merge branch 'master' into restools-64

2017-02-21 16:33:37 -0600 Dave Hocker 

	* Pick up files that should have been in the previous commit.

2017-02-21 16:25:48 -0600 Dave Hocker 

	* Create x64 build configurations for the ResText and ResPWSL tools. Fix x64 compiler warnings in ResPWSL (avoids runtime errors, too). Create new VB script for producing x64 versions of language DLLs.

2017-02-21 22:39:18 +0200 ronys 

	* Merge pull request #286 from dhocker/cmake-dh

2017-02-21 22:36:20 +0200 ronys 

	* Merge pull request #287 from dhocker/warnings-64

2017-02-21 11:57:43 -0600 Dave Hocker 

	* Fix two 64-bit build compiler warnings.

2017-02-21 14:28:42 +0000 c-273 

	* Ensure toolbar buttons reflect current state e.g. no DB open or R-O or R/W status if open after Reset or Customize

2017-02-20 22:47:07 +0200 ronys 

	* Merge pull request #285 from c-273/master

2017-02-20 18:47:39 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-02-20 18:40:07 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2017-02-20 11:06:38 -0600 Dave Hocker 

	* Turn off security warnings for uses of wcscpy, scscat, swprintf

2017-02-20 16:49:14 +0000 c-273 

	* Update Help for the Lock menu item and tool bar button

2017-02-20 16:48:38 +0000 c-273 

	* Update help re: edit menu (extra Export menu and all English text)

2017-02-20 10:30:17 -0600 Dave Hocker 

	* Merge branch 'master' into cmake-dh

2017-02-20 15:08:27 +0000 c-273 

	* Fix Notes zoom in during Add

2017-02-20 11:10:32 +0000 c-273 

	* Ensure toolbar buttons disabled if no DB open on init

2017-02-19 19:23:10 +0000 c-273 

	* Fix another case of BR1275

2017-02-19 19:28:57 +0200 ronys 

	* Merge pull request #284 from c-273/master

2017-02-19 17:11:37 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-02-19 16:55:18 +0000 c-273 

	* Simplify Hidden notes processing in Add/Edit and so fix BR1346 In addition, prevent crash if user exits Add/Edit whilst Notes external editor active Give user means to cancel Notes external editor with warning about their data

2017-02-18 10:56:35 -0600 Dave Hocker 

	* Exclude coretest from release build. Put DLLs into pwsafe output directory.

2017-02-18 13:21:46 +0000 c-273 

	* Fix crash if List view never been visible

2017-02-17 13:19:57 +0000 c-273 

	* Extend fix for BR1275 if System Tray being used and DB Locking

2017-02-17 12:31:29 +0000 c-273 

	* Save user font point sizes in configuration file to aid sharing the same configuration across multiple systems with different resolutions.

2017-02-18 12:48:08 +0000 c-273 

	* Restore view of Notes selection after zoom

2017-02-18 16:38:29 +0000 c-273 

	* Don't lock already locked DB on Restore as stops lockfile being deleted on DB close (Error introduced by previous regression fix 9c3c9da)

2017-02-17 10:28:16 -0600 Dave Hocker 

	* Merge branch 'master' into cmake

2017-02-17 11:42:35 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-02-17 11:22:23 +0200 ronys 

	* Merge pull request #283 from dhocker/installer-64

2017-02-16 13:14:33 -0600 Dave Hocker 

	* Correct documentation on Wix installer script.

2017-02-16 13:02:11 -0600 Dave Hocker 

	* Change NSIS install script to tag name of installed program with its architecture (32 or 64 bit). It will show up in the Programs and Features control panel (e.g. Password Safe (32-bit)).

2017-02-16 20:40:26 +0200 ronys 

	* nit

2017-02-16 11:27:49 -0600 Dave Hocker 

	* Modify Wix installer script so it can produce either an x86 or x64 installer file. Remove Wix scripts that are no longer used. Rework BuildWixInstall batch file to use single Wix script file.

2017-02-15 17:10:41 -0600 Dave Hocker 

	* Fix typos in batch file.

2017-02-15 17:01:18 -0600 Dave Hocker 

	* Modify the NSIS installer script so it can produce an x86 or x64 version of pwsafe. Create MakeNSISInstall batch file for developers and to provide a concrete example of how to run the modified pwsafe.nsi script.

2017-02-15 21:51:07 +0200 ronys 

	* Merge pull request #282 from c-273/master

2017-02-15 17:55:02 +0000 c-273 

	* Fix lack of Debug symbols in new project structure Tidy up parameters making as much as possible the same for all platforms by using predefined variables $(OutDir) & $(IntDir)

2017-02-14 15:11:05 -0600 Dave Hocker 

	* Update Wix installer scripts to adjsut to new output directories from VS2015 build. Create local .gitignore file to ignore NSIS built installer.

2017-02-14 12:43:09 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-02-14 12:35:53 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-02-13 16:28:40 -0600 Dave Hocker 

	* Merge branch 'master' into gh270h

2017-02-13 22:45:14 +0200 ronys 

	* Merge branch 'mr281'

2017-02-13 22:26:25 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into mr281

2017-02-13 21:50:37 +0200 ronys 

	* Merge branch 'mr279'

2017-02-13 21:01:09 +0200 ronys 

	* Merge branch 'gh270d' of https://github.com/dhocker/pwsafe into mr279

2017-02-13 09:55:38 -0600 Dave Hocker 

	* Merge branch 'master' into cmake

2017-02-13 14:32:54 +0000 c-273 

	* Rationalise & simplify VS solution and project configurations (MFC & wxWidgets)

2017-02-12 18:41:58 -0600 Dave Hocker 

	* Set coretest to build in Debug/x86 configuration. Add usp10.lib to projects where it was missing.

2017-02-12 17:59:56 -0600 Dave Hocker 

	* Work on getting CMake build working for VS2015 Win64. Update documentation to include VS2105 Win64 build.

2017-02-12 23:30:22 +0000 c-273 

	* Fix x64 coretest build (wchar_t built-in type setting fix courtesy of dhocker)

2017-02-12 22:10:09 +0200 ronys 

	* Merge pull request #280 from c-273/master

2017-02-12 21:49:08 +0200 ronys 

	* Merge branch 'gh270d' of https://github.com/dhocker/pwsafe into mr29

2017-02-12 21:44:37 +0200 ronys 

	* Merge branch 'mr278'

2017-02-11 16:12:34 +0000 c-273 

	* Fix BR1275

2017-02-10 09:21:17 -0600 Dave Hocker 

	* Create Wix installer scripts for Windows x86 and x64 builds. These scripts do not require editing to apply the pwsafe version. Update Windows doc to explain how to build MSI files using Wix.

2017-02-09 12:42:16 +0000 c-273 

	* Document that in-place rename is not possible if any displayed field contains square or curly brackets.

2017-02-08 19:43:18 +0000 c-273 

	* Restore lost Windows tablet support code

2017-02-08 15:32:58 +0000 c-273 

	* Update Windows developer Readme to remind that x64 gtest project needs WIN64

2017-02-08 15:32:15 +0000 c-273 

	* Change the Toolbar state for the selected entry depending on whether the Tree or List view is visible.

2017-02-08 15:31:15 +0000 c-273 

	* Update Release Notes for BR1395

2017-02-08 19:38:14 -0600 Dave Hocker 

	* Resolve problems building coretest x64

2017-02-08 19:29:11 -0600 Dave Hocker 

	* Resolve problems with coretest/x64 build

2017-02-08 13:33:10 -0600 Dave Hocker 

	* Merge branch 'master' into gh270b

2017-02-08 13:23:05 -0600 Dave Hocker 

	* Resolve compiler warnings in DebugM/ReleaseM x86 builds

2017-02-08 15:59:44 +0000 c-273 

	* Add WIN64 to x64 build of coretest and remove redundant VC71 properties

2017-02-08 15:32:58 +0000 c-273 

	* Update Windows developer Readme to remind that x64 gtest project needs WIN64

2017-02-08 15:32:15 +0000 c-273 

	* Change the Toolbar state for the selected entry depending on whether the Tree or List view is visible.

2017-02-08 15:31:15 +0000 c-273 

	* Update Release Notes for BR1395

2017-02-07 22:42:31 +0200 ronys 

	* Tweak help text, remove outdated info

2017-02-07 22:33:49 +0200 ronys 

	* Merge branch 'mr275+6'

2017-02-07 18:08:08 +0000 c-273 

	* Update ABout dialog if 64-bit build

2017-02-07 15:54:50 +0000 c-273 

	* Merge remote-tracking branch 'origin/Mixin'

2017-02-07 12:50:59 +0000 c-273 

	* Ensure entries selected before applying filters are reselected on cancelling the filter plus that the toolbar is updated appropriately.

2017-02-07 12:10:55 +0000 c-273 

	* Fix BR1395

2017-02-06 23:15:40 +0000 c-273 

	* Prevent renaming an entry to an existing one. Set the rule of Rename - a user can only rename fields in the Tree view if they are visible

2017-02-07 15:32:18 +0000 c-273 

	* Support Windows 10 Touch press & hold == right click

2017-02-06 22:20:18 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2017-02-06 22:18:54 +0000 c-273 

	* Update projects (MFC & wx) & Readme for 64-bit builds This does not fix any warnings or errors in the build coretest does not link in DebugM 64-bit.

2017-02-05 20:20:39 +0200 ronys 

	* Merge pull request #274 from Sp1l/master

2017-02-05 15:36:48 +0100 Bernard Spil 

	* Obey hier(8) on FreeBSD

2017-02-05 15:35:35 +0100 Bernard Spil 

	* Fix helpfile building on FreeBSD

2017-02-05 15:11:56 +0100 Bernard Spil 

	* Merge pull request #1 from pwsafe/master

2017-02-05 07:06:05 +0200 ronys 

	* Merge pull request #273 from dhocker/gh270a

2017-02-04 12:54:06 -0600 Dave Hocker 

	* Fix build error on macOS 10.12.3 with Xcode 8.2.1

2017-02-03 20:32:00 +0200 ronys 

	* Merge pull request #271 from c-273/master

2017-02-03 12:57:42 +0000 c-273 

	* Be consistent email -> Email

2017-02-02 15:55:00 +0000 c-273 

	* Select first entry if previously selected item not in new filter view Nit in copy email string

2017-02-01 19:52:57 +0000 c-273 

	* Nit picking of names of pointers to menus

2017-02-02 08:51:29 +0000 c-273 

	* Various minor changes re: duplicate entry messages and versions of Windows Saves a new dialog just to use Add/Edit font

2017-02-01 19:55:01 +0000 c-273 

	* Add extra routines to determine other versions of Windows

2017-02-01 21:44:11 +0200 ronys 

	* Merge branch 'mr268'

2017-02-01 21:36:48 +0200 ronys 

	* Bump WINVER in cmake as well

2017-01-31 19:34:08 +0000 c-273 

	* Prevent unrenamed new group being added to internal map (result of using [] operator)

2017-01-31 19:28:48 +0000 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2017-01-31 21:23:39 +0200 ronys 

	* Added usp10 lib to Windows Cmake build

2017-01-31 20:40:16 +0200 ronys 

	* Merge branch 'mr266'

2017-01-31 20:37:22 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into mr266

2017-01-31 20:35:47 +0200 ronys 

	* wx: Use '#' to indicate protected

2017-01-30 22:19:53 +0200 ronys 

	* wx: Support for protect/unprotect entry

2017-01-31 10:08:02 +0000 c-273 

	* Change WINVER from 0x0600 to 0x0601 to provide Windows 7 functionality

2017-01-30 18:19:42 +0000 c-273 

	* Use Add/Edit font in Confirm Delete and Create Shortcut dialogs

2017-01-30 19:22:40 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into mr266

2017-01-29 19:48:47 +0200 ronys 

	* wx: Minimal support for FR821 on wx by DK

2017-01-29 12:21:44 +0000 c-273 

	* Deal with MFC & wxWidgets sharing config file - different font preference formats. ONLY in Debug mode in MFC as that is the only likelihood, at the moment, for this scenario. Consider changing font preference formats to make identical OR consider adding FixFontPreference routine in wx build. Note: wx fails safely with MFC font preference format, MFC did not with wx font preference format.

2017-01-28 14:19:32 +0000 c-273 

	* Implement FR821

2017-01-28 14:09:48 +0000 c-273 

	* Get correct Windows OS version since MS changed the rules

2017-01-30 19:20:29 +0200 ronys 

	* Cmake build fixed for older versions of gzip

2017-01-30 14:10:37 +0000 c-273 

	* Stop base entry text being obscured in Add/Edit Basic dialog Minor text change of List/Tree view toolbar tooltip

2017-01-29 12:21:44 +0000 c-273 

	* Deal with MFC & wxWidgets sharing config file - different font preference formats. ONLY in Debug mode in MFC as that is the only likelihood, at the moment, for this scenario. Consider changing font preference formats to make identical OR consider adding FixFontPreference routine in wx build. Note: wx fails safely with MFC font preference format, MFC did not with wx font preference format.

2017-01-28 14:19:32 +0000 c-273 

	* Implement FR821

2017-01-28 14:09:48 +0000 c-273 

	* Get correct Windows OS version since MS changed the rules

2017-01-28 11:27:56 +0200 ronys 

	* SR484 -> BR1393

2017-01-27 21:23:47 +0200 ronys 

	* Merge branch 'mr263'

2017-01-27 21:22:49 +0200 ronys 

	* Disable Lock menu/toolbar when no db is open

2017-01-27 20:53:29 +0200 ronys 

	* Fixed regression in SR484 implementation

2017-01-27 17:34:06 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into mr263

2017-01-27 14:45:37 +0000 c-273 

	* Reuse "new" tray lock image and use a better "classic" lock image (tray lock images used in System Tray context menu)

2017-01-27 13:51:21 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into mr263

2017-01-27 11:23:30 +0200 ronys 

	* [gh264] - CMake no longer assumes to know where gzip lies

2017-01-25 19:20:10 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2017-01-25 19:17:17 +0000 c-273 

	* Implement FR822

2017-01-25 20:21:23 +0200 ronys 

	* Linux: fix broken compile

2017-01-24 21:52:25 +0200 ronys 

	* Merge pull request #262 from c-273/master

2017-01-24 18:43:57 +0000 c-273 

	* Fix SR484 (should become a BR)

2017-01-24 12:30:27 +0000 c-273 

	* Try to make expand/collapse all more user friendly by showing changes

2017-01-22 21:45:20 +0200 ronys 

	* nit

2017-01-22 21:43:36 +0200 ronys 

	* V4: Add support for att offset

2017-01-22 21:42:09 +0200 ronys 

	* Merge pull request #261 from c-273/Temp_CmndRefresh

2017-01-22 18:40:50 +0000 c-273 

	* Prevent annoying GUI refreshes during multiple action commands

2017-01-21 22:38:04 +0200 ronys 

	* Merge pull request #260 from c-273/master

2017-01-21 17:45:37 +0000 c-273 

	* invalid member initialisation - rename to show it is a vector not integer

2017-01-21 17:05:02 +0000 c-273 

	* Fix former issues detected due to change to removing GUI info from core

2017-01-21 16:07:25 +0000 c-273 

	* Handle correctly is user says No to deleting a base entry

2017-01-21 14:59:17 +0000 c-273 

	* Fix incorrect UUID selected during DeleteEntryCommand Undo

2017-01-21 08:56:51 +0200 ronys 

	* Merge branch 'mr259'

2017-01-21 08:54:26 +0200 ronys 

	* Minor cleanups

2017-01-20 20:52:27 +0200 ronys 

	* wx - Removed GUISetupDisplayInfo as no longer needed

2017-01-20 18:04:55 +0000 c-273 

	* Change variable name to make intent/usage clearer.

2017-01-20 18:00:06 +0000 c-273 

	* Delete map entry from entry to GUI when entry deleted

2017-01-20 17:11:41 +0000 c-273 

	* Remove GUI information from core Fix correct group selection after rename and its undo & redo

2017-01-20 16:43:54 +0000 c-273 

	* Fix merge of dependents

2017-01-19 21:01:46 +0200 ronys 

	* wx: Removed unused DisplayInfo references

2017-01-17 20:51:39 +0200 ronys 

	* Merge pull request #257 from c-273/master

2017-01-17 20:00:47 +0200 ronys 

	* wx - fix compilation error under Debian8

2017-01-16 14:43:15 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2017-01-16 14:34:37 +0000 c-273 

	* Change method to view entry's dependents to ComboBox to use user's Add/Edit font

2017-01-16 06:43:38 +0200 ronys 

	* Merge pull request #256 from pm-kan/dnd-fix

2017-01-15 22:08:46 +0300 Andrey Kuznetsov 

	* [wx] Dragbar: use correct values for alias/shortcut entries

2017-01-15 22:01:52 +0300 Andrey Kuznetsov 

	* [wx] Show base reference in alias' password field instead of `[Alias]`

2017-01-14 20:09:49 +0200 ronys 

	* Plugged theoretical leaks

2017-01-14 19:33:24 +0200 ronys 

	* Merge pull request #255 from c-273/master

2017-01-14 13:58:59 +0000 c-273 

	* Fix selection of selected group Comment re: unresolved issue in group rename

2017-01-14 13:21:02 +0000 c-273 

	* Initialise correct variables

2017-01-14 13:08:33 +0000 c-273 

	* Update selected item if either keyboard or mouse is used.

2017-01-14 13:06:43 +0000 c-273 

	* Use correct character in Statusbar tooltip

2017-01-14 13:06:00 +0000 c-273 

	* Stop unnecessary GUI updates during group rename

2017-01-13 21:00:12 +0200 ronys 

	* Merge pull request #254 from c-273/master

2017-01-13 17:45:34 +0000 c-273 

	* Implement rename group via internal commands so that affected entries are shown as changed Stop nested MultiCommands duplicating save/restore of DB information

2017-01-13 14:17:36 +0000 c-273 

	* Put wx Options pages in order

2017-01-13 11:25:56 +0200 ronys 

	* Merge branch 'mr252'

2017-01-12 21:51:38 +0200 ronys 

	* tweaks and cleanups

2017-01-12 17:04:53 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2017-01-12 16:29:36 +0000 c-273 

	* Add more information to Statusbar change status tooltip

2017-01-12 17:03:53 +0000 c-273 

	* Extend commands and UIInterface to update any view of groups that have changed

2017-01-11 21:03:40 +0200 ronys 

	* Merge pull request #250 from c-273/master

2017-01-11 17:03:48 +0000 c-273 

	* Fix coretest UpdatePassword test

2017-01-11 14:53:42 +0000 c-273 

	* Add extra tests for refactor of UpdatePasswordCommand Fix typo Update formatV3.txt & formatV4.txt to remove ambiguity

2017-01-10 20:02:35 +0200 ronys 

	* Secure command history values

2017-01-09 22:49:12 +0200 ronys 

	* Merge pull request #248 from c-273/master

2017-01-09 18:33:24 +0000 c-273 

	* Update Options: Security tooltip and associated Help re: locking

2017-01-09 19:46:26 +0200 ronys 

	* Merge pull request #246 from c-273/master

2017-01-09 19:23:03 +0200 ronys 

	* Merge pull request #245 from c-273/master

2017-01-09 15:55:12 +0000 c-273 

	* Change Edit entry tooltip on main toolbar to View entry when DB is R-O or selected item is protected.

2017-01-09 03:01:36 +0000 c-273 

	* Update toolbar re: DB R/W status Update Edit menu if entry is protected

2017-01-08 17:16:22 +0000 c-273 

	* Use modified font in Tree view for added/changed empty groups if application preference to highlight changes is enabled.

2017-01-09 16:08:06 +0000 c-273 

	* Missing iterator initialisation in PWScore

2017-01-07 19:04:22 +0000 c-273 

	* Fix issue when user presses cancel in SetFiltersDlg after applying a filter

2017-01-06 17:02:50 +0000 c-273 

	* Do not clear commands/DB states on DB lock so available on DB unlock

2017-01-07 17:35:43 +0000 c-273 

	* Fix issues with Find filter and function name typo

2017-01-05 19:25:31 +0000 c-273 

	* Make member function ClearData unique across different classes (Confuses VS Intellisense as is!)

2017-01-07 13:13:41 +0000 c-273 

	* Correctly disable password policy controls if entry is protected

2017-01-05 20:31:01 +0200 ronys 

	* Update copyright notices to 2017

2017-01-04 21:12:15 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2017-01-04 21:10:14 +0200 ronys 

	* Environmental -> Environment

2017-01-04 20:50:34 +0200 ronys 

	* Merge pull request #244 from c-273/master

2017-01-04 18:24:38 +0000 c-273 

	* Update -g command line argument help (lost in redoing fix)

2017-01-04 17:31:58 +0000 c-273 

	* Prevent C4244 warnings (possible loss of data) with VS2017

2017-01-04 19:04:37 +0200 ronys 

	* Merge pull request #243 from c-273/master

2017-01-04 09:57:44 +0000 c-273 

	* Fix BR1392 Update Help for the the way this fix changes what happens if the specified configuration file is not found. Change width of config file displayed in Options System tab to fit.

2017-01-04 09:04:19 +0000 c-273 

	* Implement FR819

2017-01-04 08:31:40 +0000 c-273 

	* Fix empty group validation 1. Check all entries (previously limited to those with attachments) 2. Remove empty group if it has an entry in one of its subgroups Current iOS app marks some groups as empty in the header when they are not

2017-01-01 21:40:46 +0000 c-273 

	* Change Last Find menu text, add Subview menu image to help and tidy other images

2016-12-31 13:01:52 +0200 ronys 

	* Merge branch 'br1391'

2016-12-31 12:44:29 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into br1391

2016-12-31 12:33:27 +0200 ronys 

	* Merge pull request #238 from os12/master

2016-12-31 12:17:31 +0200 ronys 

	* Merge branch 'find-filter'

2016-12-31 12:16:25 +0200 ronys 

	* Refactor special filters

2016-12-30 16:02:20 +0000 c-273 

	* Correct selection of first Tree view entry when opening a DB

2016-12-30 15:54:21 +0000 c-273 

	* Fix BR 1391

2016-12-29 11:50:53 -0800 Oleg Smolsky 

	* Removed an unneeded Winsock include

2016-12-29 22:05:47 +0200 ronys 

	* twaeks

2016-12-28 17:11:31 +0000 c-273 

	* Implement Find Filter

2016-12-28 17:10:32 +0000 c-273 

	* Make variables unique across different windows

2016-12-28 16:59:41 +0000 c-273 

	* Use Tree state in CTreeCtrl, although values the same

2016-12-28 16:58:34 +0000 c-273 

	* Rearrange code in Advanced dialog to conform with others

2016-12-25 18:29:45 +0200 ronys 

	* FR816: Set installed version in uninstall section of Registry

2016-12-24 22:12:58 +0200 ronys 

	* Merge branch 'hider-fix'

2016-12-24 22:11:42 +0200 ronys 

	* Refactor commit 7f716cb

2016-12-24 21:24:38 +0200 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into hider-fix

2016-12-24 11:48:58 +0000 c-273 

	* Fix issue when locking database when not using the System Tray.

2016-12-21 22:10:25 +0200 ronys 

	* wx - tweak version string format (tag: 1.01BETA)

2016-12-21 21:50:44 +0200 ronys 

	* Bump wx version

2016-12-19 22:06:36 +0200 ronys 

	* Merge pull request #234 from c-273/master

2016-12-19 11:19:20 +0000 c-273 

	* Display configuration file on Option/System property page

2016-12-13 22:39:20 +0200 ronys 

	* Merge pull request #233 from c-273/master

2016-12-13 11:46:46 +0000 c-273 

	* Reposition help image in Add/Edit Basic tab in wide mode

2016-12-01 19:33:29 +0000 c-273 

	* Fix BR1358

2016-12-02 22:10:06 +0200 ronys 

	* Tweak .chw help .gitignore

2016-12-02 22:07:02 +0200 ronys 

	* Merge pull request #230 from c-273/master

2016-12-02 11:19:27 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-11-30 22:15:44 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-11-30 22:15:05 +0200 ronys 

	* French updates for 3.41 from Francois

2016-11-30 10:50:02 +0000 c-273 

	* Fix BR1385 and ensure different variable names for different StatusBars to prevent confusion

2016-11-30 09:21:41 +0000 c-273 

	* Ignore Windows compiled help index file (*.chw)

2016-11-28 21:32:46 +0200 ronys 

	* Merge pull request #228 from pm-kan/i18n

2016-11-28 20:47:24 +0200 ronys 

	* Merge pull request #227 from c-273/master

2016-11-28 20:14:47 +0200 ronys 

	* wx: Fix BR1310

2016-11-28 20:51:38 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX) and Help

2016-11-27 14:46:10 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2016-11-27 14:45:12 +0300 Andrey Kuznetsov 

	* Updates in images for Russian help

2016-11-28 12:33:48 +0000 c-273 

	* Fix BR1384

2016-11-27 19:41:57 +0000 c-273 

	* Fix BR1367 again This time so that the localised messages/language are used when parsing the command line This backs out some changes made during the first fix of BR1367

2016-11-27 10:34:12 +0000 c-273 

	* Stop compiler warnings C4840 in VS2017 Classes or structures that are passed to a variadic function such as printf must be trivially copyable.  This includes CString Format member function.

2016-11-27 09:11:16 +0000 c-273 

	* Bump to 3.41.1

2016-11-25 20:47:58 +0200 ronys 

	* Merge pull request #226 from c-273/master (tag: 3.41.0)

2016-11-25 20:29:30 +0200 ronys 

	* pre-release po changes (not content).

2016-11-25 18:21:07 +0000 c-273 

	* Fix CString format errors when using StringX variables Detected by new VS2017 RC whilst fixing 122 new warnings C4840 generated by new compiler VS2017 C4840 recommended workaround not included yet

2016-11-25 20:00:15 +0200 ronys 

	* 3.40.0pre -> 3.40.0

2016-11-25 19:40:40 +0200 ronys 

	* Merge pull request #225 from c-273/master

2016-11-25 16:07:19 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-11-25 16:05:58 +0000 c-273 

	* Fix Help typos

2016-11-25 11:21:30 +0000 c-273 

	* Minor release notes typos

2016-11-25 13:00:45 +0200 ronys 

	* wx: default DCA/SDCA semantics

2016-11-25 12:47:12 +0200 ronys 

	* wx: small refactor

2016-11-25 12:42:58 +0200 ronys 

	* wx: short isn't always int16

2016-11-25 07:31:19 +0200 ronys 

	* Merge pull request #224 from c-273/master

2016-11-24 18:27:17 +0000 c-273 

	* Remove superfluous blank lines - no code changes

2016-11-24 17:32:09 +0000 c-273 

	* Update correct access time on Tray actions

2016-11-24 08:00:12 +0200 ronys 

	* Merge pull request #223 from c-273/master

2016-11-23 23:05:42 +0000 c-273 

	* Redo attachment check in commit 181c113

2016-11-23 20:01:56 +0000 c-273 

	* Fixed a couple more regressions

2016-11-23 21:04:55 +0200 ronys 

	* Fixed a couple of regressions

2016-11-23 20:12:51 +0200 ronys 

	* Merge pull request #222 from c-273/master

2016-11-23 16:53:02 +0000 c-273 

	* Ensure internal show menu items reset after DB closed

2016-11-23 16:22:36 +0000 c-273 

	* Missed line in coretest project in commit 6f34e27 (no impact as x64 build)

2016-11-23 15:33:39 +0000 c-273 

	* Ensure Effective field values are used for menus and toolbar display logic

2016-11-23 06:19:44 +0200 ronys 

	* Merge pull request #221 from c-273/master

2016-11-22 20:47:47 +0000 c-273 

	* Set coretest target platform to match that of pwsafe.

2016-11-22 19:11:04 +0200 ronys 

	* Fix Linux build

2016-11-22 18:40:07 +0200 ronys 

	* Merge pull request #220 from c-273/chmon-refactor (origin/chmon-refactor)

2016-11-22 14:28:43 +0000 c-273 

	* Fix wx build after DB change monitoring refactor

2016-11-22 10:36:22 +0000 c-273 

	* Tidy up last commit

2016-11-21 22:12:12 +0200 ronys 

	* limit scope of DBState/s

2016-11-21 21:46:57 +0200 ronys 

	* Merge pull request #219 from c-273/chmon-refactor

2016-11-21 19:11:28 +0000 c-273 

	* As per previous commit but for copying entries from another DB into an empty group

2016-11-21 18:41:38 +0000 c-273 

	* Ensure deleting an EG when moving entries into is done before the move otherwise it won't be restored during an Undo

2016-11-21 19:36:02 +0200 ronys 

	* typo + minor cleanup

2016-11-21 16:39:06 +0000 c-273 

	* Refactor DB change monitoring

2016-11-20 11:53:45 +0000 c-273 

	* Fix coretest memory leaks

2016-11-19 11:56:56 +0200 ronys 

	* Refactored PWScore::GetValues() -> PWSAuxParse::GetEffectiveValues()

2016-11-18 17:26:19 +0000 c-273 

	* Fix out of bounds error if path is empty

2016-11-18 17:19:12 +0000 c-273 

	* Implement RunCommand from System Tray, Recent Entry, Run Command menu item. Change PWScore::GetValues to return the base entry, if needed, to save caller doing it all over again

2016-11-18 19:42:52 +0200 ronys 

	* More alias/shortcut cleanup

2016-11-17 21:02:32 +0200 ronys 

	* Keep BR1124 + Refactor to encapsulate alias/shortcut semantics

2016-11-17 19:51:44 +0200 ronys 

	* Merge pull request #215 from c-273/master

2016-11-17 15:50:11 +0000 c-273 

	* Make AddEntryCommand Undo do commands in the opposite order to Execute Don't rename empty group paths if adding a new empty group as it is an extra command that will always do nothing

2016-11-17 14:37:38 +0000 c-273 

	* No need to refresh Tree & List views just because the user sets the DB default username when adding an entry. Also, remove 3 unused variables in DboxMain::InsertItemIntoGUITreeList as code to create Tree display string was moved to CPWTreeCtrl a while ago.

2016-11-16 19:31:26 +0000 c-273 

	* Remove compiler warning on Release build

2016-11-16 19:25:12 +0000 c-273 

	* Fix incorrect html header and then increase level as text too small.

2016-11-16 19:00:23 +0000 c-273 

	* Make PWS consistent re: copying username, expanding AutoType & RunCmd when actioned from a shortcut. Currently this backs out BR1124 but, by defining a preprocessor variable, PWS will remain consistent but conform to BR1124

2016-11-16 18:22:33 +0000 c-273 

	* Fix OnTrayRunCommand which previously did OnTrayCopyURL instead Note: This copies the expanded Run Command to the clipboard and should probably be renamed OnTrayCopyRunCommand internally and indicate that it is a copy on the System Tray menu and not executing the run command.

2016-11-16 12:34:43 +0000 c-273 

	* For consistency, use user's Add/Edit font in Edit shortcut dialog

2016-11-15 22:01:22 +0200 ronys 

	* Merge pull request #214 from c-273/master

2016-11-15 18:26:37 +0000 c-273 

	* Resolve various empty group/filter issues: 1. All empty groups are no longer shown when the user filters for only entries with expired passwords. 2. Empty groups added but not yet saved are now included when the user filters on unsaved changes. 3. Empty groups, whose names satisfy a filter that include tests on group name values, are now included in the display when the filter is active.

2016-11-15 18:56:06 +0200 ronys 

	* Merge pull request #213 from c-273/master

2016-11-15 11:18:17 +0000 c-273 

	* Revert change to replace commands within command by basic helper functions (ef65314) but use MultiCommands in DeleteEntryCommand::Undo rather executing individual commands each time.

2016-11-15 06:26:46 +0200 ronys 

	* Merge pull request #212 from c-273/master

2016-11-14 21:50:17 +0200 ronys 

	* Revert "Added comments in area where BR1124 is negated."

2016-11-14 19:18:10 +0000 c-273 

	* Fix missing notification after changing commands within commands by helper functions.

2016-11-14 20:13:49 +0200 ronys 

	* Merge pull request #211 from c-273/master

2016-11-14 17:57:44 +0000 c-273 

	* Remove unused variable

2016-11-14 15:26:32 +0000 c-273 

	* Added comments in area where BR1124 is negated.

2016-11-14 14:48:26 +0000 c-273 

	* Fix further issues re: alias and PWH or base and when it is changed back to a normal entry

2016-11-14 13:37:19 +0000 c-273 

	* Ensure last password set in parsing AutoType

2016-11-14 12:16:58 +0000 c-273 

	* Correct CItemData::GetPreviousPassword to get previous password even if entry is no longer saving passwords

2016-11-13 19:42:27 +0000 c-273 

	* Validate empty groups on DB open and XML import

2016-11-13 11:27:57 +0000 c-273 

	* Add GUI_REFRESH_BOTHVIEWS as GUI_REFRESH_TREE can only be used for Empty Groups that don't impact the List View

2016-11-13 11:22:27 +0000 c-273 

	* Use helper functions within commands rather than issue further commands

2016-11-13 11:21:30 +0000 c-273 

	* Set EmptyGroup single function correctly

2016-11-11 15:29:40 +0000 c-273 

	* Fix crash if Find active when applying a filter e.g. show entries with expiry dates.

2016-11-13 22:11:57 +0200 ronys 

	* Swedish translation updates for 3.41 from Bjorne

2016-11-10 21:59:29 +0200 ronys 

	* po files ready for 3.41 updates

2016-11-10 21:13:09 +0200 ronys 

	* Bumped version to 3.41.0pre + edited relnotes (tag: 3.41.0pre)

2016-11-10 21:05:43 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-11-10 21:05:00 +0200 ronys 

	* Merge pull request #210 from c-273/master

2016-11-10 20:42:41 +0200 ronys 

	* Rephrase help tips

2016-11-10 19:34:54 +0200 ronys 

	* Merge pull request #209 from c-273/master

2016-11-10 17:23:59 +0000 c-273 

	* Save normal entry's PWH when becoming an alias When editing an alias, show base's PWH in AddEdit_Additional tab Restore alias' PWH if user reverts it to a normal entry

2016-11-10 16:54:59 +0000 c-273 

	* When creating a shortcut, must create UUID before setting entry to a shortcut

2016-11-10 16:17:51 +0000 c-273 

	* Fix unitialised variables

2016-11-09 21:35:06 +0200 ronys 

	* Merge pull request #207 from c-273/master

2016-11-09 14:25:05 +0000 c-273 

	* Fix not resuming DB modification updates to UI on unlocking of DB

2016-11-09 10:49:23 +0000 c-273 

	* When filter active, change Status bar text from "%d (%d) items" to "%d/%d items" e.g. "1/4 items"

2016-11-09 10:44:58 +0000 c-273 

	* Remove "Show Find Toolbar" from View menu as already on the Edit menu.

2016-11-09 18:59:39 +0200 ronys 

	* Review changes to recently changed help files

2016-11-08 21:45:48 +0200 ronys 

	* Merge pull request #206 from thompsonm-ANL/master

2016-11-08 21:37:12 +0200 ronys 

	* Merge pull request #205 from c-273/master

2016-11-08 12:58:48 -0600 thompsonm@anl.gov 

	* return spacing to original

2016-11-08 11:07:39 -0600 thompsonm@anl.gov 

	* fixed extended-description-line-too-long

2016-11-08 16:52:31 +0000 c-273 

	* Fix alias password history being emptied

2016-11-08 09:59:00 -0600 thompsonm@anl.gov 

	* update readme file for new deb package build procedure

2016-11-08 09:49:45 -0600 thompsonm@anl.gov 

	* Properly gzip control file and man page, only do deb options if we're on a debian distro, remove old (unused) control files.

2016-11-08 12:27:51 +0000 c-273 

	* Fix AutoType \o when at end of AutoType string

2016-11-08 11:04:13 +0000 c-273 

	* Always show Find on Edit menu rather than replace by Find Next/Previous if a current find in progress

2016-11-07 20:44:35 +0200 ronys 

	* Don't allow alias/shortcut loops

2016-11-07 19:26:32 +0200 ronys 

	* Merge pull request #204 from c-273/master

2016-11-07 15:59:02 +0000 c-273 

	* Retain consistently a normal entry's password history if it is changed to an alias and later back to a normal entry

2016-11-07 14:36:00 +0000 c-273 

	* Fix 1. When base entry is changed to be an alias to some other normal or alias base entry (alias to the base are moved to the new base). 2. When a shortcut base entry is changed to an alias (delete all associated shortcuts).

2016-11-07 14:33:12 +0000 c-273 

	* Display shortcut UUID in Debug mode to aid debugging (c.f. other types of entries)

2016-11-07 13:26:16 +0000 c-273 

	* Update Option Security label to indicate it only applies to password copies to clipboard

2016-11-06 20:12:45 +0200 ronys 

	* Fixed broken Unix build

2016-11-06 19:31:15 +0200 ronys 

	* Merge pull request #197 from smeredith/freebsd11

2016-11-06 19:30:17 +0200 ronys 

	* Merge pull request #203 from c-273/master

2016-11-06 13:09:54 +0000 c-273 

	* Stop adding extra blank line when AutoType field \o & \o0 for Notes

2016-11-06 10:36:17 +0000 c-273 

	* Add revision to what saved DB if non-zero (Windows only)

2016-11-06 10:01:39 +0000 c-273 

	* Handle alias change of passwords after recent changes Includes removal of the ability to change an alias's base entry's password whilst editing the alias entry - user should edit the base entry directly.

2016-11-06 09:59:14 +0000 c-273 

	* Implement FlushFileBuffers to try to ensure updates to DB, particularly on removable media, is written ASAP on closing the DB.

2016-11-06 09:36:20 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-11-05 13:06:11 -0700 Steve Meredith 

	* Update call site to MatchesTime()

2016-11-05 21:23:24 +0200 ronys 

	* Merge pull request #202 from pm-kan/ui

2016-11-05 21:22:47 +0200 ronys 

	* Merge pull request #201 from pm-kan/i18n-2

2016-11-05 21:21:58 +0200 ronys 

	* Merge pull request #200 from pm-kan/i18n

2016-11-05 21:18:40 +0200 ronys 

	* Merge pull request #199 from pm-kan/compare-fix

2016-11-05 21:16:52 +0200 ronys 

	* Merge pull request #198 from pm-kan/linux-project

2016-11-05 16:59:57 +0300 Andrey Kuznetsov 

	* SlackBuild version update

2016-11-05 16:57:04 +0300 Andrey Kuznetsov 

	* C::B project update

2016-11-03 21:16:19 +0300 Andrey Kuznetsov 

	* Don't access IDC_EXPORTFILTERS on COmpare/merge/Synchronize

2016-10-31 21:37:36 +0300 Andrey Kuznetsov 

	* Load localized resources before command line processing

2016-11-05 18:08:19 +0300 Andrey Kuznetsov 

	* Shortcuts for Main menu (wx)

2016-11-03 20:58:41 +0300 Andrey Kuznetsov 

	* Minor adjustments in dialog

2016-10-31 21:13:10 +0300 Andrey Kuznetsov 

	* Adjust control position to prevent text overlap

2016-11-05 21:31:25 +0300 Andrey Kuznetsov 

	* Russian help update (menu items)

2016-11-05 19:30:43 +0300 Andrey Kuznetsov 

	* Updates in Russian help

2016-11-05 18:12:52 +0300 Andrey Kuznetsov 

	* Sync. WX/MFC Russian .po

2016-11-05 17:31:21 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (wx)

2016-11-03 21:00:13 +0300 Andrey Kuznetsov 

	* Updated images for Russian help (text not updated yet)

2016-11-03 20:58:04 +0300 Andrey Kuznetsov 

	* Minor changes in Russian .po (MFC)

2016-11-01 20:37:51 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2016-10-30 18:46:49 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2016-11-04 21:36:20 -0700 Steve Meredith 

	* Fix compile error on 32-bit FreeBSD

2016-11-02 13:41:39 +0000 c-273 

	* Make comment reflect the actual code

2016-11-02 13:38:48 +0000 c-273 

	* Update autotype Help

2016-10-31 20:10:24 +0200 ronys 

	* Murphy

2016-10-31 20:00:22 +0200 ronys 

	* Builds again under Unix

2016-10-31 17:47:48 +0200 ronys 

	* Merge pull request #194 from c-273/master

2016-10-31 12:49:22 +0000 c-273 

	* Remove unnecessary code introduced in commit ce13622 for SR476/BR1378/BR1376

2016-10-31 06:22:42 +0200 ronys 

	* Merge branch 'MR193' - post review

2016-10-31 06:10:42 +0200 ronys 

	* Constify  CAddEdit_Additional:: HasBeenShown()

2016-10-30 20:10:01 +0200 ronys 

	* typo

2016-10-30 19:48:42 +0200 ronys 

	* typo

2016-10-30 19:45:09 +0200 ronys 

	* tweak commit da7645d - autotype help text

2016-10-30 19:14:08 +0200 ronys 

	* Implement review notes to 87586a7

2016-10-30 18:50:38 +0200 ronys 

	* Rephrase relnotes for FR814

2016-10-30 18:45:27 +0200 ronys 

	* Cleanup commit 62bec50

2016-10-28 17:30:26 +0100 c-273 

	* More on password history during Add/Edit

2016-10-27 23:46:38 +0100 c-273 

	* Fix copying first old password when password changed via Apply Ensure help buttons aligned

2016-10-27 19:30:09 +0100 c-273 

	* Implement workaround from Microsoft for a bug in their VS2015 “Fast Link Time Code Generation (/LTCG:incremental)” feature that prevents building the MFC ReleaseM configuration. This feature speeds up compile/link times for the Release Configuration when you make changes to your code and build (not a full rebuild). Microsoft intends to have this resolved in the next version of Visual Studio RTM.

2016-10-27 19:14:39 +0100 c-273 

	* Align help buttons on Add/Edit property pages and make all property pages the same size adjusting control positions as necessary

2016-10-26 16:34:22 +0100 c-273 

	* Update ReleaseNotes after SR 476 moved to BR 1378

2016-10-26 16:15:42 +0100 c-273 

	* Add more Help to the Add/Edit Basic and Additional tabs.

2016-10-25 18:12:42 +0100 c-273 

	* Fix G192

2016-10-25 15:31:53 +0100 c-273 

	* Fix updating password history with Apply if Add_Additional property page has not been shown

2016-10-25 15:18:42 +0100 c-273 

	* Correct AutoType example

2016-10-25 13:51:17 +0100 c-273 

	* Fix spin controls enable/disable in Add/Edit depending on radio buttons

2016-10-25 13:32:09 +0100 c-273 

	* If an entry is saving password history and its password is changed via the Edit dialog Apply button, then the password history is now properly updated.

2016-10-24 18:40:23 +0100 c-273 

	* Allow user to use the Smart Labels to copy fields to the clipboard when adding a new entry. Also, reset colour of CEditExtn on it losing focus. Move fields so that they don't overlap.

2016-10-24 18:39:57 +0100 c-273 

	* Undo incorrect previous change to AutoType help

2016-10-24 15:18:38 +0100 c-273 

	* Implement AutoType field \#

2016-10-24 14:04:11 +0100 c-273 

	* Remove vertical centering of text in the find toolbar and, instead, dynamically reduce the font size so that characters are not truncated

2016-10-21 16:19:45 +0100 c-273 

	* Update Release Notes

2016-10-21 16:02:12 +0100 c-273 

	* Update Options Backup help re environmental variables

2016-10-21 15:53:45 +0100 c-273 

	* Try to prevent refresh of entry in Tree if displayed string unchanged during edit

2016-10-21 14:03:07 +0100 c-273 

	* Make autotype edit box same height as run cmd (stop character truncation)

2016-10-21 13:42:55 +0100 c-273 

	* Don't show expanded backup location help unless "Other location" selected.

2016-10-21 13:30:23 +0100 c-273 

	* Replace \{Tab} and \{Space} by appropriate characters when AutoType smart label clicked in AddEdit_Additional.cpp

2016-10-20 19:46:38 +0100 c-273 

	* Fix more issues found by MrMe during testing of use of environmental variables in the backup path.

2016-10-20 17:54:24 +0100 c-273 

	* Text in the Find toolbar search edit control is now vertically centred to reduce character truncation.

2016-10-20 09:09:20 +0100 c-273 

	* Fix Idle timeout verification (MrMe)

2016-10-20 08:55:37 +0100 c-273 

	* Implement more special Autotype codes plus modifiers Alt, Ctrl, Shift

2016-10-18 13:18:21 +0100 c-273 

	* Fix not resetting font size in preferences help file

2016-10-18 12:20:46 +0100 c-273 

	* Fix SR 476 - application crash if Add/Edit dialog open when DB locked

2016-10-18 10:39:43 +0100 c-273 

	* Remove ReleaseNotes statement that BR1346 was fixed by 3.40 - it wasn't

2016-10-18 10:37:20 +0100 c-273 

	* Ensure shortcut is updated in GUI after editing.

2016-10-17 18:03:09 +0100 c-273 

	* Fix issues found by MrMe during testing of use of environmental variables in the backup path.

2016-10-17 18:34:04 +0100 c-273 

	* Update Autotype help from MrMe's experience.

2016-10-16 13:04:46 +0100 c-273 

	* Implement BR 1371

2016-10-16 13:02:28 +0100 c-273 

	* Fix error getting previous password

2016-10-14 16:24:52 +0100 c-273 

	* Fix BR 1364

2016-10-14 15:17:27 +0100 c-273 

	* Nit in autotype help file

2016-10-14 15:14:07 +0100 c-273 

	* Implement FR 796

2016-10-13 14:29:45 +0100 c-273 

	* Disable Clear MRU is already empty

2016-10-13 13:33:57 +0100 c-273 

	* Centre button in About dialog

2016-10-13 13:14:21 +0100 c-273 

	* Fix BR 1367

2016-10-12 18:32:11 +0100 c-273 

	* Implement FR 815

2016-10-11 18:32:31 +0100 c-273 

	* Fix BR 1366

2016-10-11 17:33:00 +0100 c-273 

	* Fix BR 1368

2016-10-11 16:58:50 +0100 c-273 

	* Fix BR 1369

2016-10-11 13:10:25 +0100 c-273 

	* Fix BR 1373

2016-10-11 12:53:21 +0100 c-273 

	* Implement FR 814

2016-10-02 19:57:24 +0300 ronys 

	* BR1370: Fixed non-Windows help packaging issue

2016-10-02 18:58:21 +0300 ronys 

	* Merge pull request #189 from comutt/fix_xcode_build

2016-10-02 23:41:53 +0900 KOMATSU Seiji 

	* Fixes Build failure on Mac OS X

2016-09-30 09:45:17 +0300 ronys 

	* Fix compile error for stricter compilers

2016-09-23 20:15:35 +0300 ronys 

	* Merge of pull request 187

2016-09-22 19:42:22 +0100 c-273 

	* Another typo

2016-09-22 19:36:11 +0100 c-273 

	* Implement FR813 and fix release notes typo

2016-09-22 15:48:19 +0100 c-273 

	* Fix BR1365 and update release notes for BR1363

2016-09-22 15:43:52 +0100 c-273 

	* Bump 3.40.1

2016-09-23 20:04:21 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-09-22 21:32:38 +0300 ronys 

	* quash lintian hardening-no-relro warning

2016-09-22 21:23:21 +0300 ronys 

	* squash lintian warning

2016-09-22 19:32:30 +0300 ronys 

	* push wx version to 1.00 - still beta

2016-09-22 18:59:47 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe (tag: 1.00BETA)

2016-09-20 22:12:48 +0300 ronys 

	* Merge pull request #186 from c-273/master

2016-09-20 21:06:01 +0300 ronys 

	* Updates to Swedish texts from Bjorne

2016-09-20 20:46:56 +0300 ronys 

	* Updated 'save immediately' text in release notes

2016-09-20 18:06:45 +0100 c-273 

	* Fix disappearing empty groups when moving nested groups into an empty group

2016-09-20 19:33:23 +0300 ronys 

	* 3.40pre -> 3.40 (tag: 3.40.0)

2016-09-20 19:10:46 +0300 ronys 

	* Merge pull request #185 from c-273/master

2016-09-20 16:37:10 +0100 c-273 

	* Stop dumping empty groups in Debug mode (implies errors when it itsn't)

2016-09-20 18:44:41 +0300 ronys 

	* Swedish translation updates from Bjorne

2016-09-20 13:28:27 +0100 c-273 

	* Fix application crash doing Autotype from entry selected by find after refresh of view

2016-09-20 09:42:15 +0100 c-273 

	* Fix incorrect highlighting when Find toolbar is visible and user refreshes the view (F5)

2016-09-19 18:40:05 +0300 ronys 

	* Merge pull request #184 from c-273/master

2016-09-19 16:19:16 +0100 c-273 

	* Stop hiding application if user doesn't use System Tray

2016-09-19 15:59:24 +0100 c-273 

	* Update to previous commit to handle dropping on a group vs entry

2016-09-19 15:51:45 +0100 c-273 

	* Fix dragging empty groups to root or onto another group/entry

2016-09-19 14:54:32 +0100 c-273 

	* Fix 'Lock password database after' time validation

2016-09-19 12:29:41 +0100 c-273 

	* Fix number of password saved in history being changeable for R-O DB

2016-09-19 12:18:02 +0100 c-273 

	* Viewing Notes field of a protected entry shouldn't activate Apply button

2016-09-19 11:47:30 +0100 c-273 

	* Fix status bar last action inconsistencies

2016-09-19 11:09:09 +0100 c-273 

	* Creating a shortcut to an entry in an empty group now makes it non-empty

2016-09-19 10:56:04 +0100 c-273 

	* Fix commit e5534f4/b21ab31 which stopped groups becoming empty when last entry within deleted

2016-09-18 21:16:15 +0300 ronys 

	* BR1357: Hide Options->System Reg cleanup tooltip button

2016-09-17 20:04:35 +0300 ronys 

	* BR1361: Restored text when dragging an item

2016-09-17 18:23:41 +0300 ronys 

	* BR1355: Fixed AddEntryBasic tabbing order

2016-09-16 17:53:06 +0300 ronys 

	* Merge pull request #183 from c-273/master

2016-09-15 20:40:29 +0100 c-273 

	* Fix BR 1360

2016-09-15 20:05:03 +0100 c-273 

	* Fix Add/Edit entry password policy thinking entry changed on Cancel when it hasn't

2016-09-15 20:45:22 +0300 ronys 

	* Merge pull request #182 from c-273/master

2016-09-15 09:55:58 +0100 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2016-09-15 09:41:26 +0100 c-273 

	* Do not add root as an empty group when deleting last entry in DB

2016-09-15 09:41:26 +0100 c-273 

	* Do not add root as an empty group when deleting last entry in DB

2016-09-14 23:10:20 +0300 ronys 

	* BR1359 - fixed regression in change master password

2016-09-14 22:24:07 +0300 ronys 

	* Merge branch 'mr181'

2016-09-14 22:11:14 +0300 ronys 

	* Fix typo and rephrase relnotes

2016-09-14 19:38:24 +0100 c-273 

	* Update release notes

2016-09-14 16:24:55 +0100 c-273 

	* Fix BR1314 (plus some nits)

2016-09-14 10:28:43 +0100 c-273 

	* Clear attachment static control when attachment removed (taken from V4 future enhancement code) Nit in release notes

2016-09-13 21:04:44 +0300 ronys 

	* Merge branch 'mr179'

2016-09-13 21:01:02 +0300 ronys 

	* Rephrase relnotes descriptions of br1313, br1315

2016-09-13 17:38:18 +0100 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2016-09-13 17:20:08 +0100 c-273 

	* Rework last commit as code will be reused

2016-09-13 17:04:42 +0100 c-273 

	* Fix BR1315

2016-09-13 14:41:16 +0100 c-273 

	* Fix issue with Find toolbar during minimise, maximise & restore size from maximise

2016-09-13 17:20:08 +0100 c-273 

	* Rework last commit as code will be reused

2016-09-13 17:04:42 +0100 c-273 

	* Fix BR1315

2016-09-13 14:41:16 +0100 c-273 

	* Fix issue with Find toolbar during minimise, maximise & restore size from maximise

2016-09-12 21:50:31 +0300 ronys 

	* BR1352: Fixed regression in recently used entry list

2016-09-11 18:42:40 +0300 ronys 

	* 3.40pre French translations from Francois

2016-09-11 18:40:01 +0300 ronys 

	* Merge pull request #177 from pm-kan/restext

2016-09-11 18:38:56 +0300 ronys 

	* Merge pull request #176 from pm-kan/i18n

2016-09-11 17:13:35 +0300 Andrey Kuznetsov 

	* Added (restored) 'showdefault' flag for ResText tool

2016-09-11 17:33:45 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2016-09-10 18:55:57 +0300 ronys 

	*  min -> std:: min in PWSFaultHandler

2016-09-10 18:29:27 +0300 ronys 

	* Tweak fix to BR1335

2016-09-10 18:10:46 +0300 ronys 

	* 3.40pre German translations from Karlo

2016-09-10 13:15:35 +0300 ronys 

	* Merge branch 'c-273-master'

2016-09-10 12:59:11 +0300 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into c-273-master

2016-09-10 12:28:55 +0300 ronys 

	* Restore seq numbers display in password confirm

2016-09-10 09:49:07 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-09-10 09:47:56 +0100 c-273 

	* Remove more non-Unicode unused code and remove "W" suffices where not needed

2016-09-10 09:37:03 +0100 c-273 

	* Fix occasional build error "C3861: 'min': identifier not found" caused by VS pulling in Gdiplustypes.h header

2016-09-09 18:39:03 +0300 ronys 

	* Update pos for 3.40

2016-09-08 22:27:49 +0300 ronys 

	* Version -> 3.40pre (tag: 3.40.0pre)

2016-09-08 22:06:17 +0300 ronys 

	* Don't assert when filtering on attachments

2016-09-08 21:48:17 +0300 ronys 

	* Merge pull request #174 from c-273/master

2016-09-08 08:51:05 +0100 c-273 

	* Reduce flicker during image zoom

2016-09-07 22:43:40 +0300 ronys 

	* Merge branch 'c-273-V4_Attachment_Viewer'

2016-09-07 22:31:54 +0300 ronys 

	* Merge branch 'V4_Attachment_Viewer' of https://github.com/c-273/pwsafe into c-273-V4_Attachment_Viewer

2016-09-07 20:25:28 +0100 c-273 

	* Fix assert when displaying image in add/edit

2016-09-07 22:00:27 +0300 ronys 

	* Merge branch 'V4_Attachment_Viewer' of https://github.com/c-273/pwsafe into c-273-V4_Attachment_Viewer

2016-09-07 21:59:43 +0300 ronys 

	* Attachment related texts -> Windows/res

2016-09-07 18:50:40 +0100 c-273 

	* Implement image viewer zoom function

2016-09-07 20:38:24 +0300 ronys 

	* Merge branch 'V4_Attachment_Viewer' of https://github.com/c-273/pwsafe into c-273-V4_Attachment_Viewer

2016-09-06 08:40:30 +0100 c-273 

	* Implement Attachment Viewer and improve image in current Add/Edit PP

2016-09-05 23:20:30 +0300 ronys 

	* Merge pull request #171 from c-273/master

2016-09-05 18:52:32 +0100 c-273 

	* Nit in naming Windowsdefs.h

2016-09-05 18:03:29 +0100 c-273 

	* Create Windowsdefs.h (cf. coredefs.h) so that some source members don't need DboxMain.h. Could have more in it later

2016-09-04 07:35:56 +0100 c-273 

	* More semi-colon nits

2016-09-04 06:56:08 +0300 ronys 

	* Merge pull request #170 from c-273/master

2016-09-03 13:46:11 +0100 c-273 

	* Fix initial display if user doesn't want the DragBar

2016-09-02 15:21:46 +0300 ronys 

	* Merge branch 'RefactorDBChangeManagement'

2016-09-02 06:51:13 +0300 ronys 

	* Merge pull request #169 from c-273/RefactorDBChangeManagement (origin/RefactorDBChangeManagement)

2016-09-01 23:05:23 +0300 ronys 

	* br1340: add yubi support to wx export text/xml

2016-09-01 23:15:49 +0100 c-273 

	* Fix BR1335

2016-09-01 19:47:34 +0300 ronys 

	* Merge pull request #168 from c-273/RefactorDBChangeManagement

2016-09-01 17:34:38 +0100 c-273 

	* Nit - duplication in enum

2016-09-01 17:07:54 +0100 c-273 

	* Fix toolbar corruption when using a wizard dialog Make our toolbars ID out the way of any MFC IDs Ensure entry change highlighting correctly set Move OnShowFindToolbar to be with OnHideFindToolbar in MainView

2016-09-01 15:16:50 +0100 c-273 

	* Add extra parameter to CPWFileDialog Put Window messages together Stop MFC warning by setting Findtoolbar height greater than image on it

2016-09-01 15:12:47 +0100 c-273 

	* Update previous fix for getting string FieldType values

2016-08-31 22:29:32 +0300 ronys 

	* Reflect corrected GetAllGroups() semantics

2016-08-31 22:27:44 +0300 ronys 

	* Work on GetAllGroups()

2016-08-31 22:26:41 +0300 ronys 

	* Added tests for group counting

2016-08-31 22:25:31 +0300 ronys 

	* Removed confusing comment

2016-08-31 20:28:34 +0300 ronys 

	* Merge pull request #167 from c-273/RefactorDBChangeManagement

2016-08-31 17:10:13 +0100 c-273 

	* Fix ASSERT during Synch & incorrect test

2016-08-30 19:30:32 +0300 ronys 

	* typos in relnotes

2016-08-30 19:27:16 +0300 ronys 

	* Merge pull request #166 from c-273/RefactorDBChangeManagement

2016-08-30 09:30:23 +0100 c-273 

	* Fix last commit re: persistent group when editing entry/shortcut

2016-08-29 18:00:48 +0100 c-273 

	* Implement persistent groups when editing an entry or shortcut

2016-08-29 15:03:22 +0100 c-273 

	* Update Release Notes re: group counting

2016-08-29 09:28:27 +0300 ronys 

	* Merge pull request #165 from dskrvk/master

2016-08-28 17:21:10 -0400 Dmitry Erastov 

	* Remove some unused variable declarations

2016-08-28 17:20:00 -0400 Dmitry Erastov 

	* Fix type mismatch issues (mostly signed/unsigned)

2016-08-28 23:07:38 +0300 ronys 

	* More group cleanup

2016-08-28 21:30:35 +0300 ronys 

	* Merge pull request #164 from c-273/RefactorDBChangeManagement

2016-08-28 19:07:05 +0100 c-273 

	* Change display of the number of groups in the DB properties dialog. Also moved to core so MFC & wx builds have the same information. Updated to hide new tooltip buttons if creation of CToolTipCtrl failed. Added code to PWDialog for new tooltip buttons cf. PWPropertyPage.

2016-08-28 14:37:52 +0100 c-273 

	* Fix release notes typos

2016-08-28 10:11:52 +0100 c-273 

	* Minor tweaks/fixes to recent changes 1. Stop List view column resize when user changes Tree/List & Notes font 2. Tidy code to keep entry edited from List view visible 3. Prevent user specified column width being lost in preferences

2016-08-28 09:21:01 +0100 c-273 

	* Move code re: List view columns into one place so that warning comments are not in multiple areas.

2016-08-27 18:49:52 +0100 c-273 

	* Update release notes for List view & DB Properties changes

2016-08-27 18:49:14 +0100 c-273 

	* Change DB properties to show number of groups Explorer style

2016-08-27 18:46:27 +0100 c-273 

	* Make sure entry edited from List View remains visible after Edit/Undo/Redo

2016-08-27 17:06:18 +0100 c-273 

	* Make Notes font apply to List view as well as Tree view

2016-08-27 15:24:13 +0100 c-273 

	* Add missing values for List View columns Added comments in the 3 areas that must be kept up to date - there must be a better way!

2016-08-27 09:50:06 +0300 ronys 

	* Merge pull request #162 from c-273/RefactorDBChangeManagement

2016-08-26 18:58:38 +0100 c-273 

	* Fix incorrect changing of column widths after moving/adding/removing columns Add missing column header sizes for AUTOTYPE & PROTECTED columns

2016-08-26 16:22:23 +0100 c-273 

	* Update Statusbar "change indicator" indicator for any DB change

2016-08-26 13:27:57 +0300 ronys 

	* minor edits to comments

2016-08-26 11:27:57 +0300 ronys 

	* Merge pull request #161 from c-273/RefactorDBChangeManagement

2016-08-26 07:47:16 +0100 c-273 

	* Change List view column picker D&D to be like Tree list Reported ASSERT in CmdTarget, although I could not reproduce it

2016-08-25 19:11:09 +0300 ronys 

	* Merge branch 'RefactorDBChangeManagement' of github.com:pwsafe/pwsafe into RefactorDBChangeManagement

2016-08-25 16:46:18 +0300 ronys 

	* Merge pull request #160 from c-273/RefactorDBChangeManagement

2016-08-25 12:41:48 +0100 c-273 

	* Fix wx SaveImmediately and Restore DB

2016-08-25 12:41:15 +0100 c-273 

	* Add missing new password subset files to wx VS project files

2016-08-25 13:14:29 +0300 ronys 

	* Merge pull request #159 from c-273/RefactorDBChangeManagement

2016-08-25 10:59:51 +0100 c-273 

	* More D&D error prevention

2016-08-24 22:25:31 +0100 c-273 

	* Fix bizarre error in the internals of MFC D&D

2016-08-24 22:25:03 +0100 c-273 

	* Remove duplication in the recent rephrase of lock semantics descriptions

2016-08-24 22:32:58 +0300 ronys 

	* Start rehabilitating wx save/modification semantics

2016-08-24 22:00:35 +0300 ronys 

	* Merge pull request #158 from c-273/RefactorDBChangeManagement

2016-08-24 21:57:31 +0300 ronys 

	* Removed extraneous PWScore:: quantifiers

2016-08-24 21:50:42 +0300 ronys 

	* Rephrase lock semantics descriptions

2016-08-24 19:40:53 +0100 c-273 

	* Remove obsolete DB preferences when opening a DB

2016-08-24 21:36:46 +0300 ronys 

	* Merge pull request #157 from c-273/RefactorDBChangeManagement

2016-08-24 18:18:38 +0100 c-273 

	* Delete previously commented out pws_os::Trace calls

2016-08-24 17:46:38 +0100 c-273 

	* Document that DB locking clears all commands so that they can't be undone/redone on restoration

2016-08-23 22:08:23 +0300 ronys 

	* wx compiles again, untested

2016-08-22 20:27:19 +0300 ronys 

	* Merge pull request #156 from c-273/RefactorDBChangeManagement

2016-08-22 17:37:03 +0100 c-273 

	* Merge remote-tracking branch 'upstream/RefactorDBChangeManagement' into RefactorDBChangeManagement

2016-08-22 17:32:20 +0100 c-273 

	* Refactor DB change recording again! Now it is the responsibility of the command to indicate it has changed something instead of assuming calling a command always changes the DB

2016-08-22 12:56:40 +0300 ronys 

	* Merge pull request #155 from dskrvk/master

2016-08-22 08:13:08 +0100 c-273 

	* Revert "Fix rename of group (adding unnecessary rename of empty subgroups if none exist)"

2016-08-21 18:03:10 -0400 Dmitry Erastov 

	* Fix type mismatch in ReadCBC/WriteCBC

2016-08-21 17:59:19 -0400 Dmitry Erastov 

	* Simplify timezone offset calculation

2016-08-21 17:52:25 -0400 Dmitry Erastov 

	* Fix missing function arguments in XML import/export cli

2016-08-21 22:24:16 +0300 ronys 

	* Merge pull request #154 from c-273/RefactorDBChangeManagement

2016-08-21 19:50:54 +0100 c-273 

	* Fix rename of group (adding unnecessary rename of empty subgroups if none exist)

2016-08-21 21:00:48 +0300 ronys 

	* Added RenameGroup test

2016-08-21 20:48:07 +0300 ronys 

	* Merge pull request #153 from c-273/RefactorDBChangeManagement

2016-08-21 18:27:26 +0100 c-273 

	* Merge branch 'RefactorDBChangeManagement' of https://github.com/pwsafe/pwsafe into RefactorDBChangeManagement

2016-08-21 18:17:08 +0100 c-273 

	* More change management refactor, add RUEList and update help

2016-08-21 19:09:53 +0300 ronys 

	* Merge pull request #152 from pm-kan/pull-requests

2016-08-21 17:08:47 +0300 Andrey Kuznetsov 

	* [wx] Fixed crash (in r/o mode) and assert in password policies dialog

2016-08-21 09:43:05 +0100 c-273 

	* Make List View sort direction an application preference enabling core function SetDBPrefsChanged to be private

2016-08-20 21:46:22 +0300 ronys 

	* Merge pull request #151 from c-273/RefactorDBChangeManagement

2016-08-20 08:21:43 +0100 c-273 

	* Restore rules on restoring DB into open DB (incorrect within previous commit) Make filter image enums unique

2016-08-19 19:21:01 +0100 c-273 

	* Remove PWScore::SetDBChanged Also replace check on empty DB filename to be no DB open as can be valid for open DB by new variable indicating DB open Allow Restore of a DB when no DB open.

2016-08-19 15:13:02 +0100 c-273 

	* More on refactor of change detection - in particular changes to DB filters via Command Rename variables to show differences of type/origin of filters In process, fix BR 1347 (change filter detection & copy to R-O DB)

2016-08-17 22:08:58 +0300 ronys 

	* Fixed Command::GetCommandType virtual problem

2016-08-17 22:02:34 +0300 ronys 

	* Merge pull request #150 from c-273/RefactorDBChangeManagement

2016-08-17 19:43:18 +0100 c-273 

	* Add change to DB name & description via a command Currently Undo not working correctly.

2016-08-17 16:42:44 +0100 c-273 

	* Although users are warned that they can't change DB preferences if DB is R/O now they are prevented (same if no DB open)

2016-08-17 13:58:21 +0100 c-273 

	* Make enum constants uppercase

2016-08-17 13:45:01 +0100 c-273 

	* Fix regression Edit-Save-Undo leaves the Save button greyed-out

2016-08-16 22:44:50 +0300 ronys 

	* Don't assert on drag to root

2016-08-16 21:57:59 +0300 ronys 

	* refactoring DB change code

2016-08-16 20:29:54 +0300 ronys 

	* Coretests pass again

2016-08-16 20:02:33 +0300 ronys 

	* Fixes for CommandsTest

2016-08-15 22:49:39 +0300 ronys 

	* Refactor of Change logic:

2016-08-15 20:14:25 +0300 ronys 

	* Fix CommandsTest to follow last changes

2016-08-15 12:17:05 +0100 c-273 

	* Refactor again, rename structures, move them and fixed change state after Undo/Redo

2016-08-14 20:18:37 +0100 c-273 

	* Remove an unnecessary variable from DB status structure as not related to changings

2016-08-14 19:37:43 +0100 c-273 

	* Fix recognising an empty group has been manually put back after deletion (rather than undo) so no change (no need for save). Extend to DB filter updates in preparation of using commands to perform action

2016-08-14 20:31:48 +0300 ronys 

	* Added EditEntry test

2016-08-14 19:39:52 +0300 ronys 

	* Added checks for core.IsChanged in CommandsTest

2016-08-13 14:41:27 +0100 c-273 

	* Refactor how DB changes are maintained via PWScore Execute/Undo/Redo

2016-08-12 10:40:29 +0300 ronys 

	* rephrasing of tt/help

2016-08-10 18:22:45 +0100 c-273 

	* Update "Maintain Time Stamp" tooltip (Options property page)

2016-08-10 18:17:15 +0100 c-273 

	* Ensure TS change set when editing/viewing entry

2016-08-10 15:52:30 +0100 c-273 

	* Update to not use change highlighting is Save Immediately set Also, use same logic to stop refresh after DB preferences changed if not necessary

2016-08-09 17:41:03 +0100 c-273 

	* Change Options tooltips to be more obvious and responsive. Also move and merge tooltips from shortcut ListCtrl to main property page.

2016-08-09 07:53:14 +0300 ronys 

	* wx compiles again

2016-08-08 21:17:03 +0300 ronys 

	* typo

2016-08-08 14:59:38 +0100 c-273 

	* Implement enhanced Save Immediately Requires more testing

2016-08-03 11:33:07 +0100 c-273 

	* More Windows is Unicode only

2016-08-02 14:07:04 +0100 c-273 

	* Replace TCHAR by wchar_t as Windows is Unicode only

2016-08-02 14:01:20 +0100 c-273 

	* Remove or comment out unnecessary debug trace statements Replace _T("..") by L".." as Windows is only Unicode

2016-07-29 19:22:27 +0100 c-273 

	* Change Save immediately to be after any DB modification

2016-08-09 19:28:38 +0300 ronys 

	* Merge pull request #149 from medo64/master

2016-08-08 19:37:24 -0700 Josip Medved 

	* Added QR code entry field in v3 and v4.

2016-08-08 21:04:51 +0300 ronys 

	* wx password subset ready for merge

2016-08-08 20:21:58 +0300 ronys 

	* wx passwordsubset is functional

2016-08-07 22:01:12 +0300 ronys 

	* wx start working on subset logic

2016-08-07 14:22:31 +0300 ronys 

	* wx: work on Password Subset support - cont.

2016-08-07 12:39:41 +0300 ronys 

	* wx removed warning

2016-08-07 12:36:04 +0300 ronys 

	* wx refactor using new RUE-aware GetSelectedEntry

2016-08-07 12:10:54 +0300 ronys 

	* Make CRUEList::GetPWEntry() logically const

2016-08-07 06:18:15 +0300 ronys 

	*  wx: work on Password Subset support

2016-08-04 15:29:55 +0300 ronys 

	* wx: start Password Subset support

2016-08-05 06:42:10 +0300 ronys 

	* Merge pull request #147 from c-273/master

2016-08-04 18:15:58 +0100 c-273 

	* Fix BR1346

2016-08-03 15:30:19 +0300 ronys 

	* Fix formatting of groups count in Properties dbox

2016-08-01 22:49:01 +0300 ronys 

	* Disambiguate Groups count in File->Properties

2016-07-31 21:47:43 +0300 ronys 

	* Fixed annoying off-by-1 error in group count

2016-07-31 21:25:29 +0300 ronys 

	* wx: Edit->View under r-o

2016-07-30 18:36:31 +0300 ronys 

	* wx: Update menus according to r-o state

2016-07-29 22:45:55 +0300 ronys 

	* Merge pull request #141 from c-273/master

2016-07-29 18:46:07 +0100 c-273 

	* Merge remote-tracking branch 'origin/master'

2016-07-29 18:44:43 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-07-29 12:40:13 +0300 ronys 

	* wx: Don't crash when undoing add entry

2016-07-29 11:15:35 +0300 ronys 

	* wx: Don't accept empty text and end of tree edit

2016-07-28 22:13:30 +0100 c-273 

	* When merging in a DB, don't add empty group if already in this DB

2016-07-28 17:20:40 +0100 c-273 

	* Merge branch 'master' of https://github.com/c-273/pwsafe

2016-07-28 16:51:13 +0100 c-273 

	* Empty groups are now added when merging one PasswordSafe database into another. Information on imported empty groups now added to the Merge report.

2016-07-28 12:43:46 +0100 c-273 

	* Go back to wxWidgets 3.0.2 as 3.1.0 breaks Help

2016-07-28 12:43:46 +0100 c-273 

	* Go back to wxWidgets 3.0.2 as 3.1.0 breaks Help

2016-07-28 12:22:39 +0100 c-273 

	* Add extra field to XML import so user can be informed of number of empty groups imported

2016-07-27 20:39:16 +0300 ronys 

	* Merge pull request #136 from c-273/Group_Display

2016-07-27 20:35:51 +0300 ronys 

	* Merge pull request #140 from c-273/master

2016-07-27 18:28:20 +0100 c-273 

	* Fix implementation of FR811

2016-07-26 21:19:22 +0300 ronys 

	* Merge pull request #139 from c-273/master

2016-07-26 21:06:55 +0300 ronys 

	* Merge branch 'bblough-repro'

2016-07-25 15:19:05 -0400 Bill Blough 

	* Description: Make the build reproducible  - strip extra fields from zip file containing help files  - don't honour locale in rc2cpp.pl, or else keys written    into generated cpp source file will be sorted differently    under different locales.

2016-07-26 14:49:23 +0100 c-273 

	* Implement FR811

2016-07-26 10:29:28 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-07-26 10:28:36 +0100 c-273 

	* Move Options Shortcut warnings to a message box so that the "tall" version fits in a 1366x768 display

2016-07-25 21:58:16 +0300 ronys 

	* wx analog to BR1345

2016-07-25 20:05:42 +0300 ronys 

	* Merge pull request #137 from c-273/master

2016-07-25 14:33:37 +0100 c-273 

	* Update fix to BR1345 for case where user has set option to open read-only by default

2016-07-24 17:31:23 +0100 c-273 

	* Fix Rename issue (Windows' message are async causing CTreeCtrl to think rename cancelled.

2016-07-24 16:48:15 +0100 c-273 

	* Update group display when user clicks on Indent or button - MainView Update tree if user changes group (remove duplicate calls) - MainEdit & PWTreeCtrl

2016-07-24 09:57:16 +0100 c-273 

	* Fix collapse of tree when working on empty groups and there are no actual entries.

2016-07-23 11:40:45 +0100 c-273 

	* Fix group display WIP

2016-07-24 18:29:42 +0300 ronys 

	* Merge pull request #135 from c-273/master

2016-07-24 10:35:09 +0100 c-273 

	* Correctly import empty groups from a XML file when an imported group has been specified

2016-07-24 08:01:02 +0100 c-273 

	* Fix ghost images when hiding and then showing Toolbar

2016-07-24 07:31:17 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-07-24 06:09:02 +0300 ronys 

	* BR1345: Disable new db creation when r-o set

2016-07-23 10:15:48 +0100 c-273 

	* Don't allow export of an empty group (or a group with only empty sub-groups) to anything

2016-07-23 07:42:45 +0300 ronys 

	* rephrase release note

2016-07-23 07:39:11 +0300 ronys 

	* Merge pull request #134 from c-273/master

2016-07-22 23:58:33 +0100 c-273 

	* Ensure DB is also marked as modified when user adds empty group but doesn't rename it

2016-07-22 23:28:57 +0100 c-273 

	* Extend FR810 to all user input fields in the Add/Edit dialog.

2016-07-22 11:24:12 +0100 c-273 

	* When exporting a group to XML, only include empty sub-groups rather than all in the DB

2016-07-22 11:23:10 +0100 c-273 

	* Prevent an empty being exported to plain text or XML (empty groups within a non-empty group will still be exported to XML)

2016-07-21 22:57:21 +0300 ronys 

	* Merge pull request #133 from c-273/master

2016-07-21 20:28:31 +0100 c-273 

	* Documentation nit

2016-07-21 20:16:32 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-07-21 19:21:55 +0100 c-273 

	* Implement FR810 via user selectable Add/Edit font Change variable types so that compiler can detect missing cases in switch statements

2016-07-21 19:20:28 +0100 c-273 

	* Change variable types so that compiler can detect missing cases in switch statements

2016-07-21 21:16:18 +0300 ronys 

	* Merge pull request #132 from c-273/master

2016-07-21 15:39:31 +0100 c-273 

	* Remove declaration of undefined member function

2016-07-21 06:47:46 +0300 ronys 

	* Merge pull request #131 from derekschrock/master

2016-07-20 19:29:26 -0400 Derek Schrock 

	* Update to build via cmake on FreeBSD 10.3-RELEASE

2016-07-19 13:37:18 +0100 c-273 

	* Remove undefined function definition

2016-07-19 12:21:00 +0100 c-273 

	* Adding an empty group will also cause the database to be saved if the user has selected the option "Save immediately on Add or Edit".

2016-07-19 12:07:55 +0100 c-273 

	* Fix multiple group issues - mainly relating to empty groups BR 1342, 1343

2016-07-18 11:24:06 +0100 c-273 

	* Empty sub-groups are included when exporting a group to a new PasswordSafe database

2016-07-18 11:15:27 +0100 c-273 

	* The database properties page now includes the number of empty groups.

2016-07-18 11:09:19 +0100 c-273 

	* Bump to 3.39.2

2016-07-13 08:16:15 +0300 ronys 

	* Merge pull request #128 from smeredith/osx

2016-07-12 17:25:50 -0700 Steve Meredith 

	* Fix minor errors in README.MAC.DEVELOPERS.txt

2016-07-12 09:22:13 +0300 ronys 

	* Merge pull request #127 from soundsrc/stringx-trash-memory-fix

2016-07-11 22:21:52 -0700 Sound 

	* Adding comment explaining the reason behind using extern declaration instead of including "Util.h".

2016-07-11 20:17:06 -0700 Sound 

	* Cast pointer to void *p since it can trigger the trashMemory overload with LPCSTR.

2016-07-10 23:52:41 -0700 Sound 

	* Use boringssl trick on trashMemory to prevent optimization on the memsets.

2016-07-10 23:15:47 -0700 Sound 

	* Use trashMemory() to scrub memory in StringX as memset() can get optimized out.

2016-07-11 07:41:16 +0300 ronys 

	* Merge pull request 125

2016-07-11 07:38:45 +0300 ronys 

	* Update vs12 for new ResText file

2016-07-10 20:52:37 +0300 ronys 

	* Modify ResText/CMakeLists.txt for ResText update

2016-07-10 19:45:14 +0300 ronys 

	* Merge branch 'master' of https://github.com/c-273/pwsafe into newResText

2016-07-10 17:58:53 +0300 ronys 

	* Merge pull request #126 from sguazt/fix_rpm_spec

2016-07-10 15:00:42 +0200 sguazt 

	* (fix) Fixed location of desktop and icon files.

2016-07-10 14:24:53 +0200 sguazt 

	* (fix) Fixed CPack problem for RPM generation.

2016-07-08 13:23:56 +0100 c-273 

	* Prevent Accelerator comments being forever written to PO files Remove duplicate comments already present.

2016-07-08 13:16:39 +0100 c-273 

	* Reapply Rony's timing fix (git 5e6d71b) to updated ResText Note: some of the original changes are already in the version

2016-07-07 09:58:04 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-07-07 09:57:04 +0100 c-273 

	* Update ResText to latest provided by TortoiseSVN

2016-07-06 21:40:40 +0300 ronys 

	* Bump release to 3.39.1 for i18n dll fix (tag: 3.39.1)

2016-07-06 20:57:19 +0300 ronys 

	* Merge pull request #124 from c-273/master

2016-07-06 18:49:29 +0100 c-273 

	* Fix error in ResText preventing creation of language DLLs byt reverting 2 recent statement changes.

2016-07-06 17:07:08 +0100 c-273 

	* Update text file instructions re: Windows wxWidgets help zip files

2016-07-06 14:28:03 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-07-06 13:46:35 +0100 c-273 

	* Batch file to create Windows wxWidgets help files + typo nit

2016-07-06 13:44:37 +0100 c-273 

	* Suppress Microsoft banner in vbs scripts

2016-07-04 19:23:22 +0100 c-273 

	* Fix wxWidgets pre_build.vbs script under Windows

2016-07-04 18:04:56 +0100 c-273 

	* Nit

2016-07-03 21:48:33 +0300 ronys 

	* Prepare for 3.39 / 0.99 release - bumped versions (tag: 0.99BETA)

2016-07-03 20:46:05 +0300 ronys 

	* Merge pull request #123 from c-273/master (tag: 3.39.0)

2016-07-03 16:11:36 +0100 c-273 

	* Better handling of version input file

2016-07-03 09:46:36 +0100 c-273 

	* Update pre-build.vbs since executable & DLL version files were merged

2016-07-01 12:37:09 +0300 ronys 

	* tweaks for Fedora build

2016-06-27 20:08:12 +0300 ronys 

	* removed unused libs from Windows/wx build

2016-06-26 22:39:29 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-06-26 22:28:08 +0300 ronys 

	* 3.39 Swedish translation updates from Bjorne

2016-06-26 22:15:11 +0300 ronys 

	* Fix wxGTK builds with wxVERSION < 3.1.0

2016-06-26 08:13:57 +0300 ronys 

	* Merge pull request #121 from c-273/master

2016-06-25 23:35:17 +0100 c-273 

	* Fix version settings in MFC helper DLLs

2016-06-25 21:54:25 +0300 ronys 

	* Merge branch 'c-273-version-unification' into version-unification (origin/version-unification)

2016-06-25 21:52:19 +0300 ronys 

	* Folded versionDLLs.mfc into version.mfc

2016-06-25 20:40:24 +0300 ronys 

	* Version processing now works for zero values too

2016-06-25 18:54:53 +0300 ronys 

	* README.CMAKE typos + updates re XML

2016-06-25 14:35:49 +0100 c-273 

	* Unify version information processing for native VS and cmake

2016-06-24 13:37:12 +0300 ronys 

	* nit

2016-06-24 13:04:07 +0300 ronys 

	* First hack at unified version management

2016-06-20 21:42:41 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-06-20 21:41:40 +0300 ronys 

	* Revert "Put back support for XP"

2016-06-20 19:50:37 +0300 ronys 

	* Keep VS12 project buildable

2016-06-20 18:48:54 +0300 ronys 

	* Merge pull request #118 from sauravg/master

2016-06-20 18:13:05 +0530 saurav 

	* Fix CodeLite (linux) build

2016-06-19 20:30:42 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-06-19 20:29:59 +0300 ronys 

	* Merge pull request #117 from pm-kan/dnd-fix

2016-06-19 20:29:21 +0300 ronys 

	* Merge pull request #116 from pm-kan/pull-requests

2016-06-19 17:27:51 +0300 Andrey Kuznetsov 

	* [wx] Try to fix DnD into Firefox

2016-06-19 17:27:51 +0300 Andrey Kuznetsov 

	* [wx] Try to fix DnD into Firefox

2016-06-19 14:15:21 +0300 Andrey Kuznetsov 

	* C::B updates

2016-06-19 12:58:15 +0300 Andrey Kuznetsov 

	* Few optimizations in SlackBuild

2016-06-18 22:12:07 +0300 ronys 

	* Put back support for XP

2016-06-18 10:47:33 +0300 ronys 

	* removed bad space from RELEASE_SPECIAL

2016-06-18 10:44:43 +0300 ronys 

	* Update pos for 3.39pre

2016-06-18 10:11:57 +0300 ronys 

	* bump version to 3.39pre

2016-06-18 06:49:17 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-06-18 06:45:53 +0300 ronys 

	* Fix nit intrduced in 6dc66a7

2016-06-17 21:53:55 +0300 ronys 

	* Merge pull request #115 from pm-kan/pull-requests

2016-06-17 21:03:07 +0300 Andrey Kuznetsov 

	* Updates in Russian help

2016-06-17 20:43:33 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX)

2016-06-17 19:47:01 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2016-06-17 20:58:28 +0300 ronys 

	* Disable telemetry installed by Microsoft in VS2015

2016-06-17 19:26:31 +0300 ronys 

	* Fix assert on 64 bit wx build

2016-06-17 15:00:03 +0300 ronys 

	* Remove another mfc-ism that crept into core

2016-06-17 12:57:39 +0300 ronys 

	* First hack at Unsaved Entries Filter in wx

2016-06-17 12:22:35 +0300 ronys 

	* Show Entries w/Expiry working on wx

2016-06-17 11:52:02 +0300 ronys 

	* Remove mfc-ism that crept into core

2016-06-17 11:13:33 +0300 ronys 

	* Tweak compilation when USE_XML_LIBRARY unset

2016-06-17 07:12:31 +0300 ronys 

	* Move predefined filters to core

2016-06-16 21:53:50 +0300 ronys 

	* Filter refactoring: m_currentfilter -> PWSFilterManager

2016-06-16 08:47:49 +0300 ronys 

	* More Filter-related refactoring

2016-06-16 08:20:06 +0300 ronys 

	* Localized bFilterFor* as part of Filter refactoring

2016-06-14 22:08:26 +0300 ronys 

	* More refactoring of filter-related code to core.

2016-06-14 20:00:12 +0300 ronys 

	* Refactor CreateGroups() from ui/Windows to core

2016-06-13 22:58:46 +0300 ronys 

	* Grid and Tree SetFilterState working

2016-06-17 06:38:47 +0300 ronys 

	* Merge pull request #114 from sauravg/master

2016-06-17 00:17:26 +0530 Saurav Ghosh 

	* Add mainView.cpp to linux build also

2016-06-17 00:02:24 +0530 Saurav Ghosh 

	* Fix linux & osx builds

2016-06-16 20:56:52 +0300 ronys 

	* Fixed compilation issues as reported in gh113

2016-06-14 18:47:40 +0300 ronys 

	* Merge pull request #112 from c-273/master

2016-06-14 11:16:59 +0100 c-273 

	* Upgrade to pugixml 1.7

2016-06-13 19:40:46 +0300 ronys 

	* Merge pull request #111 from c-273/master

2016-06-12 19:33:19 +0100 c-273 

	* Windows XML schemas should be in main application bin directory

2016-06-11 18:10:58 +0100 c-273 

	* CMake - MS XML not supported for Windows wxWidgets builds

2016-06-11 17:54:46 +0100 c-273 

	* Prevent wxWidgets warning messages about insecure CRT functions. wxWidgets does not use the secure versions (suffix usually "_s") and automatically suppresses warning messages unless a non-wxWidgets include file is put first in a source/header file

2016-06-11 17:17:52 +0100 c-273 

	* Separate cmake and current VS2015 Windows build of wxWidgets interfering with each other

2016-06-11 17:07:43 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-06-11 08:12:00 +0300 ronys 

	* Fixed broken gcc build

2016-06-10 20:53:01 +0300 ronys 

	* cmake: support MSXML

2016-06-10 16:05:24 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-06-10 14:31:25 +0100 c-273 

	* Add missing source files to VS2015 wxWidgets project files and upgrade to wxWidgets 3.1.0 (library names now *31u* rather than *30u*)

2016-06-10 09:46:21 +0300 ronys 

	* Fixed assert when exporting group (mfc)

2016-06-09 22:04:51 +0300 ronys 

	* cmake: Support NO_YUBI under Windows MFC

2016-06-09 21:26:44 +0300 ronys 

	* Merge pull request #109 from c-273/master

2016-06-09 14:19:46 +0100 c-273 

	* Update Cmake readme - WIP

2016-06-09 13:11:46 +0100 c-273 

	* Fix ResText & ResPWSL cmake compiler warnings due to depreciated functions Update Create_POT_File command file to work with built programs

2016-06-09 07:54:33 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-06-09 06:31:46 +0300 ronys 

	* Merge pull request #106 from jsoref/spelling

2016-06-09 06:21:52 +0300 ronys 

	* Merge pull request #108 from c-273/master

2016-06-08 22:36:53 +0100 c-273 

	* Remove VS2015 compiler warnings in Windows Tools builds

2016-06-08 21:15:10 +0100 c-273 

	* Ensure MFC compiles after move of RUEList to core.

2016-06-08 21:57:57 +0300 ronys 

	* Merge pull request #107 from c-273/master

2016-06-08 21:30:52 +0300 ronys 

	* wx Statusbar DCA pane

2016-06-08 20:09:45 +0300 ronys 

	* Refactor DCA descriptive texts

2016-06-08 18:03:00 +0100 c-273 

	* Update Windows Tools projects for VS2015

2016-06-08 07:57:06 +0300 ronys 

	* wx: prep for dblick action status bar update

2016-06-07 21:44:56 +0000 Josh Soref 

	* spelling: windows

2016-06-07 21:43:02 +0000 Josh Soref 

	* spelling: value

2016-06-07 21:42:11 +0000 Josh Soref 

	* spelling: values

2016-06-07 21:40:49 +0000 Josh Soref 

	* spelling: up to

2016-06-07 21:41:48 +0000 Josh Soref 

	* spelling: updating

2016-06-07 21:39:43 +0000 Josh Soref 

	* spelling: unusual

2016-06-07 21:39:32 +0000 Josh Soref 

	* spelling: unsupported

2016-06-07 21:38:06 +0000 Josh Soref 

	* spelling: unless

2016-06-07 21:37:21 +0000 Josh Soref 

	* spelling: uninstall

2016-06-07 21:37:34 +0000 Josh Soref 

	* spelling: uninitialized

2016-06-07 21:36:18 +0000 Josh Soref 

	* spelling: truncate

2016-06-07 21:35:30 +0000 Josh Soref 

	* spelling: treat

2016-06-07 21:36:05 +0000 Josh Soref 

	* spelling: trailing

2016-06-07 21:03:34 +0000 Josh Soref 

	* spelling: tooltip

2016-06-07 21:34:32 +0000 Josh Soref 

	* spelling: toolbar

2016-06-07 21:32:06 +0000 Josh Soref 

	* spelling: synchronize

2016-06-07 21:30:49 +0000 Josh Soref 

	* spelling: successfully

2016-06-07 21:30:12 +0000 Josh Soref 

	* spelling: successful

2016-06-07 21:30:32 +0000 Josh Soref 

	* spelling: success

2016-06-07 21:28:12 +0000 Josh Soref 

	* spelling: status

2016-06-07 21:27:21 +0000 Josh Soref 

	* spelling: spltchr

2016-06-07 21:27:03 +0000 Josh Soref 

	* spelling: specifying

2016-06-07 21:26:50 +0000 Josh Soref 

	* spelling: specified

2016-06-07 21:26:38 +0000 Josh Soref 

	* spelling: specific

2016-06-07 21:25:54 +0000 Josh Soref 

	* spelling: somewhere

2016-06-07 20:36:24 +0000 Josh Soref 

	* spelling: since

2016-06-07 21:25:24 +0000 Josh Soref 

	* spelling: silently

2016-06-07 21:25:09 +0000 Josh Soref 

	* spelling: shortcut

2016-06-07 21:24:54 +0000 Josh Soref 

	* spelling: shortcuts

2016-06-07 21:23:58 +0000 Josh Soref 

	* spelling: settings

2016-06-07 21:23:20 +0000 Josh Soref 

	* spelling: services

2016-06-07 21:23:10 +0000 Josh Soref 

	* spelling: sequences

2016-06-07 21:22:57 +0000 Josh Soref 

	* spelling: separator

2016-06-07 21:22:45 +0000 Josh Soref 

	* spelling: separate

2016-06-07 21:22:30 +0000 Josh Soref 

	* spelling: selection

2016-06-07 21:20:38 +0000 Josh Soref 

	* spelling: second

2016-06-07 21:22:09 +0000 Josh Soref 

	* spelling: searching

2016-06-07 21:21:22 +0000 Josh Soref 

	* spelling: search

2016-06-07 21:20:19 +0000 Josh Soref 

	* spelling: scroll

2016-06-07 21:18:36 +0000 Josh Soref 

	* spelling: resource

2016-06-07 21:18:20 +0000 Josh Soref 

	* spelling: representation

2016-06-07 21:18:08 +0000 Josh Soref 

	* spelling: removing

2016-06-07 21:17:58 +0000 Josh Soref 

	* spelling: removable

2016-06-07 21:17:08 +0000 Josh Soref 

	* spelling: remember

2016-06-07 21:15:05 +0000 Josh Soref 

	* spelling: reliable

2016-06-07 21:16:58 +0000 Josh Soref 

	* spelling: relevant

2016-06-07 21:16:33 +0000 Josh Soref 

	* spelling: releasename

2016-06-07 21:16:01 +0000 Josh Soref 

	* spelling: refresh

2016-06-07 21:15:50 +0000 Josh Soref 

	* spelling: referring

2016-06-07 21:15:26 +0000 Josh Soref 

	* spelling: redisplaying

2016-06-07 21:12:44 +0000 Josh Soref 

	* spelling: property sheet

2016-06-07 21:12:18 +0000 Josh Soref 

	* spelling: pronounceable

2016-06-07 21:11:16 +0000 Josh Soref 

	* spelling: protected

2016-06-07 21:13:31 +0000 Josh Soref 

	* spelling: pointers

2016-06-07 21:11:02 +0000 Josh Soref 

	* spelling: preferences

2016-06-07 21:10:24 +0000 Josh Soref 

	* spelling: policy

2016-06-07 21:07:58 +0000 Josh Soref 

	* spelling: overridden

2016-06-07 21:07:17 +0000 Josh Soref 

	* spelling: ourselves

2016-06-07 21:06:48 +0000 Josh Soref 

	* spelling: original

2016-06-07 21:05:28 +0000 Josh Soref 

	* spelling: opposed

2016-06-07 21:03:06 +0000 Josh Soref 

	* spelling: omit

2016-06-07 20:43:44 +0000 Josh Soref 

	* spelling: of

2016-06-07 21:02:30 +0000 Josh Soref 

	* spelling: obsolescence

2016-06-07 21:01:45 +0000 Josh Soref 

	* spelling: number

2016-06-07 21:01:11 +0000 Josh Soref 

	* spelling: notifying

2016-06-07 21:01:23 +0000 Josh Soref 

	* spelling: notifications

2016-06-07 20:59:27 +0000 Josh Soref 

	* spelling: no longer

2016-06-07 20:56:50 +0000 Josh Soref 

	* spelling: necessary

2016-06-07 20:56:30 +0000 Josh Soref 

	* spelling: necessarily

2016-06-07 20:54:54 +0000 Josh Soref 

	* spelling: multiple

2016-06-07 20:53:56 +0000 Josh Soref 

	* spelling: monotonically

2016-06-07 20:53:43 +0000 Josh Soref 

	* spelling: modifiers

2016-06-07 20:53:33 +0000 Josh Soref 

	* spelling: modified

2016-06-07 20:52:00 +0000 Josh Soref 

	* spelling: modifications

2016-06-07 20:52:22 +0000 Josh Soref 

	* spelling: minimize

2016-06-07 20:51:39 +0000 Josh Soref 

	* spelling: message

2016-06-07 20:50:00 +0000 Josh Soref 

	* spelling: manipulate

2016-06-07 20:50:22 +0000 Josh Soref 

	* spelling: mandatory

2016-06-07 20:50:37 +0000 Josh Soref 

	* spelling: manage

2016-06-07 20:48:22 +0000 Josh Soref 

	* spelling: library

2016-06-07 20:47:13 +0000 Josh Soref 

	* spelling: languages

2016-06-07 20:47:23 +0000 Josh Soref 

	* spelling: language

2016-06-07 19:59:27 +0000 Josh Soref 

	* spelling: keycode

2016-06-07 20:46:19 +0000 Josh Soref 

	* spelling: keyboard

2016-06-07 21:17:27 +0000 Josh Soref 

	* spelling: its

2016-06-07 20:43:18 +0000 Josh Soref 

	* spelling: item

2016-06-07 20:42:46 +0000 Josh Soref 

	* spelling: issue

2016-06-07 20:42:21 +0000 Josh Soref 

	* spelling: involve

2016-06-07 20:42:10 +0000 Josh Soref 

	* spelling: invocation

2016-06-07 20:41:39 +0000 Josh Soref 

	* spelling: intention

2016-06-07 20:41:15 +0000 Josh Soref 

	* spelling: interrupted

2016-06-07 20:40:35 +0000 Josh Soref 

	* spelling: interoperability

2016-06-07 20:38:16 +0000 Josh Soref 

	* spelling: in spite

2016-06-07 20:37:52 +0000 Josh Soref 

	* spelling: insensitive

2016-06-07 20:41:53 +0000 Josh Soref 

	* spelling: initial

2016-06-07 20:37:20 +0000 Josh Soref 

	* spelling: infinite

2016-06-07 20:37:10 +0000 Josh Soref 

	* spelling: independent

2016-06-07 20:37:00 +0000 Josh Soref 

	* spelling: independently

2016-06-07 20:36:44 +0000 Josh Soref 

	* spelling: incompatibility

2016-06-07 20:37:40 +0000 Josh Soref 

	* spelling: included

2016-06-07 20:30:50 +0000 Josh Soref 

	* spelling: inaccessible

2016-06-07 20:30:18 +0000 Josh Soref 

	* spelling: implements

2016-06-07 20:30:32 +0000 Josh Soref 

	* spelling: implementation

2016-06-07 20:29:51 +0000 Josh Soref 

	* spelling: ignoring

2016-06-07 20:29:11 +0000 Josh Soref 

	* spelling: ifdef

2016-06-07 20:28:11 +0000 Josh Soref 

	* spelling: html

2016-06-07 20:27:15 +0000 Josh Soref 

	* spelling: history

2016-06-07 20:26:59 +0000 Josh Soref 

	* spelling: highlights

2016-06-07 20:26:43 +0000 Josh Soref 

	* spelling: highlight

2016-06-07 20:26:18 +0000 Josh Soref 

	* spelling: hierarchy

2016-06-07 20:25:34 +0000 Josh Soref 

	* spelling: hierarchical

2016-06-07 20:56:13 +0000 Josh Soref 

	* spelling: header

2016-06-07 20:25:00 +0000 Josh Soref 

	* spelling: happened

2016-06-07 20:24:23 +0000 Josh Soref 

	* spelling: groups

2016-06-07 20:19:48 +0000 Josh Soref 

	* spelling: function

2016-06-07 20:17:11 +0000 Josh Soref 

	* spelling: following

2016-06-07 20:15:41 +0000 Josh Soref 

	* spelling: fide

2016-06-07 20:07:42 +0000 Josh Soref 

	* spelling: fallthrough

2016-06-07 20:07:22 +0000 Josh Soref 

	* spelling: facility

2016-06-07 20:06:23 +0000 Josh Soref 

	* spelling: export

2016-06-07 20:06:11 +0000 Josh Soref 

	* spelling: explorer

2016-06-07 20:06:43 +0000 Josh Soref 

	* spelling: expired

2016-06-07 20:05:58 +0000 Josh Soref 

	* spelling: exclusive

2016-06-07 20:05:27 +0000 Josh Soref 

	* spelling: every time

2016-06-07 20:04:53 +0000 Josh Soref 

	* spelling: equivalent

2016-06-07 20:04:29 +0000 Josh Soref 

	* spelling: equivalents

2016-06-07 20:04:05 +0000 Josh Soref 

	* spelling: environmental

2016-06-09 01:27:54 +0000 Josh Soref 

	* spelling: English

2016-06-07 20:00:47 +0000 Josh Soref 

	* spelling: endianness

2016-06-07 20:00:23 +0000 Josh Soref 

	* spelling: encrypted

2016-06-07 20:00:08 +0000 Josh Soref 

	* spelling: empty

2016-06-07 19:58:23 +0000 Josh Soref 

	* spelling: effective

2016-06-07 19:53:16 +0000 Josh Soref 

	* spelling: Dreggors

2016-06-07 19:52:20 +0000 Josh Soref 

	* spelling: dragging

2016-06-07 19:51:06 +0000 Josh Soref 

	* spelling: do not

2016-06-07 19:50:34 +0000 Josh Soref 

	* spelling: documentation

2016-06-07 19:49:55 +0000 Josh Soref 

	* spelling: divisible

2016-06-07 19:49:32 +0000 Josh Soref 

	* spelling: display

2016-06-07 19:49:21 +0000 Josh Soref 

	* spelling: displayed

2016-06-07 19:49:09 +0000 Josh Soref 

	* spelling: disabled

2016-06-07 19:48:58 +0000 Josh Soref 

	* spelling: directory

2016-06-07 19:48:44 +0000 Josh Soref 

	* spelling: dimension

2016-06-07 19:48:32 +0000 Josh Soref 

	* spelling: disabled

2016-06-07 19:48:22 +0000 Josh Soref 

	* spelling: dialog

2016-06-07 19:48:02 +0000 Josh Soref 

	* spelling: destination

2016-06-07 19:47:41 +0000 Josh Soref 

	* spelling: depending

2016-06-07 19:45:49 +0000 Josh Soref 

	* spelling: default

2016-06-07 19:45:32 +0000 Josh Soref 

	* spelling: decryption

2016-06-07 19:44:17 +0000 Josh Soref 

	* spelling: dialog

2016-06-07 19:43:35 +0000 Josh Soref 

	* spelling: current

2016-06-07 19:43:20 +0000 Josh Soref 

	* spelling: currently

2016-06-07 19:42:39 +0000 Josh Soref 

	* spelling: cryptographic

2016-06-07 19:42:23 +0000 Josh Soref 

	* spelling: criterion

2016-06-07 19:39:53 +0000 Josh Soref 

	* spelling: corresponding

2016-06-07 19:40:06 +0000 Josh Soref 

	* spelling: correctly

2016-06-07 19:40:16 +0000 Josh Soref 

	* spelling: correct

2016-06-07 21:05:57 +0000 Josh Soref 

	* spelling: coords

2016-06-07 19:39:21 +0000 Josh Soref 

	* spelling: containing

2016-06-07 19:37:00 +0000 Josh Soref 

	* spelling: configure

2016-06-07 19:39:09 +0000 Josh Soref 

	* spelling: confirm

2016-06-07 19:38:22 +0000 Josh Soref 

	* spelling: compiler

2016-06-07 19:38:10 +0000 Josh Soref 

	* spelling: comparison

2016-06-07 19:37:27 +0000 Josh Soref 

	* spelling: column

2016-06-07 19:36:19 +0000 Josh Soref 

	* spelling: change

2016-06-07 19:36:02 +0000 Josh Soref 

	* spelling: character

2016-06-07 19:34:54 +0000 Josh Soref 

	* spelling: catalog

2016-06-07 19:32:02 +0000 Josh Soref 

	* spelling: carriage

2016-06-07 19:31:36 +0000 Josh Soref 

	* spelling: canonically

2016-06-07 19:27:55 +0000 Josh Soref 

	* spelling: between

2016-06-07 19:27:44 +0000 Josh Soref 

	* spelling: better

2016-06-07 19:27:31 +0000 Josh Soref 

	* spelling: beginning

2016-06-07 19:27:01 +0000 Josh Soref 

	* spelling: backup

2016-06-07 19:26:34 +0000 Josh Soref 

	* spelling: available

2016-06-07 19:26:05 +0000 Josh Soref 

	* spelling: autotype

2016-06-07 19:24:53 +0000 Josh Soref 

	* spelling: at least

2016-06-07 19:24:14 +0000 Josh Soref 

	* spelling: assert

2016-06-07 19:23:50 +0000 Josh Soref 

	* spelling: arrows

2016-06-07 19:19:45 +0000 Josh Soref 

	* spelling: although

2016-06-07 19:19:00 +0000 Josh Soref 

	* spelling: algorithm

2016-06-07 19:18:15 +0000 Josh Soref 

	* spelling: alt

2016-06-07 19:18:04 +0000 Josh Soref 

	* spelling: already

2016-06-07 19:17:21 +0000 Josh Soref 

	* spelling: aligns

2016-06-07 19:11:31 +0000 Josh Soref 

	* spelling: afghanistan

2016-06-07 19:10:34 +0000 Josh Soref 

	* spelling: advanced

2016-06-07 19:08:48 +0000 Josh Soref 

	* spelling: additional

2016-06-07 19:08:39 +0000 Josh Soref 

	* spelling: addition

2016-06-06 22:07:20 +0300 ronys 

	* wx - working on statusbar

2016-06-06 07:28:03 +0300 ronys 

	* wx: Started adding a status bar

2016-06-05 20:03:30 +0300 ronys 

	* wx refactor: move stuff to mainView.cpp

2016-06-05 19:41:30 +0300 ronys 

	* Mock-fill PasswordSafeFrame::OnShowAllExpiryClick()

2016-06-04 10:27:41 +0300 ronys 

	* gh105: add Show entries w/expiry in wx

2016-06-06 07:08:03 +0300 ronys 

	* (very) minor cleanup

2016-06-04 21:26:07 +0300 ronys 

	* typo in README.CMAKE.txt

2016-06-04 11:00:15 +0300 ronys 

	* Added Cmake README

2016-06-03 07:32:00 +0300 ronys 

	* Refactor RUELists from close dups under ui to core.

2016-06-02 21:05:47 +0300 ronys 

	* wx: _T("") -> wxEmptyString

2016-06-01 21:35:19 +0300 ronys 

	* CMake: Windows helpfiles

2016-06-01 17:34:17 +0300 ronys 

	* CMake fix Linux breakage

2016-06-01 07:18:15 +0300 ronys 

	* CMake for wx on Windows

2016-05-29 21:59:51 +0300 ronys 

	* Shutup silly compiler warning

2016-05-28 11:34:00 +0300 ronys 

	* Started cmake support for wx under Windows

2016-05-27 19:35:40 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-05-27 14:14:04 +0300 ronys 

	* Fixed github issue #53

2016-05-24 19:36:42 +0300 ronys 

	* Merge pull request #104 from JaquesBoum/patch-1

2016-05-24 15:11:59 +0200 JaquesBoum 

	* Update pwsafeDE.hhc

2016-05-21 22:32:52 +0300 ronys 

	* Packaging fixes

2016-05-21 22:31:13 +0300 ronys 

	* Fix changelog.Debian format for Lintian

2016-05-21 14:46:59 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-05-21 13:55:09 +0300 ronys 

	* Lintian cleanup

2016-05-21 13:06:18 +0300 ronys 

	* Merge pull request #103 from sauravg/master

2016-05-21 14:38:06 +0530 Saurav Ghosh 

	* Fix osx builds done using Xcode

2016-05-18 21:00:12 +0300 ronys 

	* Tweak German install text, thanks to P. Lang

2016-05-14 19:57:27 +0300 ronys 

	* Merge pull request #102 from Jochen-A-Fuerbacher/master

2016-05-14 09:00:04 +0200 Jochen A. Fürbacher 

	* Included space in German translation.

2016-05-13 10:32:50 +0300 ronys 

	* Another German typo, thanks to Alex K.

2016-05-10 22:19:21 +0300 ronys 

	* Github issue #59: Hide read-only checkbox when appropriate (Windows)

2016-05-05 07:39:16 +0300 ronys 

	* Merge pull request #100 from neuralshock/pwsafe-mac-build

2016-05-04 22:45:22 +0300 ronys 

	* Removed unused variable

2016-05-04 22:23:42 +0300 ronys 

	* nit

2016-05-04 21:52:45 +0300 ronys 

	* Merge pull request #99 from c-273/master

2016-05-04 18:59:22 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-05-04 18:58:39 +0100 c-273 

	* Support D&D of empty groups between instances New function designed so that prior release will be unaffected by the new information sent via D&D

2016-05-04 18:39:32 +0300 ronys 

	* Merge pull request #98 from Jochen-A-Fuerbacher/master

2016-05-04 15:31:17 +0200 Jochen A. Fürbacher 

	* Fixed typo in German translation.

2016-05-02 21:35:14 +0300 ronys 

	* cmake windows: I18N functional

2016-05-01 07:22:38 +0300 ronys 

	* cmake windows: I18N WiP

2016-04-28 18:18:58 +0300 ronys 

	* cmake windows clean build of debug and release

2016-04-28 09:08:30 +0100 neuralshock 

	* Link CoreFoundation framework in test module

2016-04-28 09:23:02 +0300 ronys 

	* Merge pull request #97 from Sp1l/0.98.1-FreeBSD

2016-04-26 23:10:00 +0200 Bernard Spil 

	* Conditionally replace prctl with procctl/setrlimit on FreeBSD

2016-04-26 23:08:17 +0200 Bernard Spil 

	* Use more fool-proof way of detecting HOST_NAME_MAX

2016-04-26 23:07:10 +0200 Bernard Spil 

	* Don't overwrite CC/CXX when already set in Make env

2016-04-26 23:04:33 +0200 Bernard Spil 

	* More FreeBSD fixes

2016-04-26 22:15:03 +0200 Bernard Spil 

	* Merge 0.98.1 Makefile changes into Makefile.freebsd

2016-04-26 21:59:49 +0200 Bernard Spil 

	* Rename src/os/linux to src/os/unix

2016-04-25 22:30:16 +0300 ronys 

	* cmake windows: work on I18N

2016-04-22 17:06:23 +0300 ronys 

	* Merge pull request #96 from c-273/master

2016-04-22 13:53:26 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-04-22 13:51:31 +0100 c-273 

	* Implement FR806

2016-04-22 12:58:50 +0100 c-273 

	* Ignore another VS2015 file

2016-04-21 23:02:54 +0300 ronys 

	* cmake windows: create version.h files for os/windows/pws_*

2016-04-21 22:20:50 +0300 ronys 

	* removed version.h from windows cmake

2016-04-21 13:49:32 +0100 c-273 

	* Fix BR 1334

2016-04-20 22:14:12 +0300 ronys 

	* cmake windows - work on version.h

2016-04-19 22:20:00 +0300 ronys 

	* cmake windows: Put Tools under Tools folder

2016-04-19 22:06:15 +0300 ronys 

	* cmake windows: Added I18N tools

2016-04-19 20:46:33 +0300 ronys 

	* cmake/windows

2016-04-19 20:17:53 +0300 ronys 

	* More cmake/windows work

2016-04-16 21:25:28 +0300 ronys 

	* Cmake: Start working on i18n build support

2016-04-15 13:17:53 +0300 ronys 

	* CMake build compiles Windows version correctly

2016-04-13 22:26:58 +0300 ronys 

	* Remove wrong libs for Windows cmake link

2016-04-13 21:59:47 +0300 ronys 

	* Removed obsolete files

2016-04-13 21:27:20 +0300 ronys 

	* Windows cmake coretest passes

2016-04-12 22:10:12 +0300 ronys 

	* More work on Windows Cmake

2016-04-11 21:35:21 +0300 ronys 

	* Start Windows cmake support

2016-04-05 21:52:58 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-04-05 21:50:32 +0300 ronys 

	* Support wx version change between Ubuntu 14 and 15 under cmake

2016-04-05 21:08:31 +0300 ronys 

	* Merge pull request #94 from bblough/link_fix

2016-04-05 13:39:56 -0400 Bill Blough 

	* Patch from Ubuntu to fix link failure when built with -Wl,--as-needed

2016-04-04 20:49:26 +0300 ronys 

	* v4 time fixed on 32bit Linux

2016-04-03 20:22:17 +0300 ronys 

	* Merge pull request #93 from bblough/gmtime_fix

2016-04-02 15:46:29 -0400 Bill Blough 

	* Logic mismatch between gmtime64_r/gmtime_r and gmtime64_s     gmtime_r returns pointer to struct on success or NULL on error

2016-03-31 22:51:16 +0300 ronys 

	* Help files now added to cmake-generated packages

2016-03-31 22:10:09 +0300 ronys 

	* Merge pull request #91 from c-273/master

2016-03-28 12:50:13 +0100 c-273 

	* Make Xerces 3.1.3 the default for wxWidgets under Windows - no source changes required.

2016-03-28 08:33:06 +0100 c-273 

	* Fix wxWidgets compile error after update for rename of empty groups However, code here could probably be made better by using new EG_RENAMEPATH.

2016-03-28 08:08:02 +0100 c-273 

	* Make Windows and wxWidgets pre-build scripts the same (Windows was latest) However, still doesn't update new variables and so version.h created manually

2016-03-27 14:27:39 +0100 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-03-21 13:32:19 +0000 c-273 

	* When renaming a group, all empty subgroups are now correctly renamed

2016-03-18 21:22:38 +0200 ronys 

	* Merge pull request #87 from sauravg/master

2016-03-19 00:27:34 +0530 Saurav Ghosh 

	* Fix CMake builds on osx by not explicitly linking with libuuid

2016-03-18 23:44:54 +0530 Saurav Ghosh 

	* Fix typo in CMakeLists.txt: NOT_XML => NO_XML

2016-03-16 19:28:59 +0200 ronys 

	* Merge pull request #86 from yopito/issue85

2016-03-16 17:41:58 +0100 yopito 

	* cmake: Help on non-standard wxWidgets installation: hint on use of wx-config from command-line.

2016-03-16 17:28:56 +0100 yopito 

	* cmake: remove wxWidgets Win32 specific from a non win32 section.

2016-03-14 18:44:19 +0200 ronys 

	* Merge pull request #84 from c-273/master

2016-03-13 09:09:35 +0000 c-273 

	* Implement FR to list entries using a Named Password Policy from the Manage Password Policies dialog (right click on the name).

2016-03-11 20:09:03 +0000 c-273 

	* Ensure named password policies are exported to XML when the full DB is exported

2016-03-11 17:55:34 +0200 ronys 

	* Merge pull request #82 from c-273/master

2016-03-11 11:52:11 +0000 c-273 

	* Ignore temporary VS2015 file

2016-03-11 11:43:16 +0000 c-273 

	* Fix BR1330

2016-03-09 22:13:39 +0200 ronys 

	* Merge pull request #81 from vovkasm/pull/fix-compilation-on-mac

2016-03-09 09:42:58 +0300 Vladimir Timofeev 

	* Update to recommended Xcode settings.

2016-03-09 09:39:58 +0300 Vladimir Timofeev 

	* Add empty implementation of pws_os::GetMediaType.

2016-02-02 09:48:11 +0300 Vladimir Timofeev 

	* Add new files to Xcode project.

2016-03-08 22:34:05 +0200 ronys 

	* gtest build products moved to obj directory

2016-03-08 22:11:35 +0200 ronys 

	* Fixed broken Linux Makefile-based build

2016-03-07 19:08:47 +0200 ronys 

	* html fix

2016-03-07 19:04:31 +0200 ronys 

	* Complete 3.38.3 version number boost

2016-03-07 19:01:25 +0200 ronys 

	* Merge pull request #80 from c-273/master

2016-03-07 15:58:16 +0000 c-273 

	* Re-do BR 1319 and tidy-up ReleaseNotes.html (and make consistent)

2016-03-07 15:40:02 +0000 c-273 

	* Bump version to 3.38.3

2016-03-05 22:54:02 +0200 ronys 

	* Bump Linux/wx release to 0.98.1 (tag: 0.98.1BETA)

2016-03-05 22:39:19 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-03-05 22:36:24 +0200 ronys 

	* Fixed nit in Linux sf_uploads

2016-03-05 22:17:19 +0200 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2016-03-05 18:01:05 +0200 ronys 

	* Merge pull request #78 from sauravg/master

2016-03-04 11:09:38 +0530 saurav 

	* Fix autotype for level3+ keysyms: German Autotype Fix

2016-03-02 20:28:41 +0200 ronys 

	* Added Password History Test

2016-02-29 20:56:23 +0200 ronys 

	* Fixed small typo in format docs

2016-02-28 07:58:45 +0200 ronys 

	* Merge pull request #77 from bblough/gtest_make

2016-02-27 21:23:31 -0500 Bill Blough 

	* gtest-related makefile enhancements: * Automatically build gtest lib in-tree during build (instead of     requiring it be manually built beforehand) * Allow test build/run for release builds * Add test dir to top-level clean targets

2016-02-27 19:46:46 -0500 Bill Blough 

	* Merge remote-tracking branch 'origin/master' into debian-fhs-patch

2016-02-27 20:34:28 +0200 ronys 

	* Added 2factor and credit card specific entry fields in v3 and v4

2016-02-27 18:44:10 +0200 ronys 

	* Tweak V3 and V4 format documents

2016-02-24 22:28:29 +0200 ronys 

	* Added setup-deb-dev-env.sh convenience script

2016-02-20 21:28:38 +0200 ronys 

	* Merge pull request #74 from c-273/master

2016-02-19 21:16:29 +0000 c-273 

	* Prevent double click on CRichEditExtn doesn't include trailing white space

2016-02-17 20:36:22 +0200 ronys 

	* Fixed regression for unknow field support

2016-02-17 18:56:00 +0200 ronys 

	* Added FileV3Test.UnknownPersistencyTest

2016-02-16 21:06:19 +0200 ronys 

	* Remove barely used typedefs

2016-02-16 20:21:54 +0200 ronys 

	* Start cleaning up unknown field handling

2016-02-16 18:45:01 +0200 ronys 

	* Cleanup failed debug attempt

2016-02-16 18:41:16 +0200 ronys 

	* Coretest passes valgrind cleanly

2016-02-15 19:18:44 +0200 ronys 

	* Fixed typo in relnotes (tag: 3.38.2)

2016-02-15 19:07:43 +0200 ronys 

	* Bump version in Makefile.windows

2016-02-15 18:29:23 +0200 ronys 

	* BR1326 - Fixed entry corruption upon lock/unlock with open entry

2016-02-15 18:08:14 +0200 ronys 

	* Cleanups

2016-02-14 22:27:10 +0200 ronys 

	* cleanup

2016-02-13 22:12:16 +0200 ronys 

	* Cleanups

2016-02-11 21:46:01 +0200 ronys 

	* Simplify CItem/CItemField in-memory encryption

2016-02-11 21:08:02 +0200 ronys 

	* Minor cleanup

2016-02-09 20:36:14 +0200 ronys 

	* Sign nsis installer executable

2016-02-09 20:02:00 +0200 ronys 

	* Merge pull request #72 from sauravg/master

2016-02-09 19:31:47 +0200 ronys 

	* Merge pull request #71 from c-273/master

2016-02-09 16:40:39 +0530 saurav 

	* Simpler, faster and more accurate wchar => keysym map

2016-02-09 09:45:32 +0000 c-273 

	* Fix BR 1319

2016-02-08 18:49:20 +0200 ronys 

	* Uniform use of new member initializer

2016-02-08 18:39:43 +0200 ronys 

	* Try to detect use-after-delete in debug build

2016-02-07 19:00:06 +0200 ronys 

	* Protect against use-after-free of CItem

2016-02-07 18:38:43 +0200 ronys 

	* Minor cleanups and refactoring

2016-02-07 15:38:25 +0200 ronys 

	* Apply function overloading to internal pull() in CitemData

2016-02-07 15:17:59 +0200 ronys 

	* Cleanup - use templae function internally in ItemData.cpp

2016-02-02 21:23:59 +0200 ronys 

	* Merge pull request #69 from mrueg/fix-yubikey

2016-02-02 19:42:07 +0100 Manuel Rüger 

	* Fix cmake build on Linux with yubikey lib

2016-02-02 18:37:55 +0200 ronys 

	* Merge pull request #68 from c-273/master

2016-02-02 08:06:01 +0000 c-273 

	* Fix saving current (V3 or V4) DB after previously exporting to V1 or V2 format Incorrectly calculating file signature causing issue creating intermediate backup

2016-02-02 07:42:33 +0200 ronys 

	* Merge pull request #67 from vovkasm/fix-linux-cmake-build

2016-02-02 07:41:21 +0200 ronys 

	* Merge pull request #66 from c-273/master

2016-01-29 02:44:12 +0300 Vladimir Timofeev 

	* Fix cmake build on Linux without yubikey lib (NO_YUBI option)

2016-01-28 09:03:55 +0000 c-273 

	* Bump version to 3.38.2 & update Release Notes for previous fix

2016-01-28 08:49:53 +0000 c-273 

	* Fix non-display of protect tooltip in wide Add/Edit Basic dialog

2016-01-22 08:12:10 +0200 ronys 

	* Merge pull request #65 from jeffsf/ticket-1321

2016-01-21 14:42:01 -0800 Jeff Kletsky 

	* Fix errors in ::GetFileTimes

2016-01-19 21:46:21 +0200 ronys 

	* Merge pull request #64 from sauravg/master (tag: 3.38.1, tag: 0.98BETA)

2016-01-19 17:40:56 +0530 saurav 

	* Fix cli build

2016-01-19 01:17:54 +0200 ronys 

	* Merge pull request #63 from c-273/master

2016-01-18 22:13:41 +0000 c-273 

	* Fix D&D involving Empty Groups

2016-01-17 19:04:52 +0200 ronys 

	* Merge pull request #62 from c-273/master

2016-01-17 13:22:20 +0000 c-273 

	* Ensure Tree view refreshed when adding a new Empty group

2016-01-17 13:10:09 +0000 c-273 

	* More fixes with Empty Groups (Add & Duplicate)

2016-01-14 09:14:04 +0200 ronys 

	* Merge pull request #61 from c-273/master

2016-01-13 22:35:05 +0000 c-273 

	* Fix BR1312

2016-01-13 22:56:15 +0200 ronys 

	* wx: Recent files in correct place in File menu

2016-01-13 22:50:26 +0200 ronys 

	* wx: Don't assert when exiting with empty MRUList

2016-01-13 22:41:40 +0200 ronys 

	* Linux issue 52: "Recent Databases on Menu" preference works

2016-01-12 19:50:20 +0200 ronys 

	* Merge pull request #60 from c-273/master

2016-01-12 12:39:50 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-01-12 12:38:46 +0000 c-273 

	* Fix duplicate of empty group not showing as empty

2016-01-12 07:43:25 +0200 ronys 

	* Merge pull request #58 from c-273/master

2016-01-11 22:00:49 +0000 c-273 

	* Implement FR797

2016-01-11 21:53:44 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-01-11 23:15:39 +0200 ronys 

	* Fixes related to empty groups

2016-01-11 22:43:06 +0200 ronys 

	* Merge pull request #57 from c-273/master

2016-01-11 20:22:29 +0000 c-273 

	* Merge remote-tracking branch 'upstream/master'

2016-01-11 20:22:10 +0000 c-273 

	* Fix BR 1057

2016-01-11 20:10:45 +0200 ronys 

	* Merge pull request #56 from c-273/master

2016-01-11 17:38:22 +0000 c-273 

	* Update comments but can't see how BR 1303 happens

2016-01-11 16:02:11 +0000 c-273 

	* Fix BR 1300 - so minor no need to update Release Notes but only to close the ticket!

2016-01-11 15:17:09 +0000 c-273 

	* Fix BR1295

2016-01-11 14:09:28 +0000 c-273 

	* Fix BR1306

2016-01-10 21:44:40 +0200 ronys 

	* document fixes in 3.38.1

2016-01-09 21:12:40 +0300 Andrey Kuznetsov 

	* Enable /swaprun options in MFC build to prevent crashes on network failure when pwsafe started from network location

2016-01-09 23:01:13 +0200 ronys 

	* Changing an entry to an Alias via GUI works now

2016-01-09 10:06:32 +0200 ronys 

	* Core file-related fixes

2016-01-08 17:39:38 +0200 ronys 

	* Copyright update: year + email

2016-01-08 14:28:54 +0200 ronys 

	* Respect read-only in attachment tab

2016-01-08 14:16:33 +0200 ronys 

	* Insist user attaches an existing file

2016-01-08 14:12:17 +0200 ronys 

	* Refactor DboxMain::OnToolBarFindReport() using C++11 features

2016-01-08 14:03:17 +0200 ronys 

	* Fixed copy/paste error in DboxMain::OnToolBarFindReport()

2016-01-08 13:59:02 +0200 ronys 

	* Add textual attachemnt fields to FindAll's search

2016-01-08 13:46:59 +0200 ronys 

	* Filename search respects case-sensistivity

2016-01-08 13:37:46 +0200 ronys 

	* Refactor AdvancedDlg using C++11 features

2016-01-08 12:41:14 +0200 ronys 

	* Advanced dialog tweak re attachments

2016-01-08 10:11:20 +0200 ronys 

	* Search report issue fixed

2016-01-06 22:13:11 +0200 ronys 

	* Merge pull request #51 from pm-kan/pull-requests

2016-01-06 22:07:38 +0200 ronys 

	* Fixed crash in Windows advanced find Reset action

2016-01-06 22:31:05 +0300 Andrey Kuznetsov 

	* Updated C::B project

2016-01-06 21:46:10 +0300 Andrey Kuznetsov 

	* Sync. images in Russian help

2016-01-06 21:32:46 +0300 Andrey Kuznetsov 

	* Updates for SlackBuild: - changed package name to passwordsafe (as in Debian script) - updated description text to install/description.txt

2016-01-06 21:31:25 +0300 Andrey Kuznetsov 

	* Fix few warnings about non-const strings

2016-01-06 21:30:27 +0300 Andrey Kuznetsov 

	* No need to translate default file name

2016-01-06 21:23:17 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX)

2016-01-05 18:58:02 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2016-01-05 18:56:14 +0200 ronys 

	* French translations for 3.38, thanks to Francois

2015-12-29 23:20:53 +0200 ronys 

	* Version 3.38 loses "pre" (tag: 3.38)

2015-12-28 19:19:51 +0200 ronys 

	* Followup on last commit for wx ui

2015-12-27 22:28:54 +0200 ronys 

	* Pass base uuid to command

2015-12-27 20:44:29 +0200 ronys 

	* ImportXML sets BaseUUID in deps

2015-12-26 20:16:17 +0200 ronys 

	* 3.38 Swedish texts from Bjorne

2015-12-23 20:17:13 +0200 ronys 

	* Update po files with v4 texts

2015-12-22 21:42:42 +0200 ronys 

	* Setup 3.38 pre-release

2015-12-21 22:32:10 +0200 ronys 

	* Merge branch 'v4/2015-12-04' into 3.38-prep

2015-12-20 20:03:03 +0200 ronys 

	* BR1266: Fixed Windows 8.1 and later hires display problem

2015-12-18 21:03:14 +0200 ronys 

	* Merge pull request #49 from c-273/v4/2015-12-04 (origin/v4/2015-12-04)

2015-12-18 16:14:10 +0000 c-273 

	* Remove wxWidgets VS2013 project files as now dependent on C++ features supported by VS2015 and later

2015-12-18 16:10:08 +0000 c-273 

	* Update VS2015 files for Hi-res displays as per VS2013

2015-12-17 23:00:03 +0200 ronys 

	* BR1266 - defensive coding around dynamic bitmap load (origin/hires)

2015-12-17 22:43:50 +0200 ronys 

	* Refactor FixBitmapBackground()

2015-12-14 22:11:16 +0200 ronys 

	* try fixing dpi issue on hires Win10

2015-12-14 22:11:16 +0200 ronys 

	* try fixing dpi issue on hires Win10

2015-12-14 22:09:18 +0200 ronys 

	* version.in -> version.h works again under Windows

2015-12-07 21:03:24 +0200 ronys 

	* Update README.LINUX.DEVELOPERS.txt

2015-12-04 17:00:03 +0200 ronys 

	* cmake: Added -fPIC to CXX_FLAGS

2015-12-04 16:35:42 +0200 ronys 

	* cmake: "old" toplevel make works again as well

2015-12-02 20:47:10 +0200 ronys 

	* Applied 79a6106 to formatv4.txt

2015-12-02 19:42:12 +0200 ronys 

	* cmake: Started Windows

2015-12-01 19:41:10 +0200 ronys 

	* cmake: pwsafe-cli builds OK

2015-12-01 19:25:56 +0200 ronys 

	* Added empty pws_os::DisableDumpAttach() for os/Windows

2015-12-01 19:21:26 +0200 ronys 

	* cmake: Added CMakeLists.txt for cli executable

2015-11-30 23:13:51 +0200 ronys 

	* cmake: cleanup

2015-11-30 22:37:06 +0200 ronys 

	* Add pws_os::DisableDumpAttach()

2015-11-29 20:38:24 +0200 ronys 

	* cmake: RPM package built and tested

2015-11-25 19:46:25 +0200 ronys 

	* cmake: Fixed regression in Debian build

2015-11-24 17:37:08 +0200 ronys 

	* cmake: Support NO_XML and adress-sanitize configuration

2015-11-23 19:31:46 +0200 ronys 

	* cmake: Builds correctly on Ubuntu 14.04.3 LTS

2015-11-22 22:30:12 +0200 ronys 

	* cmake: deb package support added

2015-11-20 19:17:24 +0200 ronys 

	* cmake: Added support for wx I18N build

2015-11-20 19:17:03 +0200 ronys 

	* cmake: Make help files be default

2015-11-18 21:02:06 +0200 ronys 

	* cmake: Fix Release build

2015-11-17 07:37:54 +0200 ronys 

	* cmake: Reorganize CMakeLists

2015-11-16 20:35:40 +0200 ronys 

	* cmake: make test works again

2015-11-15 22:30:20 +0200 ronys 

	* cmake: Added 'helpfiles' target for Linux

2015-11-14 22:10:41 +0200 ronys 

	* cmake: "make test" works under CMake build

2015-11-14 20:23:08 +0200 ronys 

	* cmake: Added test

2015-11-11 20:54:08 +0200 ronys 

	* cmake: Generate core_st.{cpp,h} correctly

2015-11-10 21:30:38 +0200 ronys 

	* cmake builds version.h from version.in

2015-11-09 22:22:18 +0200 ronys 

	* First hack at cmake support

2015-11-08 22:27:33 +0200 ronys 

	* Fixed compilation issue on Windows

2015-11-08 22:06:11 +0200 ronys 

	* No implicit version in PWScore::WriteFile()

2015-11-08 21:41:18 +0200 ronys 

	* wx: Fixed assert when saving V4 file

2015-11-08 18:40:38 +0000 c-273 

	* Allow user to export an attachment via main menu or context menu

2015-11-08 14:19:34 +0000 c-273 

	* Ensure V4 DBs are saved as V4 DBs

2015-11-06 12:33:34 +0000 c-273 

	* Re-factor file time code

2015-11-05 18:54:37 +0000 c-273 

	* wxWidgets now builds under Windows VS2015

2015-11-05 18:38:02 +0000 c-273 

	* Change tabs to spaces

2015-11-05 18:39:02 +0200 ronys 

	* Linux builds correctly again

2015-11-05 13:59:37 +0000 c-273 

	* Reduce size of attachment bitset to only searchable values

2015-11-04 22:39:17 +0200 ronys 

	* PWScore::GetAllMediaTypes() returns set<> instead of vector<>

2015-11-04 21:47:11 +0200 ronys 

	* Minor cleanups to attachment filter support

2015-11-04 18:41:12 +0000 c-273 

	* Support XML export/import of filters with attachment criteria Unable to verify wxWidgets builds as nolonger compiles under VS2012

2015-11-04 17:30:42 +0000 c-273 

	* Implement a nicer ComboBox separator Use better call for displaying check-boxes now that MS has fixed their bug

2015-11-04 14:37:18 +0000 c-273 

	* Add support of attachments to filters

2015-11-04 03:50:36 +0000 c-273 

	* Update DB properties to report on number of attachments, if appropriate

2015-11-03 20:04:29 +0200 ronys 

	* V4 file exported to V3 works

2015-11-02 21:50:39 +0200 ronys 

	* Fix CItemData::SetEntryType() alias|shortcut -> normal

2015-11-02 20:51:05 +0200 ronys 

	* Changing an entry's name now keeps attachment

2015-11-02 19:22:38 +0200 ronys 

	* Repair dangling att refs in Validate()

2015-11-01 21:39:30 +0200 ronys 

	* Fixed double dummy declaration

2015-10-31 22:24:15 +0200 ronys 

	* Invalid and duplicate uuids reported correctly

2015-10-31 22:01:19 +0200 ronys 

	* Update header for V3 and later

2015-10-28 17:57:42 +0200 ronys 

	* Fixed CONTENTHMAC value to match doc

2015-10-27 21:31:03 +0200 ronys 

	* Document changes to attachment record

2015-10-26 14:28:05 +0000 c-273 

	* Update attachment tests for new filename & filepath fields

2015-10-25 22:12:21 +0200 ronys 

	* Init oldattachment in CAddEdit_Attachment

2015-10-25 22:09:59 +0200 ronys 

	* Fixed V4 validation logic error

2015-10-25 22:09:16 +0200 ronys 

	* FileV4Test now validates database

2015-10-25 21:46:59 +0200 ronys 

	* Enable PWScore::Validate() to be called from test

2015-10-25 12:55:14 +0000 c-273 

	* Add extra attachment fields to Find Re-order attachment string fields as it affects order in Find

2015-10-24 12:47:40 +0300 ronys 

	* OSTest.cpp now passed on Windows as well

2015-10-24 12:47:20 +0300 ronys 

	* Added OSTest.cpp to coretest-1[124] VS project files

2015-10-23 16:09:49 +0100 c-273 

	* Make attachment field types unique Add attachment file times Save non-image attachments files on Export Ensure ItemData and ItemAtt do not overlap (force compiler error)

2015-10-23 09:39:14 +0100 c-273 

	* Change visual indication of an attachment fro * to +

2015-10-22 19:05:50 +0300 ronys 

	* pws_os::GetMediaType() passes unit test on Linux

2015-10-22 14:05:37 +0100 c-273 

	* Make Windows media.cpp return same value as Linux version if media type can't be found

2015-10-22 13:59:23 +0100 c-273 

	* Make tests more readable by adding a blank line between them. Convert tabs to spaces in KeyWrapTest.cpp (prompted by VS)

2015-10-22 13:51:43 +0100 c-273 

	* Fix coretest memory leaks

2015-10-21 21:22:13 +0300 ronys 

	* linux/media.cpp compiles, still untested

2015-10-21 11:35:08 +0100 c-273 

	* Ensure attachment fields are shown in the UI + minor refactoring Pointers to how orphan attachments happen Minor formatting changes

2015-10-20 21:31:13 +0300 ronys 

	* Added ItemAtt::GetMediaType() + refactor

2015-10-20 18:39:50 +0100 c-273 

	* Implement Find support for attachment filename (Need to fix that Find no longer saves user selection within the same session)

2015-10-20 12:55:14 +0100 c-273 

	* Deal with Toolbar "Save" and PWS version schizophrenia

2015-10-20 12:49:00 +0100 c-273 

	* Add "Has Attachments" to List View

2015-10-20 12:23:42 +0100 c-273 

	* Add visual indicator that entry has an attachment (*) Start of code for comparing DBs with attachments (untested until one available)

2015-10-20 12:22:08 +0100 c-273 

	* Improve attachment validation report messages

2015-10-20 12:20:27 +0100 c-273 

	* Correct previous error, tidy-up and perform more checking

2015-10-19 19:43:21 +0100 c-273 

	* SHow image preview if attachment already present at entry edit

2015-10-19 20:47:29 +0300 ronys 

	* Progress on CAddEdit_Attachment functionality, WiP

2015-10-19 15:50:41 +0100 c-273 

	* Enable File->Save and Manage->Options menu items when a V4 DB is open

2015-10-19 15:46:56 +0100 c-273 

	* Update SaveAs to ensure that the DB version is unchanged for V3 & V4 DBs V1.7 & V2 DBs will continue to be saved as V3 DBs with a warning to the user

2015-10-19 15:05:29 +0100 c-273 

	* Implement pws_os media to obtain a file's media/MIME type Untested on Linux

2015-10-19 15:01:23 +0100 c-273 

	* Support export to all different DB versions

2015-10-18 22:26:31 +0300 ronys 

	* Progress on Windows attachment support

2015-10-18 21:07:24 +0300 ronys 

	* Remove unneeded pause in non-windows coretest

2015-10-18 21:06:02 +0300 ronys 

	* More work on V4 att command interface

2015-10-17 19:59:37 +0300 ronys 

	* Fixed regression in CItemData's Protected field

2015-10-16 16:24:16 +0100 c-273 

	* Tidy up AddEdit_Attachment code

2015-10-16 10:52:50 +0100 c-273 

	* Implement Rony's comments Display Attachment properties Ensure user can't drop file if one already imported

2015-10-15 18:16:59 +0100 c-273 

	* Add D&D of files onto Add/Edit attachments

2015-10-15 18:16:13 +0100 c-273 

	* Reorder some calls in DBoxMain.h - better grouping

2015-10-15 16:34:14 +0100 c-273 

	* Update Add/Edit attachments to preview images Prevent Export from overwriting files without permission Warn user if cancelling add/edit if attachment changed Numerous other 'improvements' Still some TODOs

2015-10-14 09:30:14 +0100 c-273 

	* Correctly clear command history in coretest

2015-10-13 18:38:54 +0100 c-273 

	* Do not allow user option to SaveAs V3 DB as anything other than V3 (SaveAs only allows the filename to be changed not the version). To change the version, the user should export it to the required version.DB.

2015-10-13 19:27:37 +0300 ronys 

	* Cleanup obsolete optimization

2015-10-13 19:06:24 +0300 ronys 

	* html nit for README.WINDOWS.DEVELOPERS.html

2015-10-13 18:53:13 +0300 ronys 

	* Fixed infinite recursion in CItemData::SetXTimeInt(int32)

2015-10-13 13:25:37 +0100 c-273 

	* Fix memory leaks during coretest and Trace output

2015-10-13 13:23:57 +0100 c-273 

	* Add missing header to core project files

2015-10-13 11:24:34 +0100 c-273 

	* Correct calling parameters during DB export (wxWidgets build)

2015-10-13 11:10:50 +0100 c-273 

	* Remove compiler C4512 warnings (for some reason only in Windows wxWidgets build)

2015-10-13 11:09:22 +0100 c-273 

	* Update gtest developer instructions

2015-10-12 21:47:27 +0300 ronys 

	* Refactor Jorge's MakeBlowfish optimization

2015-10-12 20:47:58 +0300 ronys 

	* fix rebase compilation

2015-10-12 20:45:52 +0300 ronys 

	* constify AES "Fish"

2015-10-11 22:25:54 +0300 ronys 

	* Moved Windows-specific gtest instructions

2015-10-11 19:07:42 +0100 c-273 

	* Remove own copy of gtest solution & project files Provide developers with instructions to build gtestd.lib using VS solution file

2015-10-11 16:06:49 +0100 c-273 

	* Minor tweaks to coretest.cpp and note memory leaks

2015-10-11 16:05:40 +0100 c-273 

	* Remove incorrect warning when exporting to a higher DB version

2015-10-11 16:04:58 +0100 c-273 

	* Stop VS2015 compiler warning C4456

2015-10-11 16:02:11 +0100 c-273 

	* Update VS2013 solution & project files

2015-10-11 15:21:11 +0100 c-273 

	* Add VS2015 solution and project files

2015-10-11 15:20:02 +0100 c-273 

	* Add gtest 1.7.0 solution/project files and README

2015-10-11 15:18:16 +0100 c-273 

	* Fix resource file (missing END statement) - causes VS to go into a loop in Resource View

2015-07-05 22:42:51 +0300 ronys 

	* Support attachment in AddEntryCommand

2015-07-04 21:15:31 +0300 ronys 

	* Refine CItemAtt

2015-06-30 20:01:59 +0300 ronys 

	* Started work on FileV4 integration into PWScore

2015-06-30 12:59:14 +0300 ronys 

	* PWSprefs::GetInstance() won't crash under Windows coretest

2015-06-29 21:52:36 +0300 ronys 

	* Read/Write ItemAtt in PWScore (untested)

2015-06-29 19:59:36 +0300 ronys 

	* Finish merge of pre-V3 export support from master

2015-06-27 23:06:38 +0300 ronys 

	* Refine FileV4Test.HdrItemAttTest

2015-06-24 22:48:34 +0300 ronys 

	* Start working on V4 file with data and attachment

2015-06-23 22:05:28 +0300 ronys 

	* Refactored CItemAtt::Read()

2015-06-23 21:33:59 +0300 ronys 

	* CItemAtt Read()/Write() pass unit test

2015-06-23 09:27:33 +0300 ronys 

	* work on  CItemAtt::Read() - WiP

2015-06-22 22:34:58 +0300 ronys 

	* More progress on ItemAtt Read/Write

2015-06-22 17:15:36 +0300 ronys 

	* CItemAtt - write content seems OK, started work on Read.

2015-06-22 10:26:43 +0300 ronys 

	* squash compiler warnings

2015-06-22 06:34:50 +0300 ronys 

	* Picked up where left off

2015-06-21 14:52:31 +0300 ronys 

	* v4/2015-06-20 Linux clean build + unit test OK

2015-06-20 22:16:26 +0300 ronys 

	* Rebase compiles and passes unit tests

2015-03-20 19:52:42 +0100 ronys 

	* Added IV field for Attachments

2015-03-20 17:56:01 +0100 ronys 

	* Tweak V4 format spec

2015-03-19 21:24:30 +0100 ronys 

	* Unit test for CItemAtt read/write - cont.

2015-03-18 20:48:32 +0100 ronys 

	* Unit test for CItemAtt read/write - cont.

2015-03-18 06:50:27 +0100 ronys 

	* Unit test for CItemAdd read/write - cont.

2015-03-17 12:45:36 +0100 ronys 

	* Unit test for CItemAdd read/write started

2015-03-11 21:53:35 +0200 ronys 

	* Moved SetSessionKey from CItemData to CItem

2015-03-11 21:43:09 +0200 ronys 

	* Fixed CItemAtt copy c'tor

2015-03-10 19:40:58 +0100 ronys 

	* Beef up CItemAtt and its unit tests

2015-03-07 19:27:21 +0000 ronys 

	* Adding an attachment in AddEdit works

2015-03-07 16:40:06 +0000 ronys 

	* Removed redundant 'inline'

2015-03-04 19:18:47 +0000 ronys 

	* Don't show att pp for non-V4 databases

2015-03-03 18:53:22 +0000 ronys 

	* Start framework for Att in core

2015-03-03 17:53:57 +0000 ronys 

	* More refactoring of PWScore::ReadFile

2015-03-02 20:29:51 +0000 ronys 

	* Refactored main loop in PWScore::ReadFile

2015-02-28 21:00:31 +0000 ronys 

	* CItemAtt::Imp/Exp passes unit test

2015-02-28 19:33:43 +0000 ronys 

	* Implemented CItemAtt::imp/exp

2015-02-25 20:12:44 +0000 ronys 

	* Adding CItemAtt to Windows build

2015-02-25 19:48:34 +0000 ronys 

	* AddEdit_Attachment works again

2015-02-21 01:24:39 +0200 Rony Shapiro 

	* Added UUID support to CItemAtt

2015-02-21 01:00:05 +0200 Rony Shapiro 

	* Minor cleanup

2015-02-19 17:19:02 +0200 Rony Shapiro 

	* First hack at CItemAtt, using TDD

2015-02-19 13:47:58 +0200 Rony Shapiro 

	* Cleanup warnings in FileV?Test.cpp

2015-02-19 13:14:46 +0200 Rony Shapiro 

	* Update copyright for test files

2015-02-13 17:57:26 +0000 ronys 

	* In V4, all time is 64bit internally

2015-01-05 21:12:03 +0200 ronys 

	* V4 - fixed crash when writing header policy

2015-01-05 20:23:20 +0200 ronys 

	* Cleanup header time last updated V3 write/read

2014-10-18 18:34:22 +0100 ronys 

	* V4 support for multiple passwords

2014-10-14 16:36:00 +0100 ronys 

	* Added V4 Add and Remove KeyBlock methods

2014-10-14 13:13:30 +0300 ronys 

	* 4got Item.cpp in Linux build

2014-10-14 10:41:44 +0100 ronys 

	* Refactor: PWSfile::HeaderRecord -> PWSfileHeader...

2014-10-14 08:48:49 +0100 ronys 

	* Fixed V4 format design bug

2014-10-13 19:31:12 +0100 ronys 

	* Refactor: PWSfile::HashRandom256()

2014-10-13 14:22:34 +0100 ronys 

	* Added unti test for V4 file format

2014-10-12 19:18:54 +0100 ronys 

	* Added ItemTest to FileV3Test

2014-10-12 17:31:31 +0100 ronys 

	* Added Header test to FileV3Test

2014-10-12 15:38:59 +0100 ronys 

	* Added FileV3 unit test

2014-10-12 07:25:23 +0100 ronys 

	* Added stub Attachment propsheet

2014-10-10 21:33:35 +0100 ronys 

	* Created base class CItem for CItemData

2014-10-06 19:36:11 +0100 ronys 

	* v4 coretest ok in with -12

2014-10-05 18:43:00 +0100 ronys 

	* Get v4 dev branch to build after rebase

2014-09-24 12:35:00 +0300 ronys 

	* v4: CreateUUID() no longer has to be after SetShortcut/Alias()

2014-09-23 21:49:15 +0300 ronys 

	* v4/wx: shortcut creation working now

2014-09-22 19:47:43 +0300 ronys 

	* Added CreateShortcutEntry unit test

2014-09-22 18:50:55 +0300 ronys 

	* Get test to build under Linux w/core

2014-09-21 20:16:35 +0100 ronys 

	* Added CommandsTest to test framework

2014-09-21 19:44:37 +0300 ronys 

	* V4 wx refactored shortcuts builds ok, asserts on creating s/c.

2014-09-20 19:45:55 +0100 ronys 

	* v4 Get rid of PWScore::m_*2basemap

2014-09-20 08:18:46 +0100 ronys 

	* v4 - get rid of  GetDependentEntryBaseUUID()

2014-09-19 17:45:07 +0100 ronys 

	* v4 duplicating shortcut entry works

2014-09-19 16:20:38 +0100 ronys 

	* v4 shortcut entries work

2014-09-13 18:09:38 +0100 ronys 

	* Replace runtime assert with static_assert

2014-09-13 16:55:20 +0100 ronys 

	* Changed CItemData::SetField to correct signature

2014-09-07 19:44:31 +0100 ronys 

	* Added minimal test for CItemData::Unknowns

2014-09-06 11:14:01 +0100 ronys 

	* CItemData::[De]Serialize pass unit tests

2014-09-05 21:24:01 +0100 ronys 

	* Added Getters-n-setters unit test for CItemData

2014-09-04 16:24:46 +0100 ronys 

	* Fixed CItemData::CompareFields

2014-09-03 20:03:59 +0100 ronys 

	* coretest links ok again under Windows

2014-09-01 19:28:53 +0300 ronys 

	* Init global test env correctly

2014-09-01 19:21:56 +0300 ronys 

	* test builds under Linux with ItemDataTest

2014-08-29 11:14:46 +0300 ronys 

	* gtest-based unit tests now work on Debian

2014-09-01 16:50:15 +0100 ronys 

	* Coretest links correctly in DebugM

2014-08-31 20:10:34 +0100 ronys 

	* Added Unit Tests for CItemData

2014-08-29 15:49:50 +0100 ronys 

	* Added AES and KeyWrap tests to gtest framework

2014-08-26 17:41:44 +0100 ronys 

	* Add timestamp to attachment record

2014-06-25 21:08:35 +0100 ronys 

	* Different paths for V4 and older CItemData::Write

2014-06-25 19:52:40 +0100 ronys 

	* Refactor sanity check on UUID field

2014-06-25 15:13:29 +0300 ronys 

	* More work on V4 alias/shortcut support

2014-06-25 10:34:33 +0300 ronys 

	* Added PWStime.cpp to Makefile

2014-06-24 19:59:18 +0100 ronys 

	* Start work on V4 alias/shortcut support

2014-06-24 18:24:51 +0100 ronys 

	* Move st_ValidateResults from PWScore.h to .cpp

2014-06-22 20:04:17 +0100 ronys 

	* Work on V4 format: Shortcut and Alias entry types

2014-06-16 04:28:17 +0100 ronys 

	* trivial cleanups to formatV4.txt

2014-06-15 19:45:05 +0100 ronys 

	* V4 now supports named password policies

2014-06-14 17:13:07 +0100 ronys 

	* V4 header: Recently Used Entry uuid represented in binary.

2014-06-13 16:18:04 +0100 ronys 

	* Removed _USE_32BIT_TIME_T preporcessor define from Windows build

2014-06-13 12:32:17 +0100 ronys 

	* V4 header now uses 40 bit time format

2014-06-13 11:02:46 +0100 ronys 

	* Added PWStime utility class

2014-06-12 20:08:45 +0100 ronys 

	* Update V4 format description

2014-06-11 17:09:40 +0100 ronys 

	* squash compiler warnings

2014-06-11 16:26:24 +0100 ronys 

	* V4alpha builds after cleanup commit tree

2014-05-28 21:09:08 +0300 ronys 

	* wx V4_00 builds again after rebase

2013-09-28 17:55:34 +0100 ronys 

	* Mark this as 4.0 ALPHA - both on Windows and wx

2013-10-17 18:27:08 +0100 ronys 

	* Check for write fail @ end of V4 header

2014-02-14 09:26:12 +0000 ronys 

	* Update Windows dev README

2014-03-04 20:31:15 +0000 ronys 

	* Make File->Save save the same version that was read

2014-02-23 20:58:29 +0200 ronys 

	* wx: Write V4 format via File->Export

2014-02-21 18:02:30 +0200 ronys 

	* CItemData::GetTime now works correctly on 64 bit machines

2014-02-21 10:49:43 +0200 ronys 

	* Uniform success/fail return values for gmtime64_r

2014-02-19 17:48:01 +0000 ronys 

	* Fixed new time handling bug

2014-08-29 05:42:29 +0100 ronys 

	* Removed obsolete sln files

2014-08-28 20:22:04 +0100 ronys 

	* Tests build and run under gtest on Windows

2014-08-28 05:34:36 +0100 ronys 

	* Start work on using Google Test in coretest

2014-02-18 20:57:54 +0000 ronys 

	* Keep V3 as the default read/write format version.

2014-01-13 17:05:05 +0000 ronys 

	* nit

2013-12-24 19:42:28 +0000 ronys 

	* Added description of attachment record, typed uuids (developed with Jorge, input from DK)

2013-12-07 19:03:00 +0000 ronys 

	* [1146] Edit button now enabled correctly in Manage->Password Policies. Cherry pick of cherry-pick 863571d

2013-11-19 18:04:43 +0000 ronys 

	* Define passphrase encoding, per Jorge's suggestion

2013-11-14 19:37:06 +0000 ronys 

	* Make code a bit more portable, endian-wise

2013-11-14 18:14:44 +0000 ronys 

	* Password Expiry Interval field is 4 bytes.

2013-11-12 20:00:46 +0200 ronys 

	* V4 time representation OK on 32 bit linux (where sizeof(time_t) == 4), except for gmtime/locatime mixup?

2013-11-12 19:43:01 +0200 ronys 

	* Templatize get/putInt*()

2013-11-10 21:06:24 +0200 ronys 

	* Avoid double fclose(), which for some reason didn't bother Windows

2013-11-10 21:05:36 +0200 ronys 

	* Shutup g++ compiler warning

2013-11-10 15:42:25 +0200 Rony Shapiro 

	* Build Linux version with --std=c++11

2013-11-09 21:33:00 +0000 ronys 

	* Try 40 bit time rep for V4, as well as fixing some implicit little-endian assumptions in ItemData.cpp

2013-11-09 21:32:00 +0000 ronys 

	* templatize get/putInt functions

2013-11-09 20:13:32 +0000 ronys 

	* Use C++11 static asserts, support more int types

2013-10-28 18:10:18 +0100 ronys 

	* V4 time representation redo - WiP

2013-10-28 17:41:58 +0100 ronys 

	* Save V3 and V4 files correctly - for now, not autoconversion

2013-10-26 17:15:09 +0100 ronys 

	* Try opening file as V4 after V3, since Iter may be insane. Need to address this better, e.g., prompt user if iter unreasonable.

2013-10-26 17:13:51 +0100 ronys 

	* Calculate hash over all of a field in V4: tag, length and data, rather than only data.

2013-10-26 16:19:04 +0100 ronys 

	* Pedantry

2013-10-23 18:56:08 +0200 ronys 

	* Clean some g++ warnings

2013-10-22 18:06:57 +0100 ronys 

	* PWSfileV4::CheckPasskey implemented correctly, handle bad passphrase correctly for V4

2013-10-21 19:16:27 +0100 ronys 

	* Can create and read an empty V4 file

2013-10-21 17:38:54 +0100 ronys 

	* Verify endKB

2013-10-20 19:04:42 +0100 ronys 

	* Calculate and write endKB

2013-10-19 18:40:56 +0100 ronys 

	* Finished V3 dyn cast cleanup

2013-10-19 18:07:27 +0100 ronys 

	* Can write and read a single KeyBlock

2013-10-17 19:37:17 +0100 ronys 

	* Tweak V4 format: Removed H(P') from KB, added endKB

2013-07-13 17:15:25 +0100 ronys 

	* Templatize HMAC

2013-07-28 19:16:19 +0100 ronys 

	* Added PBKDF2SHA1Test.h to coretest11 project

2013-10-05 19:35:11 +0100 ronys 

	* Write V4 keyblock

2013-10-05 09:15:55 +0100 ronys 

	* More baby steps towards V4

2013-10-03 19:44:51 +0300 ronys 

	* wx builds now for V4

2013-10-03 17:18:45 +0100 ronys 

	* Cleanup an ugly dyn cast to V3

2013-10-02 19:09:40 +0100 ronys 

	* V3 is now exported to, not default write

2013-10-02 18:11:54 +0100 ronys 

	* V4 header enums refactor

2013-09-30 19:37:04 +0100 ronys 

	* Start V4 format support - bare basics: new suffix, copy of V3, won't work, just compiles.

2013-09-28 18:52:12 +0100 ronys 

	* Started work on V4 format document

2013-07-30 19:43:35 +0100 ronys 

	* PBKDF2 implementation finally passes unit test against RFC6070 test vectors

2013-07-28 19:14:46 +0100 ronys 

	* cleanup

2013-07-15 04:47:52 +0100 ronys 

	* PBKDF2 - 2nd hack - fails unit test

2013-07-14 16:58:33 +0100 ronys 

	* PBKDF2 - 1st hack

2013-07-11 22:51:18 +0300 Rony Shapiro 

	* Added RFC3394 key wrapping + tests.

2013-07-11 14:11:46 +0300 Rony Shapiro 

	* Added AES to Linux build, passes test

2013-07-10 20:53:39 +0100 ronys 

	* AES code added and unit tested

2015-12-05 21:10:41 +0200 ronys 

	* BR1302 - support Ubuntu 14 and 15 prereqs

2015-12-02 20:34:23 +0200 ronys 

	* BR1307 - Fixed description of entry shortcut field in formatv3.txt

2015-12-02 19:21:31 +0200 ronys 

	* Fix Linux endianess detection

2015-12-01 20:28:07 +0200 ronys 

	* Merge pull request #46 from tknarr/fix_silent

2015-12-01 20:09:26 +0200 ronys 

	* Point Linux developers to "official" code repository

2015-11-30 02:01:15 -0800 Todd Knarr 

	* Fix window visibility on initial open, fix showing of system tray icon

2015-11-29 21:34:23 +0200 ronys 

	* Merge pull request #44 from tknarr/linux_systray_icon_colors

2015-11-27 20:48:59 -0800 Todd Knarr 

	* Update color of no/closed safe icon when options window closes

2015-11-27 01:51:40 -0800 Todd Knarr 

	* Issue #43 - system tray icon transparency and selecting color

2015-11-23 18:57:17 +0200 ronys 

	* Linux: Fixed passing LDFLAGS to make causes build to fail #42

2015-11-10 06:59:21 +0200 ronys 

	* Merge pull request #40 from vovkasm/fix-masterpass-field-autofocus-mac

2015-11-10 03:48:24 +0300 Vladimir Timofeev 

	* Fix autofocus on master password field in the startup dialog on Mac.

2015-11-03 18:24:54 +0000 c-273 

	* Fix crash if user tries to drag a filter field out of its ComboBox by re-factoring the use of dynamic ComboBoxes

2015-10-31 20:31:41 +0200 ronys 

	* Merge pull request #32 from vovkasm/fix-sizer-flags

2015-10-31 20:31:08 +0200 ronys 

	* Merge pull request #31 from vovkasm/fix-old-wx

2015-10-31 12:28:24 +0300 Vladimir Timofeev 

	* Modernize old wxWidgets 2.8 APIs

2015-10-31 15:37:48 +0300 Vladimir Timofeev 

	* Fix assertions in sizer code: wxEXPAND conflicts with wxALIGN_* size flags. Use wxEXPAND for layout sizers.

2015-10-30 18:46:13 +0200 ronys 

	* Merge pull request #30 from kainjow/master

2015-10-29 08:53:26 +0000 c-273 

	* Update Windows wxWidgets project files Add preprocessor definition to prevent insecure warnings from base wxWidgets code Remove compiler warning in RecordWriter in PWScore Convert tabs to spaces in TimedTaskChain.cpp *** NOTE *** Windows wxWidgets will no longer build with VS2013 due to TimedTaskChain but does with VS2015 CE

2015-10-29 22:41:51 +0200 ronys 

	* Merge branch 'kainjow-master'

2015-10-29 22:39:20 +0200 ronys 

	* Merge branch 'master' of git://github.com/kainjow/pwsafe into kainjow-master

2015-10-28 21:33:08 -0700 Kevin Wojniak 

	* Xcode: add additional warning flags to 'os' and 'core' targets

2015-10-28 21:32:05 -0700 Kevin Wojniak 

	* Remove unused parameters

2015-10-28 21:30:07 -0700 Kevin Wojniak 

	* Fix comparing integers of different signs

2015-10-28 21:18:56 -0700 Kevin Wojniak 

	* Fix clang warning "format string is not a string literal"

2015-10-28 21:16:01 -0700 Kevin Wojniak 

	* Replace use of __WXCOCOA__ which is not defined from Xcode or wx-config

2015-10-28 21:14:29 -0700 Kevin Wojniak 

	* Fix missing commit from 67b1191

2015-10-28 21:04:26 -0700 Kevin Wojniak 

	* Optimize HTML PNGs

2015-10-28 05:35:17 +0200 ronys 

	* Merge pull request #28 from kainjow/master

2015-10-27 19:17:02 -0700 Kevin Wojniak 

	* Make menu "Visit Password Safe website" functional

2015-10-27 18:03:13 +0200 ronys 

	* Merge pull request #27 from kainjow/master

2015-10-26 22:31:33 -0700 Kevin Wojniak 

	* Xcode: Remove 32-bit build

2015-10-26 22:29:54 -0700 Kevin Wojniak 

	* Xcode: Set deployment value at the project level so it applies to all targets

2015-10-26 22:28:04 -0700 Kevin Wojniak 

	* Xcode: Remove unused QuickTime framework

2015-10-27 07:17:38 +0200 ronys 

	* Merge pull request #26 from kainjow/master

2015-10-26 20:00:54 -0700 Kevin Wojniak 

	* Replace deprecated Carbon functions

2015-10-26 18:07:39 +0200 ronys 

	* Merge pull request #22 from kainjow/master

2015-10-25 15:52:35 -0700 Kevin Wojniak 

	* Fix Xcode help file path

2015-10-25 19:08:07 +0200 ronys 

	* Merge pull request #21 from sauravg/master

2015-10-25 18:15:06 +0530 Saurav Ghosh 

	* Fix a nasty assert on osx

2015-10-25 18:12:29 +0530 Saurav Ghosh 

	* Fix an out-of-bounds array access (bug 1290)

2015-10-24 19:47:06 +0300 ronys 

	* BR1289 - No longer copy generated password to clipboard by default

2015-10-24 18:41:08 +0300 ronys 

	* Minor refactor - use CPWDialog::AddTool()

2015-10-24 18:36:58 +0300 ronys 

	* Bump version to 3.37.2

2015-10-22 18:34:42 +0300 ronys 

	* Merge pull request #19 from sauravg/master

2015-10-22 13:40:21 +0530 Saurav Ghosh 

	* Fix OSX build after fbde754 (add TimedTaskChain.* to sources)

2015-10-20 19:10:37 +0300 ronys 

	* Merge pull request #17 from sauravg/master

2015-10-20 17:43:54 +0530 saurav 

	* Hide/Unhide pwsafe during autotype using timers

2015-10-18 00:21:59 -0400 Bill Blough 

	* update install paths for slackware

2015-10-18 00:17:45 -0400 Bill Blough 

	* update paths for rpm package

2015-10-18 00:11:38 -0400 Bill Blough 

	* Update install paths for deb package

2015-10-15 07:42:13 +0300 ronys 

	* Merge pull request #13 from sauravg/master

2015-10-14 22:05:48 +0530 Saurav Ghosh 

	* Don't hide "find..." menu item while searching

2015-10-14 18:08:48 +0300 ronys 

	* git push origin masterMerge branch 'sauravg-master' BR1193: wx fix focus issue with searchbar

2015-10-14 13:08:57 +0530 saurav 

	* Set focus on search textbox when activated

2015-10-14 13:07:49 +0530 saurav 

	* Link with X11 explicitly on newer Ubuntu releases

2015-10-14 13:05:25 +0530 saurav 

	* Fix CodeLite-based build for platforms having wx3

2015-10-11 20:03:50 +0300 ronys 

	* Fix rpm build process

2015-10-10 12:13:13 +0300 ronys 

	* Merge branch 'jpvasquez-EncryptionChanges'

2015-10-10 12:08:24 +0300 ronys 

	* Some more const-ification in TwoFish internal functions

2015-10-10 12:00:36 +0300 ronys 

	* Get b88f604 to build under Windows

2015-10-10 11:25:10 +0300 ronys 

	* Merge branch 'EncryptionChanges' of git://github.com/jpvasquez/PasswordSafe into jpvasquez-EncryptionChanges

2015-10-10 11:21:38 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2015-10-09 22:24:00 +0300 ronys 

	* Tweak Windows upload-github process (tag: 3.37.1)

2015-10-09 19:25:49 +0100 c-273 

	* Fix invalid dialog control ID in wide mode

2015-10-09 21:25:36 +0300 ronys 

	* wx: Fail gracefully if wxURL isn't in latest version check

2015-10-09 11:35:00 +0300 ronys 

	* Merge branch 'debian-pic-patch' of git://github.com/bblough/pwsafe into bblough-debian-pic-patch (tag: 0.97BETA)

2015-10-05 17:17:30 -0300 Jorge Peixoto Vasquez 

	* Avoids creating and destroying equivalent BlowFish objects for every field

2015-10-01 18:28:36 -0300 Jorge Peixoto Vasquez 

	* Add const markers to functions which do not change object state and remove virtual from leaf functions

2015-10-06 21:12:44 +0300 ronys 

	* Final prep for 3.37 release (tag: 3.37)

2015-10-03 16:27:08 +0100 c-273 

	* BR1054: Expand password in alias's run command.

2015-10-03 15:48:54 +0100 c-273 

	* BR1069: Clarify shortcut/alias exclusiveness

2015-10-03 14:33:05 +0100 c-273 

	* BR1204: Show correct icon color in system tray

2015-10-03 13:16:42 +0100 c-273 

	* Disable redraw in drop-down list

2015-10-02 13:02:52 +0100 c-273 

	* BR1258: Group dropdown box width no longer trucates long group paths.

2015-10-04 19:54:04 +0300 Andrey Kuznetsov 

	* Updates in Russian help and few other fixes

2015-10-04 18:36:33 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (WX)

2015-10-04 17:59:30 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2015-10-02 00:12:13 -0400 Bill Blough 

	* Generate position independent code.  This fixes FTBFS on Debian

2015-10-02 00:09:05 -0400 Bill Blough 

	* Update paths to match where they go in Debian

2015-10-01 22:54:50 +0300 ronys 

	* Fix Linux build breakage from 3b45e53

2015-10-01 21:16:32 +0300 ronys 

	* Fix Windows build breakage from 3b45e53

2015-10-01 16:42:47 +0200 Sp1l 

	* First BETA release for FreeBSD

2015-09-20 21:11:31 +0200 Sp1l 

	* Initial import of FreeBSD bits

2015-10-01 23:09:33 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2015-10-01 23:05:50 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2015-09-29 21:09:50 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2015-09-29 21:05:04 +0300 ronys 

	* BR1276 Change rpm name pwsafe -> passwordsafe

2015-09-28 19:19:15 +0300 ronys 

	* 3.37 Fronch po file from Francois

2015-09-24 23:18:14 +0300 ronys 

	* [1124] - Take 2: Fix shortcut autotype

2015-09-23 12:23:47 +0300 ronys 

	* BR-1244: Password Policy issue fix

2015-09-23 11:15:33 +0300 ronys 

	* wx: Bump version to 0.97

2015-09-23 11:12:30 +0300 ronys 

	* Global change http://pwsafe.org -> https://pwsafe.org

2015-09-23 10:58:29 +0300 ronys 

	* wx: http://pwsafe.org -> https://pwsafe.org

2015-09-23 10:38:58 +0300 ronys 

	* BR-1264 wx: 'x' on search text no longer closes search bar

2015-09-23 08:45:42 +0300 ronys 

	* 3.37 po file from Bjorne

2015-09-21 22:17:00 +0300 ronys 

	* BR-1215: Point Slackware users to slackbuild

2015-09-20 21:54:43 +0300 ronys 

	* Added TAGS to src/.gitignore

2015-09-20 21:52:18 +0300 ronys 

	* Added pkg-config to Debian/Ubuntu build pre-requisites

2015-09-20 21:48:24 +0300 ronys 

	* Fixed regression caused by d04da24 (BR1265)

2015-09-20 20:58:26 +0300 ronys 

	* Don't crash undoing group delete

2015-09-20 18:47:34 +0300 ronys 

	* 3.37 German po file from Karlo

2015-09-19 17:38:46 +0100 c-273 

	* Remove remnants of support for VC 6 (1998)

2015-09-19 17:33:02 +0100 c-273 

	* BR-1230 - Handle r-o and r/w files correctly

2015-09-19 10:38:03 +0300 ronys 

	* Update pos for 3.37pre (tag: 3.37pre)

2015-09-19 10:36:07 +0300 ronys 

	* Bump version to 3.37pre

2015-09-18 20:30:33 +0300 ronys 

	* Support long base names in shortcuts

2015-09-18 12:40:25 +0300 ronys 

	* BR-1274: Fix display of long alias bases

2015-09-18 16:56:28 +0100 c-273@users.surceforge.net 

	* BR-1261 - Fix initial display of unlock difficulty slider

2015-09-16 19:02:25 +0100 c-273@users.surceforge.net 

	* Fix BR 1273: ensure found entries are visible

2015-09-16 12:02:16 +0100 c-273@users.surceforge.net 

	* [FR-789] Tweak S/DCA edit/view sematics for shortcuts

2015-09-16 19:43:21 +0300 ronys 

	* Changed IDS_DB_DEFAULT to IDS_APP_DEFAULT

2015-09-16 11:41:10 +0100 c-273@users.surceforge.net 

	* Correct strings as DCA/Shift+DCA are application not DB preferences

2015-09-15 21:37:30 +0300 ronys 

	* Replace user-visible "DB" with "database"

2015-09-15 13:13:42 +0100 c-273@users.surceforge.net 

	* Fix DCA/ShiftDCA filtering and compare

2015-09-14 11:09:48 +0300 ronys 

	* BR1082 - Last/Password Modified times default to creation, not N/A

2015-09-13 08:21:18 +0100 c-273@users.surceforge.net 

	* BR1272: [1272] Fxied XML export of single entry using default Password policy

2015-09-11 16:06:12 +0100 c-273@users.surceforge.net 

	* Text tweaks without affecting import/export

2015-09-13 13:18:13 +0300 ronys 

	* [1270] Fixed Display Filter dropdown list of filter fields

2015-09-10 14:28:06 +0100 c-273@users.surceforge.net 

	* [FR 786] Update online help for AutoType, note Linux-specifics as such.

2015-09-12 09:38:56 +0300 ronys 

	* Corrected description of BR1269

2015-09-09 18:25:59 +0100 c-273@users.surceforge.net 

	* Fix BR 1269

2015-09-08 11:38:00 +0100 c-273@users.surceforge.net 

	* Ensure pre-build script has unique error return values

2015-09-06 19:55:24 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2015-09-06 19:53:00 +0300 ronys 

	* Renamed wx windows Note

2015-09-06 10:44:59 +0100 c-273 

	* Provide Notes for Creating Help file for Windows wxWidgets Builds in Windows

2015-09-05 19:09:41 +0100 c-273 

	* Fix previous changes to UserVariables-xx.props file creation scripts and properly support Cancel button.

2015-09-05 21:50:31 +0300 ronys 

	* Removed obsolete ref to svn

2015-09-03 15:54:38 +0100 c-273 

	* Update VS2015 Windows wxWidgets build. Note: VS2015 insists on tabs in its sln file

2015-09-03 15:54:02 +0100 c-273 

	* VS2015 insists on tabs in its sln file

2015-09-03 15:52:10 +0100 c-273 

	* Better solution to warnings in WZSelectDB.cpp

2015-09-02 20:07:29 +0100 c-273 

	* Update comments in PWSFaultHandler.h and fix inconsistent line endings

2015-09-02 21:54:40 +0300 ronys 

	* Cleanup

2015-09-02 21:42:36 +0300 ronys 

	* BR1267: Export to database with Yubikey fixed

2015-08-31 21:18:19 +0300 ronys 

	* Removed directory and file that crept in by mistake

2015-08-31 16:02:17 +0100 c-273 

	* Update VS2015 solution (Win32 -> x86)

2015-08-31 14:00:53 +0100 c-273 

	* VS2015 Update default Xerces & wxWidget versions & Git location

2015-08-31 13:59:16 +0100 c-273 

	* VS2013 Update default Xerces & wxWidget versions & Git location

2015-08-31 13:55:25 +0100 c-273 

	* Update to remove new compiler warning C4456

2015-05-10 16:04:46 +0100 c-273 

	* VS2015 RC - MFC ReleaseM build - disable compiler warning C4091 in SDK dbghelp.h until MS fix the issue. (origin/VS2015-pre-merge)

2015-05-08 19:34:57 +0100 c-273 

	* VS2015 RC - Remove incompatible linker option in wxWidgets ReleasewxX build.

2015-05-08 19:32:55 +0100 c-273 

	* VS2015 RC - Remove blanket suppression of all new VC2015 warnings. VS2015 RC - Suppress new compiler warning C4458 in wxWidgets build of pwsafe project until wxWidgets is fixed.

2015-05-09 15:17:37 +0100 c-273 

	* VS2015 RC - Remove Windows XP support in Windows MFC build

2015-05-09 14:47:14 +0100 c-273 

	* VS2015 RC - Remove Windows XP support in Windows wxWidgets build

2015-05-08 13:37:34 +0100 c-273 

	* VS2015 RC - Ignore new .vs directory

2015-05-03 11:46:11 +0100 c-273@users.surceforge.net 

	* VS2015 RC - Add solution files. Update wxWidgets notes for new compiler

2015-08-29 09:54:59 +0300 ronys 

	* Merge branch 'master' of github.com:pwsafe/pwsafe

2015-08-29 09:50:38 +0300 ronys 

	* [BR1265] Linux pws_os::splitpath

2015-08-27 21:35:21 +0300 ronys 

	* Merge branch 'sauravg-master'

2015-08-27 16:36:14 +0530 saurav 

	* Autotype fixes for conflicts with browser autofill

2015-08-19 22:23:35 +0300 ronys 

	* SourceForge to GitHub - release upload process

2015-08-18 22:34:50 +0300 ronys 

	* Switch main project repo from SourceForge to GitHub (tag: 3.36.1)

2015-08-04 18:09:02 +0100 c-273@users.surceforge.net 

	* Fix processing fonts in RichEditCtrls where multiple options are set

2015-07-15 11:03:29 +0100 c-273@users.surceforge.net 

	* Fix BR 1260

2015-07-05 15:25:03 +0300 Andrey Kuznetsov 

	* WX: suppress compiler warning in C::B for WX headers (treat WX includes as "system")

2015-06-17 09:40:33 +0100 c-273@users.surceforge.net 

	* [FR781] Partial implementation of Virtual Keyboard FR

2015-06-15 16:10:42 +0100 c-273@users.surceforge.net 

	* Update release notes for BR 1254 fix

2015-06-14 15:40:03 +0100 c-273@users.surceforge.net 

	* [BR1254] Fixed toolbar/tooltip alignment

2015-06-14 14:32:09 +0100 c-273 

	* [FR782] Configurable Notes font - 3.36.1

2015-06-13 22:45:31 +0300 ronys 

	* PWSFileSig shouldn't know about min sizes

2015-06-10 18:20:30 +0100 c-273 

	* Update comments to developer and try to catch missing compare fields

2015-06-10 17:37:15 +0100 c-273 

	* Correct tab order for Wizard when using another input DB

2015-06-10 16:16:19 +0100 c-273 

	* Fix potential loss of application hot key

2015-06-10 15:41:16 +0100 c-273 

	* Fix comparison of entry keyboard shortcuts when comparing DBs

2015-06-13 14:37:56 +0300 ronys 

	* Merge branch 'master' of ssh://git.code.sf.net/p/passwordsafe/git-code

2015-06-13 14:37:10 +0300 ronys 

	* B1255 - typos in Yubikey help text

2015-06-12 11:25:38 +0300 ronys 

	* libwxgtk3.0-0 into Ubuntu control files (tag: 0.96BETA)

2015-06-09 22:14:41 +0300 ronys 

	* mkversion.pl works correctly now

2015-06-09 21:52:37 +0300 ronys 

	* Added libwxgtk3.0-0 into Debian control file

2015-06-09 21:17:27 +0300 ronys 

	* Support TMPDIR specified tmp dir

2015-06-08 19:59:51 +0300 Rony Shapiro 

	* Tweak last commit for v4 experimental support (tag: 3.36)

2015-06-08 19:36:06 +0300 Rony Shapiro 

	* Make all prior DB versions R-O and prevent changing to R/W

2015-06-08 17:28:59 +0100 ronys 

	* Merge branch 'master' of ssh://git.code.sf.net/p/passwordsafe/git-code

2015-06-06 09:41:41 +0100 ronys 

	* Drop the pre from 3.36pre, update reldate

2015-06-04 23:13:55 +0300 ronys 

	* Fix compilation fail on Linux from last commit

2015-06-03 19:11:24 +0100 ronys 

	* shutup silly compiler warning

2015-06-03 20:22:07 +0300 Rony Shapiro 

	* Fix PWSfileV3::SanityCheck() for small v1/v2 files

2015-06-03 08:44:08 +0100 c-273@users.surceforge.net 

	* Correct approach in patch 361da4 to prevent saving prior version DBs except via "Save As"

2015-06-02 19:57:51 +0100 c-273@users.surceforge.net 

	* Only save source DB name in export DB description (not with full path information)

2015-06-02 19:41:57 +0100 c-273@users.surceforge.net 

	* Prevent automatic saves for prior versions of DB (closing DB prompts Save AS if it has been changed) Also, change some tabs to spaces (ThisMfcApp.cpp)

2015-06-01 22:14:50 +0300 Rony Shapiro 

	* Protect further information on export to prior versions

2015-06-01 22:07:36 +0300 Rony Shapiro 

	* Tweak export to old version

2015-06-01 17:37:21 +0100 ronys 

	* po file updates

2015-05-31 20:07:58 +0100 ronys 

	* Swedish po updates from Bjorne

2015-05-31 20:04:25 +0100 ronys 

	* French po updates from Francois

2015-05-31 18:30:05 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2015-05-29 21:35:56 +0300 Rony Shapiro 

	* DboxMain::Save - V30 -> VCURRENT

2015-05-29 19:29:18 +0100 ronys 

	* constification nit

2015-05-29 18:20:18 +0100 ronys 

	* Rephrase IDS_EXPORTWARNING

2015-05-28 18:37:51 +0100 c-273@users.surceforge.net 

	* Catch missing enum values in switch enum statements without a "default:" case statement

2015-05-28 12:23:26 +0100 c-273@users.surceforge.net 

	* Fix checking if a pre-V3 file has been changed on Close/Exit. Fix Export of unsupported records to V1 & V2 databases. Warn user that some preferences, entry fields, types of entry are unsupported in previous database formats

2015-05-27 21:14:24 +0100 c-273@users.surceforge.net 

	* Fix saving V1 & V2 databases in V3 format and preventing overwriting existing databases

2015-05-26 21:25:40 +0100 c-273@users.surceforge.net 

	* Tweak commit "CWZSelectDB cosmetics" (1f9967)

2015-05-26 22:47:25 +0300 Rony Shapiro 

	* CWZSelectDB cosmetics

2015-05-26 19:27:32 +0100 ronys 

	* Document FR 772 fix + tweak comment

2015-05-26 18:59:45 +0100 c-273@users.surceforge.net 

	* Implement FR 772

2015-05-26 00:51:00 +0100 c-273@users.surceforge.net 

	* Export single alias/shortcut correctly (Text, XML & DB)

2015-05-25 18:51:09 +0100 c-273@users.surceforge.net 

	* Support Caps Lock warning in the wizard

2015-05-26 00:29:50 +0100 c-273@users.surceforge.net 

	* Fix BR1250 (typo in commit cd5c40)

2015-05-26 05:53:49 +0100 ronys 

	* Mark 3.56pre as such

2015-05-25 06:03:29 +0100 ronys 

	* Updated po files

2015-05-24 19:26:39 +0100 ronys 

	* rephrase relnotes

2015-05-24 19:20:55 +0100 ronys 

	* cosmetics

2015-05-24 17:47:45 +0100 c-273@users.surceforge.net 

	* Typos and tweaks

2015-05-24 15:25:57 +0100 c-273@users.surceforge.net 

	* 1. Implement export of entries to current database format file. 2. Implement export of groups to plain text, XML and current database format files.

2015-05-22 16:22:23 +0300 Rony Shapiro 

	* [FR777] Added command line option to force choice of tall or wide dialog screens.

2015-05-18 19:29:10 +0100 ronys 

	* Document fix for BR1248

2015-05-17 18:51:29 +0100 c-273@users.surceforge.net 

	* Ensure symbol field is not empty for new Named Policies

2015-05-17 20:08:06 +0100 ronys 

	* Document fix for BR1245

2015-05-16 13:23:51 +0100 c-273@users.surceforge.net 

	* Relax restrictions on password symbols. Users can enter non-alphanumeric (in their locale) character either if present on their keyboard or using the Alt key e.g. Alt+0165 for Yen symbol

2015-05-16 12:27:34 +0100 c-273@users.surceforge.net 

	* Fix bug #1245

2015-05-03 22:20:23 +0100 c-273 

	* VS2015 RC - Fix compiler error C2338: The C++ Standard forbids containers of const elements because allocator<const T> is ill-formed.

2015-05-10 19:12:41 +0100 c-273 

	* VS2015 RC - Fix warning messages (C4456, C4457 & C4459) (+ remove some tabs)

2015-05-03 12:06:45 +0200 rafael 

	* This fix refers to issue #1238 and keeps the focus for text fields of the new entry dialog in the correct order.

2015-04-27 21:05:31 +0300 ronys 

	* wx: Fix Yubi polling interval

2015-04-22 23:10:30 +0300 ronys 

	* Fix compilation error under Debian 7

2015-04-21 14:35:12 +0300 Andrey Kuznetsov 

	* Fixed memleak (clipboard singleton wasn't deeleted on exit)

2015-04-21 14:33:39 +0300 Andrey Kuznetsov 

	* WX, Win: Fix XML filter parsing with Xerces.

2015-04-20 21:39:39 +0300 Andrey Kuznetsov 

	* Unify ASSERT usage in Windows build

2015-04-20 14:00:46 +0300 Andrey Kuznetsov 

	* Fix MFC debug compilation after last changes. Thanks to DK.

2015-04-19 23:33:14 +0300 Andrey Kuznetsov 

	* [wx, win] Prevent some crashes and asserts in debug build

2015-04-19 20:53:03 +0100 ronys 

	* Merge branch 'master' of ssh://git.code.sf.net/p/passwordsafe/git-code

2015-04-19 20:49:54 +0100 ronys 

	* Shutup compiler warning

2015-04-19 20:31:27 +0300 Andrey Kuznetsov 

	* Make _XMLChDeallocator::Xml2StringX and Xml2StringT static to remove some unused USES_XMLCH_STR wrappers

2015-04-19 20:20:06 +0300 Andrey Kuznetsov 

	* Fix Xerces compilation wnen WCHAR_INCOMPATIBLE_XMLCH isn't set Thanks to DK

2015-04-18 17:20:08 +0300 Andrey Kuznetsov 

	* Fix schema loading when using Xerces

2015-04-18 16:58:12 +0300 Andrey Kuznetsov 

	* Fix error processing in SAX parser

2015-04-18 13:20:56 +0300 Andrey Kuznetsov 

	* * WX: semi-automatic fix for long lines in Russian .po * Synchronize version info in .Slackbuild

2015-04-10 05:41:43 +0100 ronys 

	* Setup for 3.36 pre-release

2015-04-06 17:57:53 +0100 ronys 

	* Merge branch 'master' of ssh://git.code.sf.net/p/passwordsafe/git-code

2015-04-05 19:50:06 +0100 ronys 

	* Czech installer texts in ANSI encoding for NSIS

2015-03-25 12:01:24 -0400 David Dreggors 

	* Add conditional includes for el7 (RHEL 7/CentOS7)

2015-03-24 15:45:04 +0530 Saurav Ghosh 

	* wx-linux: Added notes about gcc version requirements

2015-03-24 15:42:45 +0530 Saurav Ghosh 

	* wx-linux: Updated CodeLite settings for wx3 and C++14

2015-03-21 09:51:32 +0300 Andrey Kuznetsov 

	* WX: Fix processing for -s parameter (#1246)

2015-03-20 11:19:54 +0530 Saurav Ghosh 

	* wx: Fixed a resource leak and a typo

2015-03-19 22:34:29 +0530 Saurav Ghosh 

	* wx-osx: Improvements suggested by clang's static analysis

2015-03-14 20:54:08 +0200 ronys 

	* Add note re Fedora 22 build

2015-03-14 20:53:11 +0200 ronys 

	* Fix for Fedora 22, applicable to all Linux builds

2015-03-09 18:22:11 +0100 ronys 

	* Czech translations from David Luksch

2015-03-07 16:17:05 +0300 Andrey Kuznetsov 

	* Updates in Russian .po (MFC)

2015-03-04 11:46:33 +0530 Saurav Ghosh 

	* osx: Added C++14 compatibility

2015-02-23 17:32:25 +0200 Rony Shapiro 

	* Merge branch 'master' of ssh://git.code.sf.net/p/passwordsafe/git-code

2015-02-23 17:30:24 +0200 Rony Shapiro 

	* Fixed last commit (yubi linux fix) to work with older ykpers

2015-02-23 15:32:24 +0300 Andrey Kuznetsov 

	* Don't disable ñreate shortcut menu item after cancelled D'n'D

2015-02-22 20:49:10 +0000 ronys 

	* Fix Linux PWYubi::WriteSK

2015-02-22 20:31:27 +0000 ronys 

	* Update wx German po file

2015-02-22 17:35:13 +0300 Andrey Kuznetsov 

	* [wx] Implemented clipboard class (ported from MFC ver. to clear only our data; also added processing for clipboard cleanup preferences).

2015-02-22 14:43:31 +0300 Andrey Kuznetsov 

	* Restart idle timer on user action instead of clearing the flag. Previous implementation in some cases may wait up to 2*t instead of t before lock.

2015-02-22 14:00:27 +0300 Andrey Kuznetsov 

	* Updates in C::B project

2015-02-22 13:58:36 +0300 Andrey Kuznetsov 

	* * Attempt to fix double iconize/deiconize events (immediate ask for password after lock or when started in silent mode)

2015-02-08 19:18:31 +0200 ronys 

	* Support upload target for rpms as well as debs

2015-02-07 08:48:13 +0000 ronys 

	* Windows po updates (tag: 3.35.1, tag: 0.95.1BETA)

2015-02-07 07:05:05 +0000 ronys 

	* Update month in release notes

2015-02-07 07:03:41 +0000 ronys 

	* Mark 0.95.1 wx version number

2015-02-06 21:44:43 +0000 ronys 

	* Cleanup Windows Find toolbar size calculation

2015-01-29 16:19:38 +0300 Andrey Kuznetsov 

	* Fix processing of (Shift)DblClick options in preferences dialog for non-English locales

2015-01-27 22:35:22 +0200 ronys 

	* wx: Tweaked help subsystem warning dialog box texts.

2015-01-24 11:41:21 +0000 ronys 

	* [BR1231] More uniform password policy UI

2015-01-20 19:45:40 +0000 ronys 

	* [768] Caps Lock indicator added to passphrase entry dialogs.

2015-01-19 18:05:43 +0000 ronys 

	* [BR1233] >Don't count unchecked character types in password policies

2015-01-18 20:51:29 +0200 ronys 

	* [BR1235] - Fixed RPM build under Fedora-21

2015-01-16 18:06:10 +0200 ronys 

	* Get last fix to build under g++

2015-01-16 10:43:49 +0000 ronys 

	* [BR12882] - take 2

2015-01-11 17:54:10 +0000 ronys 

	* [BR1228] Fixed incompatability with Password Policies

2015-01-10 10:11:01 +0000 ronys 

	* [BR1229] Hex digits checkbox can be selected

2015-01-09 19:12:32 +0000 ronys 

	* Start 3.35.1

2015-01-09 19:04:28 +0000 ronys 

	* Windows Find toolbar fixes

2015-01-06 22:23:18 +0300 Andrey Kuznetsov 

	* Change translation for language menu items on language change

2015-01-06 21:53:19 +0300 Andrey Kuznetsov 

	* Fix encoding for Russian help index (WX)

2015-01-06 21:52:10 +0300 Andrey Kuznetsov 

	* Switch Help language on UI language change

2015-01-05 21:37:19 +0200 ronys 

	* wx: Minor edit of comment

2015-01-05 21:35:53 +0200 ronys 

	* wx: Removed DialogBlocks code markers

2015-01-05 20:29:58 +0300 Andrey Kuznetsov 

	* Merge branch 'master' into wx-ru-fix

2015-01-05 19:34:24 +0300 Andrey Kuznetsov 

	* Updated Russian .po (wx)

2015-01-05 19:33:20 +0300 Andrey Kuznetsov 

	* Minor updates in Russian help

2015-01-05 19:29:48 +0300 Andrey Kuznetsov 

	* * Remember user-selected language in WX (using the same preference as in MFC version). The same language will be used inopen dialog and main frame * Fix crash in Release build when default locale isn't English (used wxTranslation object deleted while in use at available language enumeration stage)

2015-01-05 19:27:58 +0300 Andrey Kuznetsov 

	* Remove dummy text from translation strings in about dialog

2015-01-05 16:45:00 +0300 Andrey Kuznetsov 

	* Fix window size only if correspondent flag isn't set

2015-01-04 19:39:29 +0200 ronys 

	* Murphy

2015-01-04 19:33:01 +0200 ronys 

	* Added check target to wxWidgets/I18N Makefile

2015-01-04 19:26:03 +0200 ronys 

	* PO cleanup: POFileFill fr

2015-01-04 19:24:39 +0200 ronys 

	* PO cleanup: POFileChecker on wx da de

2015-01-03 21:11:19 +0200 Rony Shapiro 

	* Merge branch 'master' of ssh://git.code.sf.net/p/passwordsafe/git-code

2015-01-03 21:06:44 +0200 ronys 

	* Update wx po files

2015-01-03 20:59:09 +0200 ronys 

	* Copyright updated to 2015

2015-01-03 21:25:53 +0300 Andrey Kuznetsov 

